--
-- Mod: FS19_RealLifeNumbers by Kaj-Aage Henneberg "Ki", ArmChairFarming
-- Script: RealNumbersEquipmentEconomy by Kaj-Aage Henneberg "Ki", ArmChairFarming
-- e-mail: kaj-aage.henneberg@outlook.dk
-- Download: www.modhoster.com
-- All rights reserved.
-- Version 1.2.3.9 Compatible with Seasons and Precision Farming
-- 30.11.2018 - 02.01.2021



RealNumbersEquipmentEconomy = {};

function myPrintEquipInfo0(header, textWidth, textWidth2, unit, S1, S2, S3, S4, S5)

	local subtractLength = 0;

	if (string.match(unit,"€") == "€") then subtractLength = 2; end;
	if (string.match(unit,"$") == "$") then subtractLength = 2; end;
	if (string.match(unit,"£") == "£") then subtractLength = 2; end;


	local text = header..string.rep(" ",textWidth-string.len(header));
	local unitText = unit..string.rep(" ",textWidth2-(string.len(unit)-subtractLength));
	local text2 = text.." : "..unitText;
	print(string.format("%s: %13.0f %13.0f %13.0f %13.0f %13.0f ", text2, S1, S2, S3, S4, S5));
end;

function myPrintEquipInfo4(header, textWidth, textWidth2, unit, S1, S2, S3, S4, S5)

	local subtractLength = 0;

	if (string.match(unit,"€") == "€") then subtractLength = 2; end;
	if (string.match(unit,"$") == "$") then subtractLength = 2; end;
	if (string.match(unit,"£") == "£") then subtractLength = 2; end;

	local text = header..string.rep(" ",textWidth-string.len(header));
	local unitText = unit..string.rep(" ",textWidth2-(string.len(unit)-subtractLength));
	local text2 = text.." : "..unitText;

	print(string.format("%s: %13.4f %13.4f %13.4f %13.4f %13.4f ", text2, S1, S2, S3, S4, S5));
end;
function myPrintEquipInfo30(header, textWidth, textWidth2, unit, S1, S2, S3)

	local subtractLength = 0;

	if (string.match(unit,"€") == "€") then subtractLength = 2; end;
	if (string.match(unit,"$") == "$") then subtractLength = 2; end;
	if (string.match(unit,"£") == "£") then subtractLength = 2; end;


	local text = header..string.rep(" ",textWidth-string.len(header));
	local unitText = unit..string.rep(" ",textWidth2-(string.len(unit)-subtractLength));
	local text2 = text.." : "..unitText;
	print(string.format("%s: %13.0f %13.0f %13.0f ", text2, S1, S2, S3));
end;

function myPrintEquipInfo34(header, textWidth, textWidth2, unit, S1, S2, S3)

	local subtractLength = 0;

	if (string.match(unit,"€") == "€") then subtractLength = 2; end;
	if (string.match(unit,"$") == "$") then subtractLength = 2; end;
	if (string.match(unit,"£") == "£") then subtractLength = 2; end;

	local text = header..string.rep(" ",textWidth-string.len(header));
	local unitText = unit..string.rep(" ",textWidth2-(string.len(unit)-subtractLength));
	local text2 = text.." : "..unitText;

	print(string.format("%s: %13.4f %13.4f %13.4f ", text2, S1, S2, S3));
end;



function RealNumbersEquipmentEconomy:loadMap()

	local textWidth = 35;
	local textWidth2 = 15;
	local currency ="€";
	local interestFactor = 0.0;

	local gameMoneyUnit = g_i18n.moneyUnit;
	if gameMoneyUnit == 1 then
        currency = "€";
	elseif gameMoneyUnit == 2 then
        currency = "$";
	elseif gameMoneyUnit == 3 then
        currency = "£";
	end;

	print(" ");
	print("FS19_RealLifeNumbers: RealNumbersEquipmentEconomy active");
	print(" ");
	print("This script analyzes the savings by performing field work with your own equipment");
	print("compared to hiring a contractor.");
	print("Default contracting rates are real-life rates in Denmark. You should change to local rates.");
	print("The line BREAK-EVEN FIXED COST PER HA is Contract Rate per ha minus Operating Cost per ha.");
	print("This surplus is supposed to cover Fixed Cost per year.");
	print("If surplus is negative, the contract rate is less than operating cost. Hence contract fee may be set too low.");
	print("Dividing Fixed Cost per year by BREAK-EVEN FIXED COST PER HA gives the BREAK-EVEN hectares");
	print("The more land you use the implement on, the better it becomes to own yor own equipment.");
	print("The line BREAK-EVEN HA tells you how many hectares you need the implement for, before you save");
	print("money owning your own equipment");
	print("\nFor many players, the BREAK-EVEN HA for a given implement is far higher than the field area owned or rented");
	print("Only the cheapest and smallest equipment will have a break-even ha below 25.");
	print("It is possible to get realistic fixed and variable costs per year. But if the fixed cost is spread out");
	print("over very few hectares, the fixed cost per hectare becomes very high");
	print("\nAn expert gave the following rule-of-thumb:");
	print("Your equipment economy is optimal if you can do all tillage and seeding in 20 days and all harvesting in 25 days.");
	print(" ");

-- define input data tables

	RN.equipment = {};
	RN.equipment.price = {};
	RN.equipment.lifeTime = {};
	RN.equipment.loanTime = {};
	RN.equipment.depreciationRate = {};
	RN.equipment.tax = {};
	RN.equipment.insurance = {};
	RN.equipment.housing = {};
	RN.equipment.width = {};
	RN.equipment.speed = {};
	RN.equipment.efficiency = {};
	RN.equipment.workArea = {};
	RN.equipment.neededHP = {};
	RN.equipment.fuelPerHourPerHP = {};

-- define output data tables

	RN.equipment.interestCost = {};
	RN.equipment.loanCost = {};
	RN.equipment.salvageFraction = {};
	RN.equipment.sellPrice = {};
	RN.equipment.loanPayment = {};
	RN.equipment.depreciation = {};
	RN.equipment.investmentCost = {};
	RN.equipment.investmentCostPerYear = {};
	RN.equipment.TIHperYear = {};
	RN.equipment.fixedCostPerYear = {};
	RN.equipment.fieldCapacity = {};
	RN.equipment.fieldHours = {};
	RN.equipment.lifeTimeHours = {};
	RN.equipment.repairsPerYear = {};
	RN.equipment.repairsPerHour = {};
	RN.equipment.fuelPerHour = {};
	RN.equipment.fuelCostPerHour = {};
	RN.equipment.lubricationCostPerHour = {};
	RN.equipment.operatingCostPerHour = {};
	RN.equipment.operatingCostPerYear = {};
	RN.equipment.operatingCostPerHa = {};
	RN.equipment.operatingCostPerBale = {};
	RN.equipment.fixedCostPerHour = {};
	RN.equipment.fixedCostPerHa = {};
	RN.equipment.fixedCostPerBale = {};
	RN.equipment.equipmentCostPerHour = {};
	RN.equipment.equipmentCostPerYear = {};
	RN.equipment.equipmentCostPerBale = {};
	RN.equipment.equipmentCostPerHa = {};
	RN.equipment.wrappingPerBale = {};
	RN.equipment.plasticPerBale = {};
	RN.equipment.stackingPerBale = {};
	RN.equipment.movingPerBale = {};
	RN.equipment.supplyCostPerBale = {};
	RN.equipment.supplyCostPerHa = {};
	RN.equipment.opAndSupplyCostPerHa = {};
	RN.equipment.useOwnEquipCostPerHa = {};
--	RN.contract.leaseCostPerHour = {};
	RN.equipment.surplusPerHa = {};
	RN.equipment.breakEvenHa = {};
	RN.equipment.breakEvenHour = {};
	RN.equipment.isLeasing = {};

	RN.equipment.leaseDaysPerYear = {};
	RN.equipment.leaseCostPerYear = {};
	RN.equipment.leaseCostPerHour = {};
	RN.equipment.leaseCostPerHa = {};
	RN.equipment.equipmentLeaseCostPerHour = {};
	RN.equipment.equipmentLeaseCostPerYear = {};
	RN.equipment.equipmentLeaseCostPerHa = {};





	RN.fieldArea = {};
	RN.fieldArea.MANURESPREADER 				= 25;
	RN.fieldArea.SLURRYTANKS 					= 25;
	RN.fieldArea.PLOWS 							= 25;
	RN.fieldArea.DISCHARROWS 					= 25;
	RN.fieldArea.CULTIVATORS 					= 25;
	RN.fieldArea.SEEDERS 						= 25;
	RN.fieldArea.PLANTERS 						= 25;
	RN.fieldArea.FERTILIZERSPREADERS 			= 25;
	RN.fieldArea.LIMESPREADERS 					= 25;
	RN.fieldArea.SPRAYERS 						= 25;
	RN.fieldArea.HARVESTERS 					= 25;
	RN.fieldArea.FORAGEHARVESTERS 				= 25;
	RN.fieldArea.POTATOPLANTERS 				= 25;
	RN.fieldArea.POTATOHARVESTING 				= 25;
	RN.fieldArea.BEETHARVESTING 				= 25;
	RN.fieldArea.MOWERS 						= 25;
	RN.fieldArea.TEDDERS 						= 25;
	RN.fieldArea.WINDROWERS 					= 25;

	local useActualAreas = true;				-- if true, than actual field crop areas are used to calculate break-even hectare for equipment

	if useActualAreas then
		if RN.myFieldCrops["SUM"]["manure"] 		> 0 then RN.fieldArea.MANURESPREADER 		= RN.myFieldCrops["SUM"]["manure"]; end;
		if RN.myFieldCrops["SUM"]["slurry"] 		> 0 then RN.fieldArea.SLURRYTANKS 			= RN.myFieldCrops["SUM"]["slurry"]; end;
		if RN.myFieldCrops["SUM"]["plow"] 			> 0 then RN.fieldArea.PLOWS 				= RN.myFieldCrops["SUM"]["plow"]; end;
		if RN.myFieldCrops["SUM"]["discharrow"] 	> 0 then RN.fieldArea.DISCHARROWS 			= RN.myFieldCrops["SUM"]["discharrow"]; end;
		if RN.myFieldCrops["SUM"]["tineharrow"] 	> 0 then RN.fieldArea.CULTIVATORS 			= RN.myFieldCrops["SUM"]["tineharrow"]; end;
		if RN.myFieldCrops["SUM"]["seed"] 			> 0 then RN.fieldArea.SEEDERS 				= RN.myFieldCrops["SUM"]["seed"]; end;
		if RN.myFieldCrops["SUM"]["plant"] 			> 0 then RN.fieldArea.PLANTERS 				= RN.myFieldCrops["SUM"]["plant"]; end;
		if RN.myFieldCrops["SUM"]["solidfertilizer"] > 0 then RN.fieldArea.FERTILIZERSPREADERS 	= RN.myFieldCrops["SUM"]["solidfertilizer"]; end;
		if RN.myFieldCrops["SUM"]["lime"] 			> 0 then RN.fieldArea.LIMESPREADERS 		= RN.myFieldCrops["SUM"]["lime"]; end;
		if RN.myFieldCrops["SUM"]["spraychemicals"] > 0 then RN.fieldArea.SPRAYERS 				= RN.myFieldCrops["SUM"]["liquidfertilizer"] + RN.myFieldCrops["SUM"]["spraychemicals"]; end;
		if RN.myFieldCrops["SUM"]["cerealharvest"] 	> 0 then RN.fieldArea.HARVESTERS 			= RN.myFieldCrops["SUM"]["cerealharvest"] + RN.myFieldCrops["SUM"]["rowharvest"]; end;
		if RN.myFieldCrops["SUM"]["forageharvest"] 	> 0 then RN.fieldArea.FORAGEHARVESTERS 		= RN.myFieldCrops["SUM"]["forageharvest"]; end;
		if RN.myFieldCrops["SUM"]["potatoplant"]	 > 0 then RN.fieldArea.POTATOPLANTERS 		= RN.myFieldCrops["SUM"]["potatoplant"]; end;
		if RN.myFieldCrops["SUM"]["potatoharvest"] 	> 0 then RN.fieldArea.POTATOHARVESTING 		= RN.myFieldCrops["SUM"]["potatoharvest"]; end;
		if RN.myFieldCrops["SUM"]["beetharvest"] 	> 0 then RN.fieldArea.BEETHARVESTING 		= RN.myFieldCrops["SUM"]["beetharvest"]; end;
		if RN.myFieldCrops["SUM"]["mowing"] 		> 0 then RN.fieldArea.MOWERS 				= RN.myFieldCrops["SUM"]["mowing"]; end;
		if RN.myFieldCrops["SUM"]["tedding"] 		> 0 then RN.fieldArea.TEDDERS 				= RN.myFieldCrops["SUM"]["tedding"]; end;
		if RN.myFieldCrops["SUM"]["windrow"] 		> 0 then RN.fieldArea.WINDROWERS 			= RN.myFieldCrops["SUM"]["windrow"]; end;
	end;


	RN.contractRatePerHa = {};
	RN.contractRatePerHour = {};
	RN.contractRatePerYear = {};



	RN.contractRatePerHour["TRACTOR200HP"]		=  83;

	RN.contractRatePerHa.MANURESPREADER 		= 130;
	RN.contractRatePerHa.SLURRYTANKS 			= 130;
	RN.contractRatePerHa.PLOWS 					= 112;
	RN.contractRatePerHa.DISCHARROWS 			=  35;
	RN.contractRatePerHa.CULTIVATORS 			=  35;
	RN.contractRatePerHa.SEEDERS 				=  77;
	RN.contractRatePerHa.PLANTERS 				=  42;
	RN.contractRatePerHa.FERTILIZERSPREADERS 	=  21;
	RN.contractRatePerHa.LIMESPREADERS 			=  21;
	RN.contractRatePerHa.SPRAYERS 				=  28;
	RN.contractRatePerHa.WEEDERS 				=  19;
	RN.contractRatePerHa.HARVESTERS 			= 165;
	RN.contractRatePerHa.FORAGEHARVESTERS 		= 290; -- 165 old value
	RN.contractRatePerHa.POTATOPLANTERS			= 195;
	RN.contractRatePerHa.POTATOHARVESTING 		= 660;
	RN.contractRatePerHa.BEETHARVESTING 		= 290;
	RN.contractRatePerHa.MOWERS 				=  65;
	RN.contractRatePerHa.TEDDERS 				=  22;
	RN.contractRatePerHa.WINDROWERS 			=  22;
	RN.contractRatePerHa.SNOW 					= 100;




-- General parameter values

	RN.loanYears										= 7;		-- Duration on loans for equipment
	RN.salaryPerHour 									= 16.50;
	RN.equipmentTax 									= 0.01;
	RN.equipmentInsurance 								= 0.005;
	RN.equipmentHousing 								= 0.005;
	RN.equipmentRepairFactor 							= 0.01;
	RN.fuelPerHourPerHP 								= 0.1667;
	RN.lubricationFractionOfFuel 						= 0.15;
	RN.fuelCostPerLiter									= RN.commodityDensity.FUEL * RN.commodityPricePer100kg.FUEL/100
	RN.tractorFieldHoursPerYear							= 400;
	RN.usedEquipmentPriceScaling						= 0.72; 	-- Assuming used equipment is at 72% of new price

	RN.equipment.price["TRACTOR100HP"] 					= RN.usedEquipmentPriceScaling * 65000; --  €
	RN.equipment.loanTime["TRACTOR100HP"]				= RN.loanYears;    -- years
	RN.equipment.lifeTime["TRACTOR100HP"]				= 15;    -- years
	RN.equipment.depreciationRate["TRACTOR100HP"] 		= 0.1;
	RN.equipment.neededHP["TRACTOR100HP"] 				= 100;	-- hp
	RN.equipment.fuelPerHourPerHP["TRACTOR100HP"] 		= RN.fuelPerHourPerHP;
	RN.equipment.fieldHours["TRACTOR100HP"]				= RN.tractorFieldHoursPerYear;
	RN.contractRatePerHour["TRACTOR100HP"]				= RN.contractRatePerHour["TRACTOR200HP"] + (RN.equipment.neededHP["TRACTOR100HP"] - 200) * 0.1667;

	RN.equipment.price["TRACTOR200HP"] 					= RN.usedEquipmentPriceScaling * 199000; --  € Axion 800
	RN.equipment.loanTime["TRACTOR200HP"]				= RN.loanYears;    -- years
	RN.equipment.lifeTime["TRACTOR200HP"]				= 15;    -- years
	RN.equipment.depreciationRate["TRACTOR200HP"] 		= 0.1;
	RN.equipment.neededHP["TRACTOR200HP"] 				= 205;	-- hp
	RN.equipment.fuelPerHourPerHP["TRACTOR200HP"] 		= RN.fuelPerHourPerHP;
	RN.equipment.fieldHours["TRACTOR200HP"]				= RN.tractorFieldHoursPerYear;
	RN.contractRatePerHour["TRACTOR200HP"]				= RN.contractRatePerHour["TRACTOR200HP"] + (RN.equipment.neededHP["TRACTOR200HP"] - 200) * 0.1667;

	RN.equipment.price["TRACTOR300HP"] 					= RN.usedEquipmentPriceScaling * 265000; --  € MF8720
	RN.equipment.loanTime["TRACTOR300HP"]				= RN.loanYears;    -- years
	RN.equipment.lifeTime["TRACTOR300HP"]				= 15;    -- years
	RN.equipment.depreciationRate["TRACTOR300HP"] 		= 0.1;
	RN.equipment.neededHP["TRACTOR300HP"] 				= 300;	-- hp
	RN.equipment.fuelPerHourPerHP["TRACTOR300HP"] 		= RN.fuelPerHourPerHP;
	RN.equipment.fieldHours["TRACTOR300HP"]				= RN.tractorFieldHoursPerYear;
	RN.contractRatePerHour["TRACTOR300HP"]				= RN.contractRatePerHour["TRACTOR200HP"] + (RN.equipment.neededHP["TRACTOR300HP"] - 200) * 0.1667;

	RN.equipment.price["TRACTOR400HP"] 					= RN.usedEquipmentPriceScaling * 315000; --  € MF8737
	RN.equipment.loanTime["TRACTOR400HP"]				= RN.loanYears;    -- years
	RN.equipment.lifeTime["TRACTOR400HP"]				= 15;    -- years
	RN.equipment.depreciationRate["TRACTOR400HP"] 		= 0.1;
	RN.equipment.neededHP["TRACTOR400HP"] 				= 400;	-- hp
	RN.equipment.fuelPerHourPerHP["TRACTOR400HP"] 		= RN.fuelPerHourPerHP;
	RN.equipment.fieldHours["TRACTOR400HP"]				= RN.tractorFieldHoursPerYear;
	RN.contractRatePerHour["TRACTOR400HP"]				= RN.contractRatePerHour["TRACTOR200HP"] + (RN.equipment.neededHP["TRACTOR400HP"] - 200) * 0.1667;

	RN.equipment.price["TRACTOR500HP"] 					= RN.usedEquipmentPriceScaling * 382000; --  € Fendt 1050
	RN.equipment.loanTime["TRACTOR500HP"]				= RN.loanYears;    -- years
	RN.equipment.lifeTime["TRACTOR500HP"]				= 15;    -- years
	RN.equipment.depreciationRate["TRACTOR500HP"] 		= 0.1;
	RN.equipment.neededHP["TRACTOR500HP"] 				= 517;	-- hp
	RN.equipment.fuelPerHourPerHP["TRACTOR500HP"] 		= RN.fuelPerHourPerHP;
	RN.equipment.fieldHours["TRACTOR500HP"]				= RN.tractorFieldHoursPerYear;
	RN.contractRatePerHour["TRACTOR500HP"]				= RN.contractRatePerHour["TRACTOR200HP"] + (RN.equipment.neededHP["TRACTOR500HP"] - 200) * 0.1667;

	RN.tractorList = {"TRACTOR100HP","TRACTOR200HP","TRACTOR300HP","TRACTOR400HP","TRACTOR500HP"};


	local trcList = RN.tractorList;

	for k,tractorName in pairs(trcList) do

		interestFactor = math.pow(1 + RN.annualLoanInterest/100,RN.equipment.loanTime[tractorName]);

		RN.equipment.interestCost[tractorName] 				= RN.equipment.price[tractorName] * (interestFactor - 1);
		RN.equipment.loanCost[tractorName] 					= RN.equipment.price[tractorName] * interestFactor;
		RN.equipment.salvageFraction[tractorName] 			= math.pow((1-RN.equipment.depreciationRate[tractorName]),RN.equipment.lifeTime[tractorName]);
		RN.equipment.sellPrice[tractorName] 				= RN.equipment.price[tractorName] * RN.equipment.salvageFraction[tractorName];
		RN.equipment.loanPayment[tractorName] 				= RN.equipment.loanCost[tractorName] - RN.equipment.sellPrice[tractorName];
		RN.equipment.depreciation[tractorName] 				= RN.equipment.price[tractorName] - RN.equipment.sellPrice[tractorName];
		RN.equipment.investmentCost[tractorName] 			= RN.equipment.loanPayment[tractorName] + RN.equipment.depreciation[tractorName];
		RN.equipment.investmentCostPerYear[tractorName] 	= RN.equipment.investmentCost[tractorName]/RN.equipment.lifeTime[tractorName];
		RN.equipment.tax[tractorName] 						= RN.equipmentTax * (RN.equipment.price[tractorName] + RN.equipment.sellPrice[tractorName])/2;
		RN.equipment.insurance[tractorName] 				= RN.equipmentInsurance * (RN.equipment.price[tractorName] + RN.equipment.sellPrice[tractorName])/2;
		RN.equipment.housing[tractorName] 					= RN.equipmentHousing * (RN.equipment.price[tractorName] + RN.equipment.sellPrice[tractorName])/2;
		RN.equipment.TIHperYear[tractorName] 				= (RN.equipment.tax[tractorName] + RN.equipment.insurance[tractorName] + RN.equipment.housing[tractorName])/RN.equipment.lifeTime[tractorName];
		RN.equipment.fixedCostPerYear[tractorName] 			= RN.equipment.investmentCostPerYear[tractorName] + RN.equipment.TIHperYear[tractorName];
		RN.equipment.lifeTimeHours[tractorName] 			= RN.equipment.lifeTime[tractorName] * RN.equipment.fieldHours[tractorName];
		RN.equipment.repairsPerYear[tractorName] 			= RN.equipment.price[tractorName] * RN.equipmentRepairFactor/RN.equipment.lifeTime[tractorName];
		RN.equipment.repairsPerHour[tractorName] 			= RN.equipment.repairsPerYear[tractorName]/RN.equipment.fieldHours[tractorName];
		RN.equipment.fuelPerHour[tractorName] 				= RN.equipment.neededHP[tractorName] * RN.equipment.fuelPerHourPerHP[tractorName];
		RN.equipment.fuelCostPerHour[tractorName] 			= RN.equipment.fuelPerHour[tractorName] * RN.fuelCostPerLiter;
		RN.equipment.lubricationCostPerHour[tractorName] 	= RN.equipment.fuelCostPerHour[tractorName] * RN.lubricationFractionOfFuel;
		RN.equipment.operatingCostPerHour[tractorName] 		= RN.salaryPerHour + RN.equipment.repairsPerHour[tractorName] + RN.equipment.fuelCostPerHour[tractorName] + RN.equipment.lubricationCostPerHour[tractorName];
		RN.equipment.fixedCostPerHour[tractorName] 			= RN.equipment.fixedCostPerYear[tractorName]/RN.equipment.fieldHours[tractorName];
		RN.equipment.equipmentCostPerHour[tractorName] 		= RN.equipment.operatingCostPerHour[tractorName] + RN.equipment.fixedCostPerHour[tractorName];
		RN.equipment.equipmentCostPerYear[tractorName] 		= RN.equipment.equipmentCostPerHour[tractorName] * RN.equipment.fieldHours[tractorName];
		RN.contractRatePerYear[tractorName] 				= RN.contractRatePerHour[tractorName] * RN.equipment.fieldHours[tractorName];
		RN.equipment.breakEvenHour[tractorName] 			= (RN.equipment.fixedCostPerYear[tractorName]+RN.equipment.repairsPerYear[tractorName])/(RN.contractRatePerHour[tractorName] - (RN.equipment.operatingCostPerHour[tractorName] - RN.equipment.repairsPerHour[tractorName]));

	end;

-- implements

	print("                                                           "..trcList[1].."  "..trcList[2].."  "..trcList[3].."  "..trcList[4].."  "..trcList[5]);
	print(" ")
	myPrintEquipInfo0("Price", textWidth, textWidth2, currency,
		RN.equipment.price[trcList[1]], RN.equipment.price[trcList[2]], RN.equipment.price[trcList[3]], RN.equipment.price[trcList[4]], RN.equipment.price[trcList[5]]);
	myPrintEquipInfo0("Loan time", textWidth, textWidth2, "years",
		RN.equipment.loanTime[trcList[1]], RN.equipment.loanTime[trcList[2]], RN.equipment.loanTime[trcList[3]], RN.equipment.loanTime[trcList[4]], RN.equipment.loanTime[trcList[5]]);
	myPrintEquipInfo0("Life time", textWidth, textWidth2, "years",
		RN.equipment.lifeTime[trcList[1]], RN.equipment.lifeTime[trcList[2]], RN.equipment.lifeTime[trcList[3]], RN.equipment.lifeTime[trcList[4]], RN.equipment.lifeTime[trcList[5]]);
	myPrintEquipInfo4("Net interest rate", textWidth, textWidth2, "%",
		RN.annualLoanInterest, RN.annualLoanInterest, RN.annualLoanInterest, RN.annualLoanInterest, RN.annualLoanInterest);
	myPrintEquipInfo0("Interest cost", textWidth, textWidth2, currency,
		RN.equipment.interestCost[trcList[1]], RN.equipment.interestCost[trcList[2]], RN.equipment.interestCost[trcList[3]], RN.equipment.interestCost[trcList[4]], RN.equipment.interestCost[trcList[5]]);
	myPrintEquipInfo0("Loan cost", textWidth, textWidth2, currency,
		RN.equipment.loanCost[trcList[1]], RN.equipment.loanCost[trcList[2]], RN.equipment.loanCost[trcList[3]], RN.equipment.loanCost[trcList[4]], RN.equipment.loanCost[trcList[5]]);
	myPrintEquipInfo4("Depreciation rate per year", textWidth, textWidth2, "-",
		RN.equipment.depreciationRate[trcList[1]], RN.equipment.depreciationRate[trcList[2]], RN.equipment.depreciationRate[trcList[3]], RN.equipment.depreciationRate[trcList[4]], RN.equipment.depreciationRate[trcList[5]]);
	myPrintEquipInfo4("Salvage fraction", textWidth, textWidth2, "-",
		RN.equipment.salvageFraction[trcList[1]], RN.equipment.salvageFraction[trcList[2]], RN.equipment.salvageFraction[trcList[3]], RN.equipment.salvageFraction[trcList[4]], RN.equipment.salvageFraction[trcList[5]]);
	myPrintEquipInfo0("Sell price", textWidth, textWidth2, currency,
		RN.equipment.sellPrice[trcList[1]], RN.equipment.sellPrice[trcList[2]], RN.equipment.sellPrice[trcList[3]], RN.equipment.sellPrice[trcList[4]], RN.equipment.sellPrice[trcList[5]]);
	myPrintEquipInfo0("Loan payment", textWidth, textWidth2, currency,
		RN.equipment.loanPayment[trcList[1]], RN.equipment.loanPayment[trcList[2]], RN.equipment.loanPayment[trcList[3]], RN.equipment.loanPayment[trcList[4]], RN.equipment.loanPayment[trcList[5]]);
	myPrintEquipInfo0("Life time depreciation", textWidth, textWidth2, currency,
		RN.equipment.depreciation[trcList[1]], RN.equipment.depreciation[trcList[2]], RN.equipment.depreciation[trcList[3]], RN.equipment.depreciation[trcList[4]], RN.equipment.depreciation[trcList[5]]);
	myPrintEquipInfo0("Investment cost", textWidth, textWidth2, currency,
		RN.equipment.investmentCost[trcList[1]], RN.equipment.investmentCost[trcList[2]], RN.equipment.investmentCost[trcList[3]], RN.equipment.investmentCost[trcList[4]], RN.equipment.investmentCost[trcList[5]]);
	myPrintEquipInfo0("Investment cost per year", textWidth, textWidth2, currency.."/year",
		RN.equipment.investmentCostPerYear[trcList[1]], RN.equipment.investmentCostPerYear[trcList[2]], RN.equipment.investmentCostPerYear[trcList[3]], RN.equipment.investmentCostPerYear[trcList[4]], RN.equipment.investmentCostPerYear[trcList[5]]);
	myPrintEquipInfo0("Tax, insurance, housing cost", textWidth, textWidth2, currency.."/year",
		RN.equipment.TIHperYear[trcList[1]], RN.equipment.TIHperYear[trcList[2]], RN.equipment.TIHperYear[trcList[3]], RN.equipment.TIHperYear[trcList[4]], RN.equipment.TIHperYear[trcList[5]]);
	print(" ");
	myPrintEquipInfo0("Fixed cost per year", textWidth, textWidth2, currency.."/year",
		RN.equipment.fixedCostPerYear[trcList[1]], RN.equipment.fixedCostPerYear[trcList[2]], RN.equipment.fixedCostPerYear[trcList[3]], RN.equipment.fixedCostPerYear[trcList[4]], RN.equipment.fixedCostPerYear[trcList[5]]);
	print(" ");
	myPrintEquipInfo4("Tractor hours per year", textWidth, textWidth2, "hours/year",
		RN.equipment.fieldHours[trcList[1]], RN.equipment.fieldHours[trcList[2]], RN.equipment.fieldHours[trcList[3]], RN.equipment.fieldHours[trcList[4]], RN.equipment.fieldHours[trcList[5]]);
	myPrintEquipInfo0("Tractor hours life time", textWidth, textWidth2, "hours",
		RN.equipment.lifeTimeHours[trcList[1]], RN.equipment.lifeTimeHours[trcList[2]], RN.equipment.lifeTimeHours[trcList[3]], RN.equipment.lifeTimeHours[trcList[4]], RN.equipment.lifeTimeHours[trcList[5]]);
	myPrintEquipInfo4("Repair factor", textWidth, textWidth2, "-",
		RN.equipmentRepairFactor, RN.equipmentRepairFactor, RN.equipmentRepairFactor, RN.equipmentRepairFactor, RN.equipmentRepairFactor);
	myPrintEquipInfo0("Repairs per year", textWidth, textWidth2, currency.."/year",
		RN.equipment.repairsPerYear[trcList[1]], RN.equipment.repairsPerYear[trcList[2]], RN.equipment.repairsPerYear[trcList[3]], RN.equipment.repairsPerYear[trcList[4]], RN.equipment.repairsPerYear[trcList[5]]);
	myPrintEquipInfo4("Repairs per hour", textWidth, textWidth2, currency.."/hour",
		RN.equipment.repairsPerHour[trcList[1]], RN.equipment.repairsPerHour[trcList[2]], RN.equipment.repairsPerHour[trcList[3]], RN.equipment.repairsPerHour[trcList[4]], RN.equipment.repairsPerHour[trcList[5]]);
	myPrintEquipInfo0("Tractor HP", textWidth, textWidth2, "hp",
		RN.equipment.neededHP[trcList[1]], RN.equipment.neededHP[trcList[2]], RN.equipment.neededHP[trcList[3]], RN.equipment.neededHP[trcList[4]], RN.equipment.neededHP[trcList[5]]);
	myPrintEquipInfo4("Fuel per hour", textWidth, textWidth2, "L/hour",
		RN.equipment.fuelPerHour[trcList[1]], RN.equipment.fuelPerHour[trcList[2]], RN.equipment.fuelPerHour[trcList[3]], RN.equipment.fuelPerHour[trcList[4]], RN.equipment.fuelPerHour[trcList[5]]);
	myPrintEquipInfo4("Fuel cost per hour", textWidth, textWidth2, currency.."/hour",
		RN.equipment.fuelCostPerHour[trcList[1]], RN.equipment.fuelCostPerHour[trcList[2]], RN.equipment.fuelCostPerHour[trcList[3]], RN.equipment.fuelCostPerHour[trcList[4]], RN.equipment.fuelCostPerHour[trcList[5]]);
	myPrintEquipInfo4("Lubrication cost per hour", textWidth, textWidth2, currency.."/hour",
		RN.equipment.lubricationCostPerHour[trcList[1]], RN.equipment.lubricationCostPerHour[trcList[2]], RN.equipment.lubricationCostPerHour[trcList[3]], RN.equipment.lubricationCostPerHour[trcList[4]], RN.equipment.lubricationCostPerHour[trcList[5]]);
	myPrintEquipInfo4("Labor cost per hour", textWidth, textWidth2, currency.."/hour",
		RN.salaryPerHour, RN.salaryPerHour, RN.salaryPerHour, RN.salaryPerHour, RN.salaryPerHour);
	myPrintEquipInfo4("Operating cost per hour", textWidth, textWidth2, currency.."/hour",
		RN.equipment.operatingCostPerHour[trcList[1]], RN.equipment.operatingCostPerHour[trcList[2]], RN.equipment.operatingCostPerHour[trcList[3]], RN.equipment.operatingCostPerHour[trcList[4]], RN.equipment.operatingCostPerHour[trcList[5]]);
	myPrintEquipInfo4("Ownership cost per hour", textWidth, textWidth2, currency.."/hour",
		RN.equipment.fixedCostPerHour[trcList[1]], RN.equipment.fixedCostPerHour[trcList[2]], RN.equipment.fixedCostPerHour[trcList[3]], RN.equipment.fixedCostPerHour[trcList[4]], RN.equipment.fixedCostPerHour[trcList[5]]);
		print(" ");
	myPrintEquipInfo0("Tractor cost per hour", textWidth, textWidth2, currency.."/hour",
		RN.equipment.equipmentCostPerHour[trcList[1]], RN.equipment.equipmentCostPerHour[trcList[2]], RN.equipment.equipmentCostPerHour[trcList[3]], RN.equipment.equipmentCostPerHour[trcList[4]], RN.equipment.equipmentCostPerHour[trcList[5]]);
	myPrintEquipInfo0("Tractor cost per year", textWidth, textWidth2, currency.."/year",
		RN.equipment.equipmentCostPerYear[trcList[1]], RN.equipment.equipmentCostPerYear[trcList[2]], RN.equipment.equipmentCostPerYear[trcList[3]], RN.equipment.equipmentCostPerYear[trcList[4]], RN.equipment.equipmentCostPerYear[trcList[5]]);
		print(" ");
	myPrintEquipInfo0("Contract cost per hour", textWidth, textWidth2, currency.."/hour",
		RN.contractRatePerHour[trcList[1]], RN.contractRatePerHour[trcList[2]], RN.contractRatePerHour[trcList[3]], RN.contractRatePerHour[trcList[4]], RN.contractRatePerHour[trcList[5]]);
	myPrintEquipInfo0("Contract cost per year", textWidth, textWidth2, currency.."/year",
		RN.contractRatePerYear[trcList[1]], RN.contractRatePerYear[trcList[2]], RN.contractRatePerYear[trcList[3]], RN.contractRatePerYear[trcList[4]], RN.contractRatePerYear[trcList[5]]);
		print(" ");
	myPrintEquipInfo0("Break-even field hours", textWidth, textWidth2, "hours/year",
		RN.equipment.breakEvenHour[trcList[1]], RN.equipment.breakEvenHour[trcList[2]], RN.equipment.breakEvenHour[trcList[3]], RN.equipment.breakEvenHour[trcList[4]], RN.equipment.breakEvenHour[trcList[5]]);
	print(" ")




	RN.equipment.price["MANURESPREADER"] 				= RN.usedEquipmentPriceScaling * 27500; --  €
	RN.equipment.loanTime["MANURESPREADER"]				= RN.loanYears;    -- years
	RN.equipment.lifeTime["MANURESPREADER"]				= 20;    -- years
	RN.equipment.depreciationRate["MANURESPREADER"] 	= 0.1;
	RN.equipment.width["MANURESPREADER"] 				= 9;	-- m
	RN.equipment.speed["MANURESPREADER"] 				= 8;	-- kph
	RN.equipment.efficiency["MANURESPREADER"] 			= 0.63;
	RN.equipment.workArea["MANURESPREADER"] 			= RN.fieldArea["MANURESPREADER"];
	RN.equipment.neededHP["MANURESPREADER"] 			= 110;	-- hp
	RN.equipment.fuelPerHourPerHP["MANURESPREADER"] 	= RN.fuelPerHourPerHP;
	RN.equipment.isLeasing["MANURESPREADER"] 			= true;

	RN.equipment.price["SLURRYTANKS"] 					= RN.usedEquipmentPriceScaling * 23000; --  €
	RN.equipment.loanTime["SLURRYTANKS"]				= RN.loanYears;    -- years
	RN.equipment.lifeTime["SLURRYTANKS"]				= 20;    -- years
	RN.equipment.depreciationRate["SLURRYTANKS"] 		= 0.1;
	RN.equipment.width["SLURRYTANKS"] 					= 9;	-- m
	RN.equipment.speed["SLURRYTANKS"] 					= 8;	-- kph
	RN.equipment.efficiency["SLURRYTANKS"] 				= 0.60;
	RN.equipment.workArea["SLURRYTANKS"] 				= RN.fieldArea["SLURRYTANKS"];
	RN.equipment.neededHP["SLURRYTANKS"] 				= 85;	-- hp
	RN.equipment.fuelPerHourPerHP["SLURRYTANKS"] 		= RN.fuelPerHourPerHP;
	RN.equipment.isLeasing["SLURRYTANKS"] 				= true;

	RN.equipment.price["PLOWS"] 						= RN.usedEquipmentPriceScaling * 14000; --  €
	RN.equipment.loanTime["PLOWS"]						= RN.loanYears;    -- years
	RN.equipment.lifeTime["PLOWS"]						= 20;    -- years
	RN.equipment.depreciationRate["PLOWS"] 				= 0.1;
	RN.equipment.width["PLOWS"] 						= 2.5;	-- m
	RN.equipment.speed["PLOWS"] 						= 12;	-- kph
	RN.equipment.efficiency["PLOWS"] 					= 0.85;
	RN.equipment.workArea["PLOWS"] 						= RN.fieldArea["PLOWS"];
	RN.equipment.neededHP["PLOWS"] 						= 150;	-- hp
	RN.equipment.fuelPerHourPerHP["PLOWS"] 				= RN.fuelPerHourPerHP;
	RN.equipment.isLeasing["PLOWS"] 					= false;

	RN.equipment.price["DISCHARROWS"] 					= RN.usedEquipmentPriceScaling * 18000; --  €
	RN.equipment.loanTime["DISCHARROWS"]				= RN.loanYears;    -- years
	RN.equipment.lifeTime["DISCHARROWS"]				= 20;    -- years
	RN.equipment.depreciationRate["DISCHARROWS"] 		= 0.1;
	RN.equipment.width["DISCHARROWS"] 					= 3;	-- m
	RN.equipment.speed["DISCHARROWS"] 					= 10;	-- kph
	RN.equipment.efficiency["DISCHARROWS"] 				= 0.83;
	RN.equipment.workArea["DISCHARROWS"] 				= RN.fieldArea["DISCHARROWS"];
	RN.equipment.neededHP["DISCHARROWS"] 				= 100;	-- hp
	RN.equipment.fuelPerHourPerHP["DISCHARROWS"] 		= RN.fuelPerHourPerHP;
	RN.equipment.isLeasing["DISCHARROWS"] 				= false;

	RN.equipment.price["CULTIVATORS"] 					= RN.usedEquipmentPriceScaling * 7000; --  €
	RN.equipment.loanTime["CULTIVATORS"]				= RN.loanYears;    -- years
	RN.equipment.lifeTime["CULTIVATORS"]				= 20;    -- years
	RN.equipment.depreciationRate["CULTIVATORS"] 		= 0.1;
	RN.equipment.width["CULTIVATORS"] 					= 3;	-- m
	RN.equipment.speed["CULTIVATORS"] 					= 15;	-- kph
	RN.equipment.efficiency["CULTIVATORS"] 				= 0.85;
	RN.equipment.workArea["CULTIVATORS"] 				= RN.fieldArea["CULTIVATORS"];
	RN.equipment.neededHP["CULTIVATORS"] 				= 100;	-- hp
	RN.equipment.fuelPerHourPerHP["CULTIVATORS"] 		= RN.fuelPerHourPerHP;
	RN.equipment.isLeasing["CULTIVATORS"] 				= false;

	RN.equipment.price["SEEDERS"] 						= RN.usedEquipmentPriceScaling * 13000; --  €
	RN.equipment.loanTime["SEEDERS"]					= RN.loanYears;    -- years
	RN.equipment.lifeTime["SEEDERS"]					= 20;    -- years
	RN.equipment.depreciationRate["SEEDERS"] 			= 0.1;
	RN.equipment.width["SEEDERS"] 						= 3;	-- m
	RN.equipment.speed["SEEDERS"] 						= 10;	-- kph
	RN.equipment.efficiency["SEEDERS"] 					= 0.70;
	RN.equipment.workArea["SEEDERS"] 					= RN.fieldArea["SEEDERS"];
	RN.equipment.neededHP["SEEDERS"] 					= 85;	-- hp
	RN.equipment.fuelPerHourPerHP["SEEDERS"] 			= RN.fuelPerHourPerHP;
	RN.equipment.isLeasing["SEEDERS"] 					= false;

	RN.equipment.price["PLANTERS"] 						= RN.usedEquipmentPriceScaling * 29000; --  €
	RN.equipment.loanTime["PLANTERS"]					= RN.loanYears;    -- years
	RN.equipment.lifeTime["PLANTERS"]					= 20;    -- years
	RN.equipment.depreciationRate["PLANTERS"] 			= 0.1;
	RN.equipment.width["PLANTERS"] 						= 4.5;	-- m
	RN.equipment.speed["PLANTERS"] 						= 8;	-- kph
	RN.equipment.efficiency["PLANTERS"] 				= 0.65;
	RN.equipment.workArea["PLANTERS"] 					= RN.fieldArea["PLANTERS"];
	RN.equipment.neededHP["PLANTERS"] 					= 85;	-- hp
	RN.equipment.fuelPerHourPerHP["PLANTERS"] 			= RN.fuelPerHourPerHP;
	RN.equipment.isLeasing["PLANTERS"] 					= false;

	RN.equipment.price["FERTILIZERSPREADERS"] 			= RN.usedEquipmentPriceScaling * 15000; --  €
	RN.equipment.loanTime["FERTILIZERSPREADERS"]		= RN.loanYears;    -- years
	RN.equipment.lifeTime["FERTILIZERSPREADERS"]		= 20;    -- years
	RN.equipment.depreciationRate["FERTILIZERSPREADERS"]= 0.1;
	RN.equipment.width["FERTILIZERSPREADERS"] 			= 15;	-- m
	RN.equipment.speed["FERTILIZERSPREADERS"] 			= 12;	-- kph
	RN.equipment.efficiency["FERTILIZERSPREADERS"] 		= 0.63;
	RN.equipment.workArea["FERTILIZERSPREADERS"] 		= RN.fieldArea["FERTILIZERSPREADERS"];
	RN.equipment.neededHP["FERTILIZERSPREADERS"] 		= 70;	-- hp
	RN.equipment.fuelPerHourPerHP["FERTILIZERSPREADERS"]= RN.fuelPerHourPerHP;
	RN.equipment.isLeasing["FERTILIZERSPREADERS"] 		= false;

	RN.equipment.price["LIMESPREADERS"] 				= RN.usedEquipmentPriceScaling * 39000; --  €
	RN.equipment.loanTime["LIMESPREADERS"]				= RN.loanYears;    -- years
	RN.equipment.lifeTime["LIMESPREADERS"]				= 20;    -- years
	RN.equipment.depreciationRate["LIMESPREADERS"]		= 0.1;
	RN.equipment.width["LIMESPREADERS"] 				= 12;	-- m
	RN.equipment.speed["LIMESPREADERS"] 				= 12;	-- kph
	RN.equipment.efficiency["LIMESPREADERS"] 			= 0.83;
	RN.equipment.workArea["LIMESPREADERS"] 				= RN.fieldArea["LIMESPREADERS"];
	RN.equipment.neededHP["LIMESPREADERS"] 				= 140;	-- hp
	RN.equipment.fuelPerHourPerHP["LIMESPREADERS"]		= RN.fuelPerHourPerHP;
	RN.equipment.isLeasing["LIMESPREADERS"] 			= true;

	RN.equipment.price["SPRAYERS"] 						= RN.usedEquipmentPriceScaling * 29500; --  €
	RN.equipment.loanTime["SPRAYERS"]					= RN.loanYears;    -- years
	RN.equipment.lifeTime["SPRAYERS"]					= 20;    -- years
	RN.equipment.depreciationRate["SPRAYERS"]			= 0.1;
	RN.equipment.width["SPRAYERS"] 						= 15;	-- m
	RN.equipment.speed["SPRAYERS"] 						= 12;	-- kph
	RN.equipment.efficiency["SPRAYERS"] 				= 0.85;
	RN.equipment.workArea["SPRAYERS"] 					= RN.fieldArea["SPRAYERS"];
	RN.equipment.neededHP["SPRAYERS"] 					= 100;	-- hp
	RN.equipment.fuelPerHourPerHP["SPRAYERS"]			= RN.fuelPerHourPerHP;
	RN.equipment.isLeasing["SPRAYERS"] 					= false;

	RN.equipment.price["HARVESTERS"] 					= RN.usedEquipmentPriceScaling * 156000; --  €
	RN.equipment.loanTime["HARVESTERS"]					= RN.loanYears;    -- years
	RN.equipment.lifeTime["HARVESTERS"]					= 15;    -- years
	RN.equipment.depreciationRate["HARVESTERS"]			= 0.1;
	RN.equipment.width["HARVESTERS"] 					= 5;	-- m
	RN.equipment.speed["HARVESTERS"] 					= 7;	-- kph
	RN.equipment.efficiency["HARVESTERS"] 				= 0.82;
	RN.equipment.workArea["HARVESTERS"] 				= RN.fieldArea["HARVESTERS"];
	RN.equipment.neededHP["HARVESTERS"] 				= 180;	-- hp
	RN.equipment.fuelPerHourPerHP["HARVESTERS"]			= RN.fuelPerHourPerHP;
	RN.equipment.isLeasing["HARVESTERS"] 				= true;

	RN.equipment.price["FORAGEHARVESTERS"] 				= RN.usedEquipmentPriceScaling * 385000; --  €
	RN.equipment.loanTime["FORAGEHARVESTERS"]			= RN.loanYears;    -- years
	RN.equipment.lifeTime["FORAGEHARVESTERS"]			= 15;    -- years
	RN.equipment.depreciationRate["FORAGEHARVESTERS"]	= 0.1;
	RN.equipment.width["FORAGEHARVESTERS"] 				= 6;	-- m
	RN.equipment.speed["FORAGEHARVESTERS"] 				= 6;	-- kph
	RN.equipment.efficiency["FORAGEHARVESTERS"] 		= 0.82;
	RN.equipment.workArea["FORAGEHARVESTERS"] 			= RN.fieldArea["FORAGEHARVESTERS"];
	RN.equipment.neededHP["FORAGEHARVESTERS"] 			= 650;	-- hp
	RN.equipment.fuelPerHourPerHP["FORAGEHARVESTERS"]	= RN.fuelPerHourPerHP;
	RN.equipment.isLeasing["FORAGEHARVESTERS"] 			= true;

	RN.equipment.price["POTATOPLANTERS"] 				= RN.usedEquipmentPriceScaling * 21000; --  €
	RN.equipment.loanTime["POTATOPLANTERS"]				= RN.loanYears;    -- years
	RN.equipment.lifeTime["POTATOPLANTERS"]				= 20;    -- years
	RN.equipment.depreciationRate["POTATOPLANTERS"]		= 0.1;
	RN.equipment.width["POTATOPLANTERS"] 				= 3;	-- m
	RN.equipment.speed["POTATOPLANTERS"] 				= 8;	-- kph
	RN.equipment.efficiency["POTATOPLANTERS"] 			= 0.65;
	RN.equipment.workArea["POTATOPLANTERS"] 			= RN.fieldArea["POTATOPLANTERS"];
	RN.equipment.neededHP["POTATOPLANTERS"] 			= 150;	-- hp
	RN.equipment.fuelPerHourPerHP["POTATOPLANTERS"]		= RN.fuelPerHourPerHP;
	RN.equipment.isLeasing["POTATOPLANTERS"] 			= true;

	RN.equipment.price["POTATOHARVESTING"] 				= RN.usedEquipmentPriceScaling * 160000; --  €
	RN.equipment.loanTime["POTATOHARVESTING"]			= RN.loanYears;    -- years
	RN.equipment.lifeTime["POTATOHARVESTING"]			= 15;    -- years
	RN.equipment.depreciationRate["POTATOHARVESTING"]	= 0.1;
	RN.equipment.width["POTATOHARVESTING"] 				= 1.8;	-- m
	RN.equipment.speed["POTATOHARVESTING"] 				= 7;	-- kph
	RN.equipment.efficiency["POTATOHARVESTING"] 		= 0.82;
	RN.equipment.workArea["POTATOHARVESTING"] 			= RN.fieldArea["POTATOHARVESTING"];
	RN.equipment.neededHP["POTATOHARVESTING"] 			= 110;	-- hp
	RN.equipment.fuelPerHourPerHP["POTATOHARVESTING"]	= RN.fuelPerHourPerHP;
	RN.equipment.isLeasing["POTATOHARVESTING"] 			= true;

	RN.equipment.price["BEETHARVESTING"] 				= RN.usedEquipmentPriceScaling * 120000; --  €
	RN.equipment.loanTime["BEETHARVESTING"]				= RN.loanYears;    -- years
	RN.equipment.lifeTime["BEETHARVESTING"]				= 15;    -- years
	RN.equipment.depreciationRate["BEETHARVESTING"]		= 0.1;
	RN.equipment.width["BEETHARVESTING"] 				= 3;	-- m
	RN.equipment.speed["BEETHARVESTING"] 				= 7;	-- kph
	RN.equipment.efficiency["BEETHARVESTING"] 			= 0.82;
	RN.equipment.workArea["BEETHARVESTING"] 			= RN.fieldArea["BEETHARVESTING"];
	RN.equipment.neededHP["BEETHARVESTING"] 			= 185;	-- hp
	RN.equipment.fuelPerHourPerHP["BEETHARVESTING"]		= RN.fuelPerHourPerHP;
	RN.equipment.isLeasing["BEETHARVESTING"] 			= true;

	RN.equipment.price["MOWERS"] 						= RN.usedEquipmentPriceScaling * 16000; --  €
	RN.equipment.loanTime["MOWERS"]						= RN.loanYears;    -- years
	RN.equipment.lifeTime["MOWERS"]						= 20;    -- years
	RN.equipment.depreciationRate["MOWERS"]				= 0.1;
	RN.equipment.width["MOWERS"] 						= 4.3;	-- m
	RN.equipment.speed["MOWERS"] 						= 11;	-- kph
	RN.equipment.efficiency["MOWERS"] 					= 0.83;
	RN.equipment.workArea["MOWERS"] 					= RN.fieldArea["MOWERS"];
	RN.equipment.neededHP["MOWERS"] 					= 80;	-- hp
	RN.equipment.fuelPerHourPerHP["MOWERS"]				= RN.fuelPerHourPerHP;
	RN.equipment.isLeasing["MOWERS"] 					= false;

	RN.equipment.price["TEDDERS"] 						= RN.usedEquipmentPriceScaling * 11000; --  €
	RN.equipment.loanTime["TEDDERS"]					= RN.loanYears;    -- years
	RN.equipment.lifeTime["TEDDERS"]					= 20;    -- years
	RN.equipment.depreciationRate["TEDDERS"]			= 0.1;
	RN.equipment.width["TEDDERS"] 						= 6;	-- m
	RN.equipment.speed["TEDDERS"] 						= 11;	-- kph
	RN.equipment.efficiency["TEDDERS"] 					= 0.80;
	RN.equipment.workArea["TEDDERS"] 					= RN.fieldArea["TEDDERS"];
	RN.equipment.neededHP["TEDDERS"] 					= 60;	-- hp
	RN.equipment.fuelPerHourPerHP["TEDDERS"]			= RN.fuelPerHourPerHP;
	RN.equipment.isLeasing["TEDDERS"] 					= false;

	RN.equipment.price["WINDROWERS"] 					= RN.usedEquipmentPriceScaling * 10000; --  €
	RN.equipment.loanTime["WINDROWERS"]					= RN.loanYears;    -- years
	RN.equipment.lifeTime["WINDROWERS"]					= 20;    -- years
	RN.equipment.depreciationRate["WINDROWERS"]			= 0.1;
	RN.equipment.width["WINDROWERS"] 					= 4.6;	-- m
	RN.equipment.speed["WINDROWERS"] 					= 11;	-- kph
	RN.equipment.efficiency["WINDROWERS"] 				= 0.80;
	RN.equipment.workArea["WINDROWERS"] 				= RN.fieldArea["WINDROWERS"];
	RN.equipment.neededHP["WINDROWERS"] 				= 50;	-- hp
	RN.equipment.fuelPerHourPerHP["WINDROWERS"]			= RN.fuelPerHourPerHP;
	RN.equipment.isLeasing["WINDROWERS"] 				= false;

-- Derived variables: Ownership cost per year

	RN.implementList = {"MANURESPREADER","SLURRYTANKS","PLOWS","DISCHARROWS","CULTIVATORS",
							"SEEDERS","PLANTERS","FERTILIZERSPREADERS","LIMESPREADERS","SPRAYERS",
							"HARVESTERS","FORAGEHARVESTERS","POTATOPLANTERS","POTATOHARVESTING","BEETHARVESTING",
							"MOWERS","TEDDERS","WINDROWERS"};


	local impList = RN.implementList;

	for k,implementName in pairs(impList) do

		interestFactor = math.pow(1 + RN.annualLoanInterest/100,RN.equipment.loanTime[implementName]);
--		print(implementName);
		RN.equipment.interestCost[implementName] 		= RN.equipment.price[implementName] * (interestFactor - 1);
		RN.equipment.loanCost[implementName] 			= RN.equipment.price[implementName] * interestFactor;
		RN.equipment.salvageFraction[implementName] 	= math.pow((1-RN.equipment.depreciationRate[implementName]),RN.equipment.lifeTime[implementName]);
		RN.equipment.sellPrice[implementName] 			= RN.equipment.price[implementName] * RN.equipment.salvageFraction[implementName];
		RN.equipment.loanPayment[implementName] 		= RN.equipment.loanCost[implementName] - RN.equipment.sellPrice[implementName];
		RN.equipment.depreciation[implementName] 		= RN.equipment.price[implementName] - RN.equipment.sellPrice[implementName];
		RN.equipment.investmentCost[implementName] 		= RN.equipment.loanPayment[implementName] + RN.equipment.depreciation[implementName];
		RN.equipment.investmentCostPerYear[implementName] = RN.equipment.investmentCost[implementName]/RN.equipment.lifeTime[implementName];
		RN.equipment.tax[implementName] 				= RN.equipmentTax * (RN.equipment.price[implementName] + RN.equipment.sellPrice[implementName])/2;
		RN.equipment.insurance[implementName] 			= RN.equipmentInsurance * (RN.equipment.price[implementName] + RN.equipment.sellPrice[implementName])/2;
		RN.equipment.housing[implementName] 			= RN.equipmentHousing * (RN.equipment.price[implementName] + RN.equipment.sellPrice[implementName])/2;
		RN.equipment.TIHperYear[implementName] 			= (RN.equipment.tax[implementName] + RN.equipment.insurance[implementName] + RN.equipment.housing[implementName])/RN.equipment.lifeTime[implementName];
		RN.equipment.fixedCostPerYear[implementName] 	= RN.equipment.investmentCostPerYear[implementName] + RN.equipment.TIHperYear[implementName];
		RN.equipment.fieldCapacity[implementName] 		= RN.equipment.width[implementName] * RN.equipment.speed[implementName] * RN.equipment.efficiency[implementName]/10;
		RN.equipment.fieldHours[implementName] 			= RN.equipment.workArea[implementName]/RN.equipment.fieldCapacity[implementName];
		RN.equipment.lifeTimeHours[implementName] 		= RN.equipment.lifeTime[implementName] * RN.equipment.fieldHours[implementName];
		RN.equipment.repairsPerYear[implementName] 		= RN.equipment.price[implementName] * RN.equipmentRepairFactor/RN.equipment.lifeTime[implementName];
		RN.equipment.repairsPerHour[implementName] 		= RN.equipment.repairsPerYear[implementName]/RN.equipment.fieldHours[implementName];
		RN.equipment.fuelPerHour[implementName] 		= RN.equipment.neededHP[implementName] * RN.equipment.fuelPerHourPerHP[implementName];
		RN.equipment.fuelCostPerHour[implementName] 	= RN.equipment.fuelPerHour[implementName] * RN.fuelCostPerLiter;
		RN.equipment.lubricationCostPerHour[implementName] 	= RN.equipment.fuelCostPerHour[implementName] * RN.lubricationFractionOfFuel;
		RN.equipment.operatingCostPerHour[implementName] = RN.salaryPerHour + RN.equipment.repairsPerHour[implementName] + RN.equipment.fuelCostPerHour[implementName] + RN.equipment.lubricationCostPerHour[implementName];
		RN.equipment.operatingCostPerHa[implementName]	= RN.equipment.operatingCostPerHour[implementName]/ RN.equipment.fieldCapacity[implementName];
		RN.equipment.fixedCostPerHour[implementName] 	= RN.equipment.fixedCostPerYear[implementName]/RN.equipment.fieldHours[implementName];
		RN.equipment.fixedCostPerHa[implementName] 		= RN.equipment.fixedCostPerYear[implementName]/RN.equipment.workArea[implementName];

		RN.equipment.leaseCostPerHour[implementName]	= RN.DEFAULT_RUNNING_LEASING_FACTOR * RN.equipment.price[implementName];	
		RN.equipment.leaseCostPerYear[implementName]	= RN.equipment.fieldHours[implementName] * RN.equipment.leaseCostPerHour[implementName];
		RN.equipment.leaseCostPerHa[implementName]		= RN.equipment.leaseCostPerYear[implementName] / RN.equipment.workArea[implementName];

		RN.equipment.equipmentCostPerHour[implementName] = RN.equipment.operatingCostPerHour[implementName] + RN.equipment.fixedCostPerHour[implementName];
		RN.equipment.equipmentCostPerYear[implementName] = RN.equipment.equipmentCostPerHour[implementName] * RN.equipment.fieldHours[implementName];
		RN.equipment.equipmentCostPerHa[implementName] 	= RN.equipment.equipmentCostPerHour[implementName]/RN.equipment.fieldCapacity[implementName];

		RN.equipment.equipmentLeaseCostPerHour[implementName] = RN.equipment.operatingCostPerHour[implementName] + RN.equipment.leaseCostPerHour[implementName];
		RN.equipment.equipmentLeaseCostPerYear[implementName] = RN.equipment.equipmentLeaseCostPerHour[implementName] * RN.equipment.fieldHours[implementName];
		RN.equipment.equipmentLeaseCostPerHa[implementName]   = RN.equipment.equipmentLeaseCostPerHour[implementName]/RN.equipment.fieldCapacity[implementName];

		RN.contractRatePerHour[implementName] 			= RN.contractRatePerHa[implementName] * RN.equipment.fieldCapacity[implementName];
		RN.contractRatePerYear[implementName] 			= RN.contractRatePerHour[implementName] * RN.equipment.fieldHours[implementName];
		RN.equipment.surplusPerHa[implementName] 		= RN.contractRatePerHa[implementName] - RN.equipment.operatingCostPerHa[implementName];
		RN.equipment.breakEvenHa[implementName] 		= RN.equipment.fixedCostPerYear[implementName] / RN.equipment.surplusPerHa[implementName];
		RN.equipment.breakEvenHour[implementName] 		= RN.equipment.breakEvenHa[implementName]/RN.equipment.fieldCapacity[implementName];



--		print(RN.equipment.equipmentCostPerHa[implementName]);
	end;

-- Field work cost


	RN.fieldWorkCost	= {};

	if RN.equipment.isLeasing["MANURESPREADER"]	then
		RN.fieldWorkCost.manureSpreader			= RN.equipment.equipmentLeaseCostPerHa["MANURESPREADER"];	-- €/ha
	else
		RN.fieldWorkCost.manureSpreader			= RN.equipment.equipmentCostPerHa["MANURESPREADER"];		-- €/ha
	end;

	if RN.equipment.isLeasing["PLOWS"]	then
		RN.fieldWorkCost.turnPlow					= RN.equipment.equipmentLeaseCostPerHa["PLOWS"];		-- €/ha
		RN.fieldWorkCost.subsoiler					= RN.equipment.equipmentLeaseCostPerHa["PLOWS"];		-- €/ha
	else
		RN.fieldWorkCost.turnPlow					= RN.equipment.equipmentCostPerHa["PLOWS"];				-- €/ha
		RN.fieldWorkCost.subsoiler					= RN.equipment.equipmentCostPerHa["PLOWS"];				-- €/ha
	end;

	if RN.equipment.isLeasing["CULTIVATORS"]	then
		RN.fieldWorkCost.wingshareCultivator		= RN.equipment.equipmentLeaseCostPerHa["CULTIVATORS"];	-- €/ha
		RN.fieldWorkCost.rotaryHarrow				= RN.equipment.equipmentLeaseCostPerHa["CULTIVATORS"];	-- €/ha
		RN.fieldWorkCost.roller						= RN.equipment.equipmentLeaseCostPerHa["CULTIVATORS"];	-- €/ha
	else
		RN.fieldWorkCost.wingshareCultivator		= RN.equipment.equipmentCostPerHa["CULTIVATORS"];		-- €/ha
		RN.fieldWorkCost.rotaryHarrow				= RN.equipment.equipmentCostPerHa["CULTIVATORS"];		-- €/ha
		RN.fieldWorkCost.roller						= RN.equipment.equipmentCostPerHa["CULTIVATORS"];		-- €/ha
	end;

	if RN.equipment.isLeasing["DISCHARROWS"]	then
		RN.fieldWorkCost.discHarrow					= RN.equipment.equipmentLeaseCostPerHa["DISCHARROWS"];	-- €/ha
	else
		RN.fieldWorkCost.discHarrow					= RN.equipment.equipmentCostPerHa["DISCHARROWS"];		-- €/ha
	end;

	if RN.equipment.isLeasing["FERTILIZERSPREADERS"]	then
		RN.fieldWorkCost.fertSpreader				= RN.equipment.equipmentLeaseCostPerHa["FERTILIZERSPREADERS"];	-- €/ha
	else
		RN.fieldWorkCost.fertSpreader				= RN.equipment.equipmentCostPerHa["FERTILIZERSPREADERS"];	-- €/ha
	end;

	if RN.equipment.isLeasing["SPRAYERS"]	then
		RN.fieldWorkCost.fertSpray					= RN.equipment.equipmentLeaseCostPerHa["SPRAYERS"];			-- €/ha
		RN.fieldWorkCost.herbicideSpray				= RN.equipment.equipmentLeaseCostPerHa["SPRAYERS"];			-- €/ha
	else
		RN.fieldWorkCost.fertSpray					= RN.equipment.equipmentCostPerHa["SPRAYERS"];				-- €/ha
		RN.fieldWorkCost.herbicideSpray				= RN.equipment.equipmentCostPerHa["SPRAYERS"];				-- €/ha
	end;

	if RN.equipment.isLeasing["SLURRYTANKS"]	then
		RN.fieldWorkCost.slurrySpreader				= RN.equipment.equipmentLeaseCostPerHa["SLURRYTANKS"];		-- €/ha
	else
		RN.fieldWorkCost.slurrySpreader				= RN.equipment.equipmentCostPerHa["SLURRYTANKS"];			-- €/ha
	end;

	if RN.equipment.isLeasing["LIMESPREADERS"]	then
		RN.fieldWorkCost.limeSpreader				= RN.equipment.equipmentLeaseCostPerHa["LIMESPREADERS"];	-- €/ha
	else
		RN.fieldWorkCost.limeSpreader				= RN.equipment.equipmentCostPerHa["LIMESPREADERS"];			-- €/ha
	end;

	if RN.equipment.isLeasing["SEEDERS"]	then
		RN.fieldWorkCost.seedDrill					= RN.equipment.equipmentLeaseCostPerHa["SEEDERS"];			-- €/ha
	else
		RN.fieldWorkCost.seedDrill					= RN.equipment.equipmentCostPerHa["SEEDERS"];				-- €/ha
	end;

	if RN.equipment.isLeasing["PLANTERS"]	then
		RN.fieldWorkCost.beetPlanter				= RN.equipment.equipmentLeaseCostPerHa["PLANTERS"];			-- €/ha
		RN.fieldWorkCost.vegetablePlanter			= RN.equipment.equipmentLeaseCostPerHa["PLANTERS"];			-- €/ha
		RN.fieldWorkCost.maizeSeeder				= RN.equipment.equipmentLeaseCostPerHa["PLANTERS"];			-- €/ha
	else
		RN.fieldWorkCost.beetPlanter				= RN.equipment.equipmentCostPerHa["PLANTERS"];				-- €/ha
		RN.fieldWorkCost.vegetablePlanter			= RN.equipment.equipmentCostPerHa["PLANTERS"];				-- €/ha
		RN.fieldWorkCost.maizeSeeder				= RN.equipment.equipmentCostPerHa["PLANTERS"];				-- €/ha
	end;

	if RN.equipment.isLeasing["HARVESTERS"]	then
		RN.fieldWorkCost.maizeHarvest				= RN.equipment.equipmentLeaseCostPerHa["HARVESTERS"];		-- €/ha
		RN.fieldWorkCost.combineHarvest				= RN.equipment.equipmentLeaseCostPerHa["HARVESTERS"];		-- €/ha
	else
		RN.fieldWorkCost.maizeHarvest				= RN.equipment.equipmentCostPerHa["HARVESTERS"];			-- €/ha
		RN.fieldWorkCost.combineHarvest				= RN.equipment.equipmentCostPerHa["HARVESTERS"];			-- €/ha
	end;

	if RN.equipment.isLeasing["POTATOPLANTERS"]	then
		RN.fieldWorkCost.potatoPlanter				= RN.equipment.equipmentLeaseCostPerHa["POTATOPLANTERS"];	-- €/ha
		RN.fieldWorkCost.tobaccoPlanter				= RN.equipment.equipmentLeaseCostPerHa["POTATOPLANTERS"];	-- €/ha
		RN.fieldWorkCost.sugarcanePlanter			= RN.equipment.equipmentLeaseCostPerHa["POTATOPLANTERS"];	-- €/ha
	else
		RN.fieldWorkCost.potatoPlanter				= RN.equipment.equipmentCostPerHa["POTATOPLANTERS"];		-- €/ha
		RN.fieldWorkCost.tobaccoPlanter				= RN.equipment.equipmentCostPerHa["POTATOPLANTERS"];		-- €/ha
		RN.fieldWorkCost.sugarcanePlanter			= RN.equipment.equipmentCostPerHa["POTATOPLANTERS"];		-- €/ha
	end;

	if RN.equipment.isLeasing["MOWERS"]	then
		RN.fieldWorkCost.haulmTopper				= RN.equipment.equipmentLeaseCostPerHa["MOWERS"];			-- €/ha
	else
		RN.fieldWorkCost.haulmTopper				= RN.equipment.equipmentCostPerHa["MOWERS"];				-- €/ha
	end;

	if RN.equipment.isLeasing["WINDROWERS"]	then
		RN.fieldWorkCost.WINDROWERS					= RN.equipment.equipmentLeaseCostPerHa["WINDROWERS"];			-- €/ha
	else
		RN.fieldWorkCost.WINDROWERS					= RN.equipment.equipmentCostPerHa["WINDROWERS"];				-- €/ha
	end;

	if RN.equipment.isLeasing["TEDDERS"]	then
		RN.fieldWorkCost.TEDDERS					= RN.equipment.equipmentLeaseCostPerHa["TEDDERS"];			-- €/ha
	else
		RN.fieldWorkCost.TEDDERS					= RN.equipment.equipmentCostPerHa["TEDDERS"];				-- €/ha
	end;

	if RN.equipment.isLeasing["FORAGEHARVESTERS"]	then
		RN.fieldWorkCost.maizeSilageHarvest			= RN.equipment.equipmentLeaseCostPerHa["FORAGEHARVESTERS"];	-- €/ha
	else
		RN.fieldWorkCost.maizeSilageHarvest			= RN.equipment.equipmentCostPerHa["FORAGEHARVESTERS"];		-- €/ha
	end;

	if RN.equipment.isLeasing["POTATOHARVESTING"]	then
		RN.fieldWorkCost.potatoHarvest				= RN.equipment.equipmentLeaseCostPerHa["POTATOHARVESTING"];	-- €/ha
	else
		RN.fieldWorkCost.potatoHarvest				= RN.equipment.equipmentCostPerHa["POTATOHARVESTING"];		-- €/ha
	end;

	if RN.equipment.isLeasing["BEETHARVESTING"]	then
		RN.fieldWorkCost.beetHarvest				= RN.equipment.equipmentLeaseCostPerHa["BEETHARVESTING"];	-- €/ha
		RN.fieldWorkCost.vegetableHarvest			= RN.equipment.equipmentLeaseCostPerHa["BEETHARVESTING"];	-- €/ha
		RN.fieldWorkCost.sugarcaneHarvest			= RN.equipment.equipmentLeaseCostPerHa["BEETHARVESTING"];	-- €/ha
	else
		RN.fieldWorkCost.beetHarvest				= RN.equipment.equipmentCostPerHa["BEETHARVESTING"];		-- €/ha
		RN.fieldWorkCost.vegetableHarvest			= RN.equipment.equipmentCostPerHa["BEETHARVESTING"];		-- €/ha
		RN.fieldWorkCost.sugarcaneHarvest			= RN.equipment.equipmentCostPerHa["BEETHARVESTING"];		-- €/ha
	end;



	RN.fieldWorkCost.ManureNLime 	= RN.fieldWorkCost.manureSpreader + RN.fieldWorkCost.limeSpreader;
	RN.fieldWorkCost.Plow 			= RN.fieldWorkCost.turnPlow;
	RN.fieldWorkCost.CultNSeedNRoll	= RN.fieldWorkCost.wingshareCultivator + RN.fieldWorkCost.seedDrill + RN.fieldWorkCost.roller;
	RN.fieldWorkCost.directSeeder	= RN.fieldWorkCost.seedDrill;
	RN.fieldWorkCost.fertNherb  	= RN.fieldWorkCost.fertSpreader + RN.fieldWorkCost.herbicideSpray + RN.fieldWorkCost.fertSpray;

	RN.fieldWorkCost.cereal 		= RN.fieldWorkCost.Plow + RN.fieldWorkCost.CultNSeedNRoll + RN.fieldWorkCost.fertNherb + RN.fieldWorkCost.combineHarvest;

	RN.fieldWorkCost.MAIZE			= RN.fieldWorkCost.Plow + RN.fieldWorkCost.maizeSeeder + RN.fieldWorkCost.fertNherb + RN.fieldWorkCost.maizeHarvest;
	RN.fieldWorkCost.SOYBEAN		= RN.fieldWorkCost.Plow + RN.fieldWorkCost.CultNSeedNRoll + RN.fieldWorkCost.fertNherb + RN.fieldWorkCost.combineHarvest;
	RN.fieldWorkCost.CANOLA			= RN.fieldWorkCost.Plow + RN.fieldWorkCost.CultNSeedNRoll + RN.fieldWorkCost.fertNherb + RN.fieldWorkCost.combineHarvest;
	RN.fieldWorkCost.SUNFLOWER		= RN.fieldWorkCost.Plow + RN.fieldWorkCost.maizeSeeder + RN.fieldWorkCost.fertNherb + RN.fieldWorkCost.maizeHarvest;
	RN.fieldWorkCost.SUGARCANE  	= RN.fieldWorkCost.Plow + RN.fieldWorkCost.sugarcanePlanter + RN.fieldWorkCost.fertNherb + RN.fieldWorkCost.sugarcaneHarvest ;
	RN.fieldWorkCost.TOBACCO		= RN.fieldWorkCost.Plow + RN.fieldWorkCost.tobaccoPlanter + RN.fieldWorkCost.fertNherb;

	RN.fieldWorkCost.POTATO			= RN.fieldWorkCost.Plow + RN.fieldWorkCost.potatoPlanter + RN.fieldWorkCost.fertNherb + RN.fieldWorkCost.potatoHarvest;
	RN.fieldWorkCost.SUGARBEET		= RN.fieldWorkCost.Plow + RN.fieldWorkCost.beetPlanter + RN.fieldWorkCost.fertNherb + RN.fieldWorkCost.beetHarvest;
	RN.fieldWorkCost.vegetable		= RN.fieldWorkCost.Plow + RN.fieldWorkCost.vegetablePlanter + RN.fieldWorkCost.fertNherb + RN.fieldWorkCost.vegetableHarvest;

	RN.fieldWorkCost.ALFALFA 		= RN.fieldWorkCost.Plow + RN.fieldWorkCost.CultNSeedNRoll;	-- cost per ha
	RN.fieldWorkCost.CLOVER 		= RN.fieldWorkCost.Plow + RN.fieldWorkCost.CultNSeedNRoll;	-- cost per ha
	RN.fieldWorkCost.GRASS 			= RN.fieldWorkCost.Plow + RN.fieldWorkCost.CultNSeedNRoll;	-- cost per ha

	RN.fieldWorkCost.DRYALFALFA 	= RN.fieldWorkCost.Plow + RN.fieldWorkCost.CultNSeedNRoll;	-- cost per ha
	RN.fieldWorkCost.DRYCLOVER 		= RN.fieldWorkCost.Plow + RN.fieldWorkCost.CultNSeedNRoll;	-- cost per ha
	RN.fieldWorkCost.DRYGRASS 		= RN.fieldWorkCost.Plow + RN.fieldWorkCost.CultNSeedNRoll;	-- cost per ha

	RN.fieldWorkCost.MAIZESILAGE	= RN.fieldWorkCost.Plow + RN.fieldWorkCost.maizeSeeder + RN.fieldWorkCost.fertNherb + RN.fieldWorkCost.maizeSilageHarvest;


-- MANURESPREADER  SLURRYTANKS     PLOWS      DISCHARROWS    CULTIVATORS

	print("                                                           "..impList[1].."  "..impList[2].."     "..impList[3].."      "..impList[4].."    "..impList[5]);
	print(" ")
	myPrintEquipInfo0("Price", textWidth, textWidth2, currency,
		RN.equipment.price[impList[1]], RN.equipment.price[impList[2]], RN.equipment.price[impList[3]], RN.equipment.price[impList[4]], RN.equipment.price[impList[5]]);
	myPrintEquipInfo0("Loan duration", textWidth, textWidth2, "years",
		RN.equipment.loanTime[impList[1]], RN.equipment.loanTime[impList[2]], RN.equipment.loanTime[impList[3]], RN.equipment.loanTime[impList[4]], RN.equipment.loanTime[impList[5]]);
	myPrintEquipInfo0("Life time", textWidth, textWidth2, "years",
		RN.equipment.lifeTime[impList[1]], RN.equipment.lifeTime[impList[2]], RN.equipment.lifeTime[impList[3]], RN.equipment.lifeTime[impList[4]], RN.equipment.lifeTime[impList[5]]);
	myPrintEquipInfo4("Net interest rate", textWidth, textWidth2, "%",
		RN.annualLoanInterest, RN.annualLoanInterest, RN.annualLoanInterest, RN.annualLoanInterest, RN.annualLoanInterest);
	myPrintEquipInfo0("Interest cost", textWidth, textWidth2, currency,
		RN.equipment.interestCost[impList[1]], RN.equipment.interestCost[impList[2]], RN.equipment.interestCost[impList[3]], RN.equipment.interestCost[impList[4]], RN.equipment.interestCost[impList[5]]);
	myPrintEquipInfo0("Loan cost", textWidth, textWidth2, currency,
		RN.equipment.loanCost[impList[1]], RN.equipment.loanCost[impList[2]], RN.equipment.loanCost[impList[3]], RN.equipment.loanCost[impList[4]], RN.equipment.loanCost[impList[5]]);
	myPrintEquipInfo4("Depreciation rate per year", textWidth, textWidth2, "-",
		RN.equipment.depreciationRate[impList[1]], RN.equipment.depreciationRate[impList[2]], RN.equipment.depreciationRate[impList[3]], RN.equipment.depreciationRate[impList[4]], RN.equipment.depreciationRate[impList[5]]);
	myPrintEquipInfo4("Salvage fraction", textWidth, textWidth2, "-",
		RN.equipment.salvageFraction[impList[1]], RN.equipment.salvageFraction[impList[2]], RN.equipment.salvageFraction[impList[3]], RN.equipment.salvageFraction[impList[4]], RN.equipment.salvageFraction[impList[5]]);
	myPrintEquipInfo0("Sell price", textWidth, textWidth2, currency,
		RN.equipment.sellPrice[impList[1]], RN.equipment.sellPrice[impList[2]], RN.equipment.sellPrice[impList[3]], RN.equipment.sellPrice[impList[4]], RN.equipment.sellPrice[impList[5]]);
	myPrintEquipInfo0("Loan payment", textWidth, textWidth2, currency,
		RN.equipment.loanPayment[impList[1]], RN.equipment.loanPayment[impList[2]], RN.equipment.loanPayment[impList[3]], RN.equipment.loanPayment[impList[4]], RN.equipment.loanPayment[impList[5]]);
	myPrintEquipInfo0("Life time depreciation", textWidth, textWidth2, currency,
		RN.equipment.depreciation[impList[1]], RN.equipment.depreciation[impList[2]], RN.equipment.depreciation[impList[3]], RN.equipment.depreciation[impList[4]], RN.equipment.depreciation[impList[5]]);
	myPrintEquipInfo0("Investment cost", textWidth, textWidth2, currency,
		RN.equipment.investmentCost[impList[1]], RN.equipment.investmentCost[impList[2]], RN.equipment.investmentCost[impList[3]], RN.equipment.investmentCost[impList[4]], RN.equipment.investmentCost[impList[5]]);
	myPrintEquipInfo0("Investment cost per year", textWidth, textWidth2, currency.."/year",
		RN.equipment.investmentCostPerYear[impList[1]], RN.equipment.investmentCostPerYear[impList[2]], RN.equipment.investmentCostPerYear[impList[3]], RN.equipment.investmentCostPerYear[impList[4]], RN.equipment.investmentCostPerYear[impList[5]]);
	myPrintEquipInfo0("Tax, insurance, housing cost", textWidth, textWidth2, currency.."/year",
		RN.equipment.TIHperYear[impList[1]], RN.equipment.TIHperYear[impList[2]], RN.equipment.TIHperYear[impList[3]], RN.equipment.TIHperYear[impList[4]], RN.equipment.TIHperYear[impList[5]]);
	print(" ");
	myPrintEquipInfo0("Fixed cost per year", textWidth, textWidth2, currency.."/year",
		RN.equipment.fixedCostPerYear[impList[1]], RN.equipment.fixedCostPerYear[impList[2]], RN.equipment.fixedCostPerYear[impList[3]], RN.equipment.fixedCostPerYear[impList[4]], RN.equipment.fixedCostPerYear[impList[5]]);
	print(" ");
	myPrintEquipInfo4("Implement width", textWidth, textWidth2, "m",
		RN.equipment.width[impList[1]], RN.equipment.width[impList[2]], RN.equipment.width[impList[3]], RN.equipment.width[impList[4]], RN.equipment.width[impList[5]]);
	myPrintEquipInfo4("Implement speed", textWidth, textWidth2, "kph",
		RN.equipment.speed[impList[1]], RN.equipment.speed[impList[2]], RN.equipment.speed[impList[3]], RN.equipment.speed[impList[4]], RN.equipment.speed[impList[5]]);
	myPrintEquipInfo4("Implement efficiency", textWidth, textWidth2, "-",
		RN.equipment.efficiency[impList[1]], RN.equipment.efficiency[impList[2]], RN.equipment.efficiency[impList[3]], RN.equipment.efficiency[impList[4]], RN.equipment.efficiency[impList[5]]);
	myPrintEquipInfo4("Implement capacity", textWidth, textWidth2, "ha/hour",
		RN.equipment.fieldCapacity[impList[1]], RN.equipment.fieldCapacity[impList[2]], RN.equipment.fieldCapacity[impList[3]], RN.equipment.fieldCapacity[impList[4]], RN.equipment.fieldCapacity[impList[5]]);
	myPrintEquipInfo4("Implement work area", textWidth, textWidth2, "ha/year",
		RN.equipment.workArea[impList[1]], RN.equipment.workArea[impList[2]], RN.equipment.workArea[impList[3]], RN.equipment.workArea[impList[4]], RN.equipment.workArea[impList[5]]);
	myPrintEquipInfo4("Implement hours per year", textWidth, textWidth2, "hours/year",
		RN.equipment.fieldHours[impList[1]], RN.equipment.fieldHours[impList[2]], RN.equipment.fieldHours[impList[3]], RN.equipment.fieldHours[impList[4]], RN.equipment.fieldHours[impList[5]]);
	myPrintEquipInfo0("Implement hours life time", textWidth, textWidth2, "hours",
		RN.equipment.lifeTimeHours[impList[1]], RN.equipment.lifeTimeHours[impList[2]], RN.equipment.lifeTimeHours[impList[3]], RN.equipment.lifeTimeHours[impList[4]], RN.equipment.lifeTimeHours[impList[5]]);
	myPrintEquipInfo4("Repair factor", textWidth, textWidth2, "-",
		RN.equipmentRepairFactor, RN.equipmentRepairFactor, RN.equipmentRepairFactor, RN.equipmentRepairFactor, RN.equipmentRepairFactor);
	myPrintEquipInfo0("Repairs per year", textWidth, textWidth2, currency.."/year",
		RN.equipment.repairsPerYear[impList[1]], RN.equipment.repairsPerYear[impList[2]], RN.equipment.repairsPerYear[impList[3]], RN.equipment.repairsPerYear[impList[4]], RN.equipment.repairsPerYear[impList[5]]);
	myPrintEquipInfo4("Repairs per hour", textWidth, textWidth2, currency.."/hour",
		RN.equipment.repairsPerHour[impList[1]], RN.equipment.repairsPerHour[impList[2]], RN.equipment.repairsPerHour[impList[3]], RN.equipment.repairsPerHour[impList[4]], RN.equipment.repairsPerHour[impList[5]]);
	myPrintEquipInfo0("Required HP", textWidth, textWidth2, "hp",
		RN.equipment.neededHP[impList[1]], RN.equipment.neededHP[impList[2]], RN.equipment.neededHP[impList[3]], RN.equipment.neededHP[impList[4]], RN.equipment.neededHP[impList[5]]);
	myPrintEquipInfo4("Fuel per hour", textWidth, textWidth2, "L/hour",
		RN.equipment.fuelPerHour[impList[1]], RN.equipment.fuelPerHour[impList[2]], RN.equipment.fuelPerHour[impList[3]], RN.equipment.fuelPerHour[impList[4]], RN.equipment.fuelPerHour[impList[5]]);
	myPrintEquipInfo4("Fuel cost per hour", textWidth, textWidth2, currency.."/hour",
		RN.equipment.fuelCostPerHour[impList[1]], RN.equipment.fuelCostPerHour[impList[2]], RN.equipment.fuelCostPerHour[impList[3]], RN.equipment.fuelCostPerHour[impList[4]], RN.equipment.fuelCostPerHour[impList[5]]);
	myPrintEquipInfo4("Lubrication cost per hour", textWidth, textWidth2, currency.."/hour",
		RN.equipment.lubricationCostPerHour[impList[1]], RN.equipment.lubricationCostPerHour[impList[2]], RN.equipment.lubricationCostPerHour[impList[3]], RN.equipment.lubricationCostPerHour[impList[4]], RN.equipment.lubricationCostPerHour[impList[5]]);
	myPrintEquipInfo4("Labor cost per hour", textWidth, textWidth2, currency.."/hour",
		RN.salaryPerHour, RN.salaryPerHour, RN.salaryPerHour, RN.salaryPerHour, RN.salaryPerHour);
	myPrintEquipInfo4("Operating cost per hour", textWidth, textWidth2, currency.."/hour",
		RN.equipment.operatingCostPerHour[impList[1]], RN.equipment.operatingCostPerHour[impList[2]], RN.equipment.operatingCostPerHour[impList[3]], RN.equipment.operatingCostPerHour[impList[4]], RN.equipment.operatingCostPerHour[impList[5]]);
	myPrintEquipInfo4("Operating cost per ha", textWidth, textWidth2, currency.."/ha",
		RN.equipment.operatingCostPerHa[impList[1]], RN.equipment.operatingCostPerHa[impList[2]], RN.equipment.operatingCostPerHa[impList[3]], RN.equipment.operatingCostPerHa[impList[4]], RN.equipment.operatingCostPerHa[impList[5]]);
	myPrintEquipInfo4("Fixed cost per ha", textWidth, textWidth2, currency.."/ha",
		RN.equipment.fixedCostPerHa[impList[1]], RN.equipment.fixedCostPerHa[impList[2]], RN.equipment.fixedCostPerHa[impList[3]], RN.equipment.fixedCostPerHa[impList[4]], RN.equipment.fixedCostPerHa[impList[5]]);
		print(" ");
	myPrintEquipInfo0("Fixed + op. cost per ha", textWidth, textWidth2, currency.."/ha",
		RN.equipment.equipmentCostPerHa[impList[1]], RN.equipment.equipmentCostPerHa[impList[2]], RN.equipment.equipmentCostPerHa[impList[3]], RN.equipment.equipmentCostPerHa[impList[4]], RN.equipment.equipmentCostPerHa[impList[5]]);
	myPrintEquipInfo0("Fixed + op. cost per hour", textWidth, textWidth2, currency.."/hour",
		RN.equipment.equipmentCostPerHour[impList[1]], RN.equipment.equipmentCostPerHour[impList[2]], RN.equipment.equipmentCostPerHour[impList[3]], RN.equipment.equipmentCostPerHour[impList[4]], RN.equipment.equipmentCostPerHour[impList[5]]);
	myPrintEquipInfo0("Fixed + op. cost per year", textWidth, textWidth2, currency.."/year",
		RN.equipment.equipmentCostPerYear[impList[1]], RN.equipment.equipmentCostPerYear[impList[2]], RN.equipment.equipmentCostPerYear[impList[3]], RN.equipment.equipmentCostPerYear[impList[4]], RN.equipment.equipmentCostPerYear[impList[5]]);
		print(" ");

	myPrintEquipInfo4("Lease cost per ha", textWidth, textWidth2, currency.."/ha",
		RN.equipment.leaseCostPerHa[impList[1]], RN.equipment.leaseCostPerHa[impList[2]], RN.equipment.leaseCostPerHa[impList[3]], RN.equipment.leaseCostPerHa[impList[4]], RN.equipment.leaseCostPerHa[impList[5]]);
	myPrintEquipInfo0("Lease + op. cost per ha", textWidth, textWidth2, currency.."/ha",
		RN.equipment.equipmentLeaseCostPerHa[impList[1]], RN.equipment.equipmentLeaseCostPerHa[impList[2]], RN.equipment.equipmentLeaseCostPerHa[impList[3]], RN.equipment.equipmentLeaseCostPerHa[impList[4]], RN.equipment.equipmentLeaseCostPerHa[impList[5]]);
	myPrintEquipInfo0("Lease + op. cost per hour", textWidth, textWidth2, currency.."/hour",
		RN.equipment.equipmentLeaseCostPerHour[impList[1]], RN.equipment.equipmentLeaseCostPerHour[impList[2]], RN.equipment.equipmentLeaseCostPerHour[impList[3]], RN.equipment.equipmentLeaseCostPerHour[impList[4]], RN.equipment.equipmentLeaseCostPerHour[impList[5]]);
	myPrintEquipInfo0("Lease + op. cost per year", textWidth, textWidth2, currency.."/year",
		RN.equipment.equipmentLeaseCostPerYear[impList[1]], RN.equipment.equipmentLeaseCostPerYear[impList[2]], RN.equipment.equipmentLeaseCostPerYear[impList[3]], RN.equipment.equipmentLeaseCostPerYear[impList[4]], RN.equipment.equipmentLeaseCostPerYear[impList[5]]);
		print(" ");

	myPrintEquipInfo0("Contract cost per ha", textWidth, textWidth2, currency.."/ha",
		RN.contractRatePerHa[impList[1]], RN.contractRatePerHa[impList[2]], RN.contractRatePerHa[impList[3]], RN.contractRatePerHa[impList[4]], RN.contractRatePerHa[impList[5]]);
	myPrintEquipInfo0("Contract cost per hour", textWidth, textWidth2, currency.."/hour",
		RN.contractRatePerHour[impList[1]], RN.contractRatePerHour[impList[2]], RN.contractRatePerHour[impList[3]], RN.contractRatePerHour[impList[4]], RN.contractRatePerHour[impList[5]]);
	myPrintEquipInfo0("Contract cost per year", textWidth, textWidth2, currency.."/year",
		RN.contractRatePerYear[impList[1]], RN.contractRatePerYear[impList[2]], RN.contractRatePerYear[impList[3]], RN.contractRatePerYear[impList[4]], RN.contractRatePerYear[impList[5]]);
		print(" ");
	myPrintEquipInfo0("Contract - op. cost per ha", textWidth, textWidth2, currency.."/ha",
		RN.equipment.surplusPerHa[impList[1]], RN.equipment.surplusPerHa[impList[2]], RN.equipment.surplusPerHa[impList[3]], RN.equipment.surplusPerHa[impList[4]], RN.equipment.surplusPerHa[impList[5]]);
		print(" ");
	myPrintEquipInfo0("Break-even ha", textWidth, textWidth2, "ha/year",
		RN.equipment.breakEvenHa[impList[1]], RN.equipment.breakEvenHa[impList[2]], RN.equipment.breakEvenHa[impList[3]], RN.equipment.breakEvenHa[impList[4]], RN.equipment.breakEvenHa[impList[5]]);
	myPrintEquipInfo0("Break-even field hours", textWidth, textWidth2, "hours/year",
		RN.equipment.breakEvenHour[impList[1]], RN.equipment.breakEvenHour[impList[2]], RN.equipment.breakEvenHour[impList[3]], RN.equipment.breakEvenHour[impList[4]], RN.equipment.breakEvenHour[impList[5]]);
		print(" ")

	print(" ")

--  SEEDERS      PLANTERS FERTILIZERSPREADERS LIMESPREADERS SPRAYERS


	print("                                                             "..impList[6].."      "..impList[7].." "..impList[8].." "..impList[9].." "..impList[10]);
	print(" ")
	myPrintEquipInfo0("Price", textWidth, textWidth2, currency,
		RN.equipment.price[impList[6]], RN.equipment.price[impList[7]], RN.equipment.price[impList[8]], RN.equipment.price[impList[9]], RN.equipment.price[impList[10]]);
	myPrintEquipInfo0("Loan duration", textWidth, textWidth2, "years",
		RN.equipment.loanTime[impList[6]], RN.equipment.loanTime[impList[7]], RN.equipment.loanTime[impList[8]], RN.equipment.loanTime[impList[9]], RN.equipment.loanTime[impList[10]]);
	myPrintEquipInfo0("Life time", textWidth, textWidth2, "years",
		RN.equipment.lifeTime[impList[6]], RN.equipment.lifeTime[impList[7]], RN.equipment.lifeTime[impList[8]], RN.equipment.lifeTime[impList[9]], RN.equipment.lifeTime[impList[10]]);
	myPrintEquipInfo4("Net interest rate", textWidth, textWidth2, "%",
		RN.annualLoanInterest, RN.annualLoanInterest, RN.annualLoanInterest, RN.annualLoanInterest, RN.annualLoanInterest);
	myPrintEquipInfo0("Interest cost", textWidth, textWidth2, currency,
		RN.equipment.interestCost[impList[6]], RN.equipment.interestCost[impList[7]], RN.equipment.interestCost[impList[8]], RN.equipment.interestCost[impList[9]], RN.equipment.interestCost[impList[10]]);
	myPrintEquipInfo0("Loan cost", textWidth, textWidth2, currency,
		RN.equipment.loanCost[impList[6]], RN.equipment.loanCost[impList[7]], RN.equipment.loanCost[impList[8]], RN.equipment.loanCost[impList[9]], RN.equipment.loanCost[impList[10]]);
	myPrintEquipInfo4("Depreciation rate per year", textWidth, textWidth2, "-",
		RN.equipment.depreciationRate[impList[6]], RN.equipment.depreciationRate[impList[7]], RN.equipment.depreciationRate[impList[8]], RN.equipment.depreciationRate[impList[9]], RN.equipment.depreciationRate[impList[10]]);
	myPrintEquipInfo4("Salvage fraction", textWidth, textWidth2, "-",
		RN.equipment.salvageFraction[impList[6]], RN.equipment.salvageFraction[impList[7]], RN.equipment.salvageFraction[impList[8]], RN.equipment.salvageFraction[impList[9]], RN.equipment.salvageFraction[impList[10]]);
	myPrintEquipInfo0("Sell price", textWidth, textWidth2, currency,
		RN.equipment.sellPrice[impList[6]], RN.equipment.sellPrice[impList[7]], RN.equipment.sellPrice[impList[8]], RN.equipment.sellPrice[impList[9]], RN.equipment.sellPrice[impList[10]]);
	myPrintEquipInfo0("Loan payment", textWidth, textWidth2, currency,
		RN.equipment.loanPayment[impList[6]], RN.equipment.loanPayment[impList[7]], RN.equipment.loanPayment[impList[8]], RN.equipment.loanPayment[impList[9]], RN.equipment.loanPayment[impList[10]]);
	myPrintEquipInfo0("Life time depreciation", textWidth, textWidth2, currency,
		RN.equipment.depreciation[impList[6]], RN.equipment.depreciation[impList[7]], RN.equipment.depreciation[impList[8]], RN.equipment.depreciation[impList[9]], RN.equipment.depreciation[impList[10]]);
	myPrintEquipInfo0("Investment cost", textWidth, textWidth2, currency,
		RN.equipment.investmentCost[impList[6]], RN.equipment.investmentCost[impList[7]], RN.equipment.investmentCost[impList[8]], RN.equipment.investmentCost[impList[9]], RN.equipment.investmentCost[impList[10]]);
	myPrintEquipInfo0("Investment cost per year", textWidth, textWidth2, currency.."/year",
		RN.equipment.investmentCostPerYear[impList[6]], RN.equipment.investmentCostPerYear[impList[7]], RN.equipment.investmentCostPerYear[impList[8]], RN.equipment.investmentCostPerYear[impList[9]], RN.equipment.investmentCostPerYear[impList[10]]);
	myPrintEquipInfo0("Tax, insurance, housing cost", textWidth, textWidth2, currency.."/year",
		RN.equipment.TIHperYear[impList[6]], RN.equipment.TIHperYear[impList[7]], RN.equipment.TIHperYear[impList[8]], RN.equipment.TIHperYear[impList[9]], RN.equipment.TIHperYear[impList[10]]);
	print(" ");
	myPrintEquipInfo0("Fixed cost per year", textWidth, textWidth2, currency.."/year",
		RN.equipment.fixedCostPerYear[impList[6]], RN.equipment.fixedCostPerYear[impList[7]], RN.equipment.fixedCostPerYear[impList[8]], RN.equipment.fixedCostPerYear[impList[9]], RN.equipment.fixedCostPerYear[impList[10]]);
	print(" ");
	myPrintEquipInfo4("Implement width", textWidth, textWidth2, "m",
		RN.equipment.width[impList[6]], RN.equipment.width[impList[7]], RN.equipment.width[impList[8]], RN.equipment.width[impList[9]], RN.equipment.width[impList[10]]);
	myPrintEquipInfo4("Implement speed", textWidth, textWidth2, "kph",
		RN.equipment.speed[impList[6]], RN.equipment.speed[impList[7]], RN.equipment.speed[impList[8]], RN.equipment.speed[impList[9]], RN.equipment.speed[impList[10]]);
	myPrintEquipInfo4("Implement efficiency", textWidth, textWidth2, "-",
		RN.equipment.efficiency[impList[6]], RN.equipment.efficiency[impList[7]], RN.equipment.efficiency[impList[8]], RN.equipment.efficiency[impList[9]], RN.equipment.efficiency[impList[10]]);
	myPrintEquipInfo4("Implement capacity", textWidth, textWidth2, "ha/hour",
		RN.equipment.fieldCapacity[impList[6]], RN.equipment.fieldCapacity[impList[7]], RN.equipment.fieldCapacity[impList[8]], RN.equipment.fieldCapacity[impList[9]], RN.equipment.fieldCapacity[impList[10]]);
	myPrintEquipInfo4("Implement work area", textWidth, textWidth2, "ha/year",
		RN.equipment.workArea[impList[6]], RN.equipment.workArea[impList[7]], RN.equipment.workArea[impList[8]], RN.equipment.workArea[impList[9]], RN.equipment.workArea[impList[10]]);
	myPrintEquipInfo4("Implement hours per year", textWidth, textWidth2, "hours/year",
		RN.equipment.fieldHours[impList[6]], RN.equipment.fieldHours[impList[7]], RN.equipment.fieldHours[impList[8]], RN.equipment.fieldHours[impList[9]], RN.equipment.fieldHours[impList[10]]);
	myPrintEquipInfo0("Implement hours life time", textWidth, textWidth2, "hours",
		RN.equipment.lifeTimeHours[impList[6]], RN.equipment.lifeTimeHours[impList[7]], RN.equipment.lifeTimeHours[impList[8]], RN.equipment.lifeTimeHours[impList[9]], RN.equipment.lifeTimeHours[impList[10]]);
	myPrintEquipInfo4("Repair factor", textWidth, textWidth2, "-",
		RN.equipmentRepairFactor, RN.equipmentRepairFactor, RN.equipmentRepairFactor, RN.equipmentRepairFactor, RN.equipmentRepairFactor);
	myPrintEquipInfo0("Repairs per year", textWidth, textWidth2, currency.."/year",
		RN.equipment.repairsPerYear[impList[6]], RN.equipment.repairsPerYear[impList[7]], RN.equipment.repairsPerYear[impList[8]], RN.equipment.repairsPerYear[impList[9]], RN.equipment.repairsPerYear[impList[10]]);
	myPrintEquipInfo4("Repairs per hour", textWidth, textWidth2, currency.."/hour",
		RN.equipment.repairsPerHour[impList[6]], RN.equipment.repairsPerHour[impList[7]], RN.equipment.repairsPerHour[impList[8]], RN.equipment.repairsPerHour[impList[9]], RN.equipment.repairsPerHour[impList[10]]);
	myPrintEquipInfo0("Required HP", textWidth, textWidth2, "hp",
		RN.equipment.neededHP[impList[6]], RN.equipment.neededHP[impList[7]], RN.equipment.neededHP[impList[8]], RN.equipment.neededHP[impList[9]], RN.equipment.neededHP[impList[10]]);
	myPrintEquipInfo4("Fuel per hour", textWidth, textWidth2, "L/hour",
		RN.equipment.fuelPerHour[impList[6]], RN.equipment.fuelPerHour[impList[7]], RN.equipment.fuelPerHour[impList[8]], RN.equipment.fuelPerHour[impList[9]], RN.equipment.fuelPerHour[impList[10]]);
	myPrintEquipInfo4("Fuel cost per hour", textWidth, textWidth2, currency.."/hour",
		RN.equipment.fuelCostPerHour[impList[6]], RN.equipment.fuelCostPerHour[impList[7]], RN.equipment.fuelCostPerHour[impList[8]], RN.equipment.fuelCostPerHour[impList[9]], RN.equipment.fuelCostPerHour[impList[10]]);
	myPrintEquipInfo4("Lubrication cost per hour", textWidth, textWidth2, currency.."/hour",
		RN.equipment.lubricationCostPerHour[impList[6]], RN.equipment.lubricationCostPerHour[impList[7]], RN.equipment.lubricationCostPerHour[impList[8]], RN.equipment.lubricationCostPerHour[impList[9]], RN.equipment.lubricationCostPerHour[impList[10]]);
	myPrintEquipInfo4("Labor cost per hour", textWidth, textWidth2, currency.."/hour",
		RN.salaryPerHour, RN.salaryPerHour, RN.salaryPerHour, RN.salaryPerHour, RN.salaryPerHour);
	myPrintEquipInfo4("Operating cost per hour", textWidth, textWidth2, currency.."/hour",
		RN.equipment.operatingCostPerHour[impList[6]], RN.equipment.operatingCostPerHour[impList[7]], RN.equipment.operatingCostPerHour[impList[8]], RN.equipment.operatingCostPerHour[impList[9]], RN.equipment.operatingCostPerHour[impList[10]]);
	myPrintEquipInfo4("Operating cost per ha", textWidth, textWidth2, currency.."/ha",
		RN.equipment.operatingCostPerHa[impList[6]], RN.equipment.operatingCostPerHa[impList[7]], RN.equipment.operatingCostPerHa[impList[8]], RN.equipment.operatingCostPerHa[impList[9]], RN.equipment.operatingCostPerHa[impList[10]]);
	myPrintEquipInfo4("Fixed cost per ha", textWidth, textWidth2, currency.."/ha",
		RN.equipment.fixedCostPerHa[impList[6]], RN.equipment.fixedCostPerHa[impList[7]], RN.equipment.fixedCostPerHa[impList[8]], RN.equipment.fixedCostPerHa[impList[9]], RN.equipment.fixedCostPerHa[impList[10]]);
		print(" ");
	myPrintEquipInfo0("Fixed + op. cost per ha", textWidth, textWidth2, currency.."/ha",
		RN.equipment.equipmentCostPerHa[impList[6]], RN.equipment.equipmentCostPerHa[impList[7]], RN.equipment.equipmentCostPerHa[impList[8]], RN.equipment.equipmentCostPerHa[impList[9]], RN.equipment.equipmentCostPerHa[impList[10]]);
	myPrintEquipInfo0("Fixed + op. cost per hour", textWidth, textWidth2, currency.."/hour",
		RN.equipment.equipmentCostPerHour[impList[6]], RN.equipment.equipmentCostPerHour[impList[7]], RN.equipment.equipmentCostPerHour[impList[8]], RN.equipment.equipmentCostPerHour[impList[9]], RN.equipment.equipmentCostPerHour[impList[10]]);
	myPrintEquipInfo0("Fixed + op. cost per year", textWidth, textWidth2, currency.."/year",
		RN.equipment.equipmentCostPerYear[impList[6]], RN.equipment.equipmentCostPerYear[impList[7]], RN.equipment.equipmentCostPerYear[impList[8]], RN.equipment.equipmentCostPerYear[impList[9]], RN.equipment.equipmentCostPerYear[impList[10]]);
		print(" ");

	myPrintEquipInfo4("Lease cost per ha", textWidth, textWidth2, currency.."/ha",
		RN.equipment.leaseCostPerHa[impList[6]], RN.equipment.leaseCostPerHa[impList[7]], RN.equipment.leaseCostPerHa[impList[8]], RN.equipment.leaseCostPerHa[impList[9]], RN.equipment.leaseCostPerHa[impList[10]]);
	myPrintEquipInfo0("Lease + op. cost per ha", textWidth, textWidth2, currency.."/ha",
		RN.equipment.equipmentLeaseCostPerHa[impList[6]], RN.equipment.equipmentLeaseCostPerHa[impList[7]], RN.equipment.equipmentLeaseCostPerHa[impList[8]], RN.equipment.equipmentLeaseCostPerHa[impList[9]], RN.equipment.equipmentLeaseCostPerHa[impList[10]]);
	myPrintEquipInfo0("Lease + op. cost per hour", textWidth, textWidth2, currency.."/hour",
		RN.equipment.equipmentLeaseCostPerHour[impList[6]], RN.equipment.equipmentLeaseCostPerHour[impList[7]], RN.equipment.equipmentLeaseCostPerHour[impList[8]], RN.equipment.equipmentLeaseCostPerHour[impList[9]], RN.equipment.equipmentLeaseCostPerHour[impList[10]]);
	myPrintEquipInfo0("Lease + op. cost per year", textWidth, textWidth2, currency.."/year",
		RN.equipment.equipmentLeaseCostPerYear[impList[6]], RN.equipment.equipmentLeaseCostPerYear[impList[7]], RN.equipment.equipmentLeaseCostPerYear[impList[8]], RN.equipment.equipmentLeaseCostPerYear[impList[9]], RN.equipment.equipmentLeaseCostPerYear[impList[10]]);
		print(" ");

	myPrintEquipInfo0("Contract cost per ha", textWidth, textWidth2, currency.."/ha",
		RN.contractRatePerHa[impList[6]], RN.contractRatePerHa[impList[7]], RN.contractRatePerHa[impList[8]], RN.contractRatePerHa[impList[9]], RN.contractRatePerHa[impList[10]]);
	myPrintEquipInfo0("Contract cost per hour", textWidth, textWidth2, currency.."/hour",
		RN.contractRatePerHour[impList[6]], RN.contractRatePerHour[impList[7]], RN.contractRatePerHour[impList[8]], RN.contractRatePerHour[impList[9]], RN.contractRatePerHour[impList[10]]);
	myPrintEquipInfo0("Contract cost per year", textWidth, textWidth2, currency.."/year",
		RN.contractRatePerYear[impList[6]], RN.contractRatePerYear[impList[7]], RN.contractRatePerYear[impList[8]], RN.contractRatePerYear[impList[9]], RN.contractRatePerYear[impList[10]]);
		print(" ");
	myPrintEquipInfo0("Contract - op. cost per ha", textWidth, textWidth2, currency.."/ha",
		RN.equipment.surplusPerHa[impList[6]], RN.equipment.surplusPerHa[impList[7]], RN.equipment.surplusPerHa[impList[8]], RN.equipment.surplusPerHa[impList[9]], RN.equipment.surplusPerHa[impList[10]]);
		print(" ");
	myPrintEquipInfo0("Break-even ha", textWidth, textWidth2, "ha/year",
		RN.equipment.breakEvenHa[impList[6]], RN.equipment.breakEvenHa[impList[7]], RN.equipment.breakEvenHa[impList[8]], RN.equipment.breakEvenHa[impList[9]], RN.equipment.breakEvenHa[impList[10]]);
	myPrintEquipInfo0("Break-even field hours", textWidth, textWidth2, "hours/year",
		RN.equipment.breakEvenHour[impList[6]], RN.equipment.breakEvenHour[impList[7]], RN.equipment.breakEvenHour[impList[8]], RN.equipment.breakEvenHour[impList[9]], RN.equipment.breakEvenHour[impList[10]]);
	print(" ")
	print(" ")

-- HARVESTERS FORAGEHARVESTERS POTATOPLANTERS POTATOHARVESTING BEETHARVESTING
	print("                                                          "..impList[11].." "..impList[12].." "..impList[13].." "..impList[14].." "..impList[15]);
	print(" ")
	myPrintEquipInfo0("Price", textWidth, textWidth2, currency,
		RN.equipment.price[impList[11]], RN.equipment.price[impList[12]], RN.equipment.price[impList[13]], RN.equipment.price[impList[14]], RN.equipment.price[impList[15]]);
	myPrintEquipInfo0("Loan duration", textWidth, textWidth2, "years",
		RN.equipment.loanTime[impList[11]], RN.equipment.loanTime[impList[12]], RN.equipment.loanTime[impList[13]], RN.equipment.loanTime[impList[14]], RN.equipment.loanTime[impList[15]]);
	myPrintEquipInfo0("Life time", textWidth, textWidth2, "years",
		RN.equipment.lifeTime[impList[11]], RN.equipment.lifeTime[impList[12]], RN.equipment.lifeTime[impList[13]], RN.equipment.lifeTime[impList[14]], RN.equipment.lifeTime[impList[15]]);
	myPrintEquipInfo4("Net interest rate", textWidth, textWidth2, "%",
		RN.annualLoanInterest, RN.annualLoanInterest, RN.annualLoanInterest, RN.annualLoanInterest, RN.annualLoanInterest);
	myPrintEquipInfo0("Interest cost", textWidth, textWidth2, currency,
		RN.equipment.interestCost[impList[11]], RN.equipment.interestCost[impList[12]], RN.equipment.interestCost[impList[13]], RN.equipment.interestCost[impList[14]], RN.equipment.interestCost[impList[15]]);
	myPrintEquipInfo0("Loan cost", textWidth, textWidth2, currency,
		RN.equipment.loanCost[impList[11]], RN.equipment.loanCost[impList[12]], RN.equipment.loanCost[impList[13]], RN.equipment.loanCost[impList[14]], RN.equipment.loanCost[impList[15]]);
	myPrintEquipInfo4("Depreciation rate per year", textWidth, textWidth2, "-",
		RN.equipment.depreciationRate[impList[11]], RN.equipment.depreciationRate[impList[12]], RN.equipment.depreciationRate[impList[13]], RN.equipment.depreciationRate[impList[14]], RN.equipment.depreciationRate[impList[15]]);
	myPrintEquipInfo4("Salvage fraction", textWidth, textWidth2, "-",
		RN.equipment.salvageFraction[impList[11]], RN.equipment.salvageFraction[impList[12]], RN.equipment.salvageFraction[impList[13]], RN.equipment.salvageFraction[impList[14]], RN.equipment.salvageFraction[impList[15]]);
	myPrintEquipInfo0("Sell price", textWidth, textWidth2, currency,
		RN.equipment.sellPrice[impList[11]], RN.equipment.sellPrice[impList[12]], RN.equipment.sellPrice[impList[13]], RN.equipment.sellPrice[impList[14]], RN.equipment.sellPrice[impList[15]]);
	myPrintEquipInfo0("Loan payment", textWidth, textWidth2, currency,
		RN.equipment.loanPayment[impList[11]], RN.equipment.loanPayment[impList[12]], RN.equipment.loanPayment[impList[13]], RN.equipment.loanPayment[impList[14]], RN.equipment.loanPayment[impList[15]]);
	myPrintEquipInfo0("Life time depreciation", textWidth, textWidth2, currency,
		RN.equipment.depreciation[impList[11]], RN.equipment.depreciation[impList[12]], RN.equipment.depreciation[impList[13]], RN.equipment.depreciation[impList[14]], RN.equipment.depreciation[impList[15]]);
	myPrintEquipInfo0("Investment cost", textWidth, textWidth2, currency,
		RN.equipment.investmentCost[impList[11]], RN.equipment.investmentCost[impList[12]], RN.equipment.investmentCost[impList[13]], RN.equipment.investmentCost[impList[14]], RN.equipment.investmentCost[impList[15]]);
	myPrintEquipInfo0("Investment cost per year", textWidth, textWidth2, currency.."/year",
		RN.equipment.investmentCostPerYear[impList[11]], RN.equipment.investmentCostPerYear[impList[12]], RN.equipment.investmentCostPerYear[impList[13]], RN.equipment.investmentCostPerYear[impList[14]], RN.equipment.investmentCostPerYear[impList[15]]);
	myPrintEquipInfo0("Tax, insurance, housing cost", textWidth, textWidth2, currency.."/year",
		RN.equipment.TIHperYear[impList[11]], RN.equipment.TIHperYear[impList[12]], RN.equipment.TIHperYear[impList[13]], RN.equipment.TIHperYear[impList[14]], RN.equipment.TIHperYear[impList[15]]);
	print(" ");
	myPrintEquipInfo0("Fixed cost per year", textWidth, textWidth2, currency.."/year",
		RN.equipment.fixedCostPerYear[impList[11]], RN.equipment.fixedCostPerYear[impList[12]], RN.equipment.fixedCostPerYear[impList[13]], RN.equipment.fixedCostPerYear[impList[14]], RN.equipment.fixedCostPerYear[impList[15]]);
	print(" ");
	myPrintEquipInfo4("Implement width", textWidth, textWidth2, "m",
		RN.equipment.width[impList[11]], RN.equipment.width[impList[12]], RN.equipment.width[impList[13]], RN.equipment.width[impList[14]], RN.equipment.width[impList[15]]);
	myPrintEquipInfo4("Implement speed", textWidth, textWidth2, "kph",
		RN.equipment.speed[impList[11]], RN.equipment.speed[impList[12]], RN.equipment.speed[impList[13]], RN.equipment.speed[impList[14]], RN.equipment.speed[impList[15]]);
	myPrintEquipInfo4("Implement efficiency", textWidth, textWidth2, "-",
		RN.equipment.efficiency[impList[11]], RN.equipment.efficiency[impList[12]], RN.equipment.efficiency[impList[13]], RN.equipment.efficiency[impList[14]], RN.equipment.efficiency[impList[15]]);
	myPrintEquipInfo4("Implement capacity", textWidth, textWidth2, "ha/hour",
		RN.equipment.fieldCapacity[impList[11]], RN.equipment.fieldCapacity[impList[12]], RN.equipment.fieldCapacity[impList[13]], RN.equipment.fieldCapacity[impList[14]], RN.equipment.fieldCapacity[impList[15]]);
	myPrintEquipInfo4("Implement work area", textWidth, textWidth2, "ha/year",
		RN.equipment.workArea[impList[11]], RN.equipment.workArea[impList[12]], RN.equipment.workArea[impList[13]], RN.equipment.workArea[impList[14]], RN.equipment.workArea[impList[15]]);
	myPrintEquipInfo4("Implement hours per year", textWidth, textWidth2, "hours/year",
		RN.equipment.fieldHours[impList[11]], RN.equipment.fieldHours[impList[12]], RN.equipment.fieldHours[impList[13]], RN.equipment.fieldHours[impList[14]], RN.equipment.fieldHours[impList[15]]);
	myPrintEquipInfo0("Implement hours life time", textWidth, textWidth2, "hours",
		RN.equipment.lifeTimeHours[impList[11]], RN.equipment.lifeTimeHours[impList[12]], RN.equipment.lifeTimeHours[impList[13]], RN.equipment.lifeTimeHours[impList[14]], RN.equipment.lifeTimeHours[impList[15]]);
	myPrintEquipInfo4("Repair factor", textWidth, textWidth2, "-",
		RN.equipmentRepairFactor, RN.equipmentRepairFactor, RN.equipmentRepairFactor, RN.equipmentRepairFactor, RN.equipmentRepairFactor);
	myPrintEquipInfo0("Repairs per year", textWidth, textWidth2, currency.."/year",
		RN.equipment.repairsPerYear[impList[11]], RN.equipment.repairsPerYear[impList[12]], RN.equipment.repairsPerYear[impList[13]], RN.equipment.repairsPerYear[impList[14]], RN.equipment.repairsPerYear[impList[15]]);
	myPrintEquipInfo4("Repairs per hour", textWidth, textWidth2, currency.."/hour",
		RN.equipment.repairsPerHour[impList[11]], RN.equipment.repairsPerHour[impList[12]], RN.equipment.repairsPerHour[impList[13]], RN.equipment.repairsPerHour[impList[14]], RN.equipment.repairsPerHour[impList[15]]);
	myPrintEquipInfo0("Required HP", textWidth, textWidth2, "hp",
		RN.equipment.neededHP[impList[11]], RN.equipment.neededHP[impList[12]], RN.equipment.neededHP[impList[13]], RN.equipment.neededHP[impList[14]], RN.equipment.neededHP[impList[15]]);
	myPrintEquipInfo4("Fuel per hour", textWidth, textWidth2, "L/hour",
		RN.equipment.fuelPerHour[impList[11]], RN.equipment.fuelPerHour[impList[12]], RN.equipment.fuelPerHour[impList[13]], RN.equipment.fuelPerHour[impList[14]], RN.equipment.fuelPerHour[impList[15]]);
	myPrintEquipInfo4("Fuel cost per hour", textWidth, textWidth2, currency.."/hour",
		RN.equipment.fuelCostPerHour[impList[11]], RN.equipment.fuelCostPerHour[impList[12]], RN.equipment.fuelCostPerHour[impList[13]], RN.equipment.fuelCostPerHour[impList[14]], RN.equipment.fuelCostPerHour[impList[15]]);
	myPrintEquipInfo4("Lubrication cost per hour", textWidth, textWidth2, currency.."/hour",
		RN.equipment.lubricationCostPerHour[impList[11]], RN.equipment.lubricationCostPerHour[impList[12]], RN.equipment.lubricationCostPerHour[impList[13]], RN.equipment.lubricationCostPerHour[impList[14]], RN.equipment.lubricationCostPerHour[impList[15]]);
	myPrintEquipInfo4("Labor cost per hour", textWidth, textWidth2, currency.."/hour",
		RN.salaryPerHour, RN.salaryPerHour, RN.salaryPerHour, RN.salaryPerHour, RN.salaryPerHour);
	myPrintEquipInfo4("Operating cost per hour", textWidth, textWidth2, currency.."/hour",
		RN.equipment.operatingCostPerHour[impList[11]], RN.equipment.operatingCostPerHour[impList[12]], RN.equipment.operatingCostPerHour[impList[13]], RN.equipment.operatingCostPerHour[impList[14]], RN.equipment.operatingCostPerHour[impList[15]]);
	myPrintEquipInfo4("Operating cost per ha", textWidth, textWidth2, currency.."/ha",
		RN.equipment.operatingCostPerHa[impList[11]], RN.equipment.operatingCostPerHa[impList[12]], RN.equipment.operatingCostPerHa[impList[13]], RN.equipment.operatingCostPerHa[impList[14]], RN.equipment.operatingCostPerHa[impList[15]]);
	myPrintEquipInfo4("Fixed cost per ha", textWidth, textWidth2, currency.."/ha",
		RN.equipment.fixedCostPerHa[impList[11]], RN.equipment.fixedCostPerHa[impList[12]], RN.equipment.fixedCostPerHa[impList[13]], RN.equipment.fixedCostPerHa[impList[14]], RN.equipment.fixedCostPerHa[impList[15]]);
		print(" ");
	myPrintEquipInfo0("Fixed + op. cost per ha", textWidth, textWidth2, currency.."/ha",
		RN.equipment.equipmentCostPerHa[impList[11]], RN.equipment.equipmentCostPerHa[impList[12]], RN.equipment.equipmentCostPerHa[impList[13]], RN.equipment.equipmentCostPerHa[impList[14]], RN.equipment.equipmentCostPerHa[impList[15]]);
	myPrintEquipInfo0("Fixed + op. cost per hour", textWidth, textWidth2, currency.."/hour",
		RN.equipment.equipmentCostPerHour[impList[11]], RN.equipment.equipmentCostPerHour[impList[12]], RN.equipment.equipmentCostPerHour[impList[13]], RN.equipment.equipmentCostPerHour[impList[14]], RN.equipment.equipmentCostPerHour[impList[15]]);
	myPrintEquipInfo0("Fixed + op. cost per year", textWidth, textWidth2, currency.."/year",
		RN.equipment.equipmentCostPerYear[impList[11]], RN.equipment.equipmentCostPerYear[impList[12]], RN.equipment.equipmentCostPerYear[impList[13]], RN.equipment.equipmentCostPerYear[impList[14]], RN.equipment.equipmentCostPerYear[impList[15]]);
		print(" ");

	myPrintEquipInfo4("Lease cost per ha", textWidth, textWidth2, currency.."/ha",
		RN.equipment.leaseCostPerHa[impList[11]], RN.equipment.leaseCostPerHa[impList[12]], RN.equipment.leaseCostPerHa[impList[13]], RN.equipment.leaseCostPerHa[impList[14]], RN.equipment.leaseCostPerHa[impList[15]]);
	myPrintEquipInfo0("Lease + op. cost per ha", textWidth, textWidth2, currency.."/ha",
		RN.equipment.equipmentLeaseCostPerHa[impList[11]], RN.equipment.equipmentLeaseCostPerHa[impList[12]], RN.equipment.equipmentLeaseCostPerHa[impList[13]], RN.equipment.equipmentLeaseCostPerHa[impList[14]], RN.equipment.equipmentLeaseCostPerHa[impList[15]]);
	myPrintEquipInfo0("Lease + op. cost per hour", textWidth, textWidth2, currency.."/hour",
		RN.equipment.equipmentLeaseCostPerHour[impList[11]], RN.equipment.equipmentLeaseCostPerHour[impList[12]], RN.equipment.equipmentLeaseCostPerHour[impList[13]], RN.equipment.equipmentLeaseCostPerHour[impList[14]], RN.equipment.equipmentLeaseCostPerHour[impList[15]]);
	myPrintEquipInfo0("Lease + op. cost per year", textWidth, textWidth2, currency.."/year",
		RN.equipment.equipmentLeaseCostPerYear[impList[11]], RN.equipment.equipmentLeaseCostPerYear[impList[12]], RN.equipment.equipmentLeaseCostPerYear[impList[13]], RN.equipment.equipmentLeaseCostPerYear[impList[14]], RN.equipment.equipmentLeaseCostPerYear[impList[15]]);
		print(" ");

	myPrintEquipInfo0("Contract cost per ha", textWidth, textWidth2, currency.."/ha",
		RN.contractRatePerHa[impList[11]], RN.contractRatePerHa[impList[12]], RN.contractRatePerHa[impList[13]], RN.contractRatePerHa[impList[14]], RN.contractRatePerHa[impList[15]]);
	myPrintEquipInfo0("Contract cost per hour", textWidth, textWidth2, currency.."/hour",
		RN.contractRatePerHour[impList[11]], RN.contractRatePerHour[impList[12]], RN.contractRatePerHour[impList[13]], RN.contractRatePerHour[impList[14]], RN.contractRatePerHour[impList[15]]);
	myPrintEquipInfo0("Contract cost per year", textWidth, textWidth2, currency.."/year",
		RN.contractRatePerYear[impList[11]], RN.contractRatePerYear[impList[12]], RN.contractRatePerYear[impList[13]], RN.contractRatePerYear[impList[14]], RN.contractRatePerYear[impList[15]]);
		print(" ");
	myPrintEquipInfo0("Contract - op. cost per ha", textWidth, textWidth2, currency.."/ha",
		RN.equipment.surplusPerHa[impList[11]], RN.equipment.surplusPerHa[impList[12]], RN.equipment.surplusPerHa[impList[13]], RN.equipment.surplusPerHa[impList[14]], RN.equipment.surplusPerHa[impList[15]]);
		print(" ");
	myPrintEquipInfo0("Break-even ha", textWidth, textWidth2, "ha/year",
		RN.equipment.breakEvenHa[impList[11]], RN.equipment.breakEvenHa[impList[12]], RN.equipment.breakEvenHa[impList[13]], RN.equipment.breakEvenHa[impList[14]], RN.equipment.breakEvenHa[impList[15]]);
	myPrintEquipInfo0("Break-even field hours", textWidth, textWidth2, "hours/year",
		RN.equipment.breakEvenHour[impList[11]], RN.equipment.breakEvenHour[impList[12]], RN.equipment.breakEvenHour[impList[13]], RN.equipment.breakEvenHour[impList[14]], RN.equipment.breakEvenHour[impList[15]]);
	print(" ")
	print(" ")

--MOWERS       TEDDERS    WINDROWERS

	print("                                                              "..impList[16].."       "..impList[17].."    "..impList[18]);
	print(" ")
	myPrintEquipInfo30("Price", textWidth, textWidth2, currency,
		RN.equipment.price[impList[16]], RN.equipment.price[impList[17]], RN.equipment.price[impList[18]]);
	myPrintEquipInfo30("Loan duration", textWidth, textWidth2, "years",
		RN.equipment.loanTime[impList[16]], RN.equipment.loanTime[impList[17]], RN.equipment.loanTime[impList[18]]);
	myPrintEquipInfo30("Life time", textWidth, textWidth2, "years",
		RN.equipment.lifeTime[impList[16]], RN.equipment.lifeTime[impList[17]], RN.equipment.lifeTime[impList[18]]);
	myPrintEquipInfo34("Net interest rate", textWidth, textWidth2, "%",
		RN.annualLoanInterest, RN.annualLoanInterest, RN.annualLoanInterest);
	myPrintEquipInfo30("Interest cost", textWidth, textWidth2, currency,
		RN.equipment.interestCost[impList[16]], RN.equipment.interestCost[impList[17]], RN.equipment.interestCost[impList[18]]);
	myPrintEquipInfo30("Loan cost", textWidth, textWidth2, currency,
		RN.equipment.loanCost[impList[16]], RN.equipment.loanCost[impList[17]], RN.equipment.loanCost[impList[18]]);
	myPrintEquipInfo34("Depreciation rate per year", textWidth, textWidth2, "-",
		RN.equipment.depreciationRate[impList[16]], RN.equipment.depreciationRate[impList[17]], RN.equipment.depreciationRate[impList[18]]);
	myPrintEquipInfo34("Salvage fraction", textWidth, textWidth2, "-",
		RN.equipment.salvageFraction[impList[16]], RN.equipment.salvageFraction[impList[17]], RN.equipment.salvageFraction[impList[18]]);
	myPrintEquipInfo30("Sell price", textWidth, textWidth2, currency,
		RN.equipment.sellPrice[impList[16]], RN.equipment.sellPrice[impList[17]], RN.equipment.sellPrice[impList[18]]);
	myPrintEquipInfo30("Loan payment", textWidth, textWidth2, currency,
		RN.equipment.loanPayment[impList[16]], RN.equipment.loanPayment[impList[17]], RN.equipment.loanPayment[impList[18]]);
	myPrintEquipInfo30("Life time depreciation", textWidth, textWidth2, currency,
		RN.equipment.depreciation[impList[16]], RN.equipment.depreciation[impList[17]], RN.equipment.depreciation[impList[18]]);
	myPrintEquipInfo30("Investment cost", textWidth, textWidth2, currency,
		RN.equipment.investmentCost[impList[16]], RN.equipment.investmentCost[impList[17]], RN.equipment.investmentCost[impList[18]]);
	myPrintEquipInfo30("Investment cost per year", textWidth, textWidth2, currency.."/year",
		RN.equipment.investmentCostPerYear[impList[16]], RN.equipment.investmentCostPerYear[impList[17]], RN.equipment.investmentCostPerYear[impList[18]]);
	myPrintEquipInfo30("Tax, insurance, housing cost", textWidth, textWidth2, currency.."/year",
		RN.equipment.TIHperYear[impList[16]], RN.equipment.TIHperYear[impList[17]], RN.equipment.TIHperYear[impList[18]]);
	print(" ");
	myPrintEquipInfo30("Fixed cost per year", textWidth, textWidth2, currency.."/year",
		RN.equipment.fixedCostPerYear[impList[16]], RN.equipment.fixedCostPerYear[impList[17]], RN.equipment.fixedCostPerYear[impList[18]]);
	print(" ");
	myPrintEquipInfo34("Implement width", textWidth, textWidth2, "m",
		RN.equipment.width[impList[16]], RN.equipment.width[impList[17]], RN.equipment.width[impList[18]]);
	myPrintEquipInfo34("Implement speed", textWidth, textWidth2, "kph",
		RN.equipment.speed[impList[16]], RN.equipment.speed[impList[17]], RN.equipment.speed[impList[18]]);
	myPrintEquipInfo34("Implement efficiency", textWidth, textWidth2, "-",
		RN.equipment.efficiency[impList[16]], RN.equipment.efficiency[impList[17]], RN.equipment.efficiency[impList[18]]);
	myPrintEquipInfo34("Implement capacity", textWidth, textWidth2, "ha/hour",
		RN.equipment.fieldCapacity[impList[16]], RN.equipment.fieldCapacity[impList[17]], RN.equipment.fieldCapacity[impList[18]]);
	myPrintEquipInfo34("Implement work area", textWidth, textWidth2, "ha/year",
		RN.equipment.workArea[impList[16]], RN.equipment.workArea[impList[17]], RN.equipment.workArea[impList[18]]);
	myPrintEquipInfo34("Implement hours per year", textWidth, textWidth2, "hours/year",
		RN.equipment.fieldHours[impList[16]], RN.equipment.fieldHours[impList[17]], RN.equipment.fieldHours[impList[18]]);
	myPrintEquipInfo30("Implement hours life time", textWidth, textWidth2, "hours",
		RN.equipment.lifeTimeHours[impList[16]], RN.equipment.lifeTimeHours[impList[17]], RN.equipment.lifeTimeHours[impList[18]]);
	myPrintEquipInfo34("Repair factor", textWidth, textWidth2, "-",
		RN.equipmentRepairFactor, RN.equipmentRepairFactor, RN.equipmentRepairFactor);
	myPrintEquipInfo30("Repairs per year", textWidth, textWidth2, currency.."/year",
		RN.equipment.repairsPerYear[impList[16]], RN.equipment.repairsPerYear[impList[17]], RN.equipment.repairsPerYear[impList[18]]);
	myPrintEquipInfo34("Repairs per hour", textWidth, textWidth2, currency.."/hour",
		RN.equipment.repairsPerHour[impList[16]], RN.equipment.repairsPerHour[impList[17]], RN.equipment.repairsPerHour[impList[18]]);
	myPrintEquipInfo30("Required HP", textWidth, textWidth2, "hp",
		RN.equipment.neededHP[impList[16]], RN.equipment.neededHP[impList[17]], RN.equipment.neededHP[impList[18]]);
	myPrintEquipInfo34("Fuel per hour", textWidth, textWidth2, "L/hour",
		RN.equipment.fuelPerHour[impList[16]], RN.equipment.fuelPerHour[impList[17]], RN.equipment.fuelPerHour[impList[18]]);
	myPrintEquipInfo34("Fuel cost per hour", textWidth, textWidth2, currency.."/hour",
		RN.equipment.fuelCostPerHour[impList[16]], RN.equipment.fuelCostPerHour[impList[17]], RN.equipment.fuelCostPerHour[impList[18]]);
	myPrintEquipInfo34("Lubrication cost per hour", textWidth, textWidth2, currency.."/hour",
		RN.equipment.lubricationCostPerHour[impList[16]], RN.equipment.lubricationCostPerHour[impList[17]], RN.equipment.lubricationCostPerHour[impList[18]]);
	myPrintEquipInfo34("Labor cost per hour", textWidth, textWidth2, currency.."/hour",
		RN.salaryPerHour, RN.salaryPerHour, RN.salaryPerHour);
	myPrintEquipInfo34("Operating cost per hour", textWidth, textWidth2, currency.."/hour",
		RN.equipment.operatingCostPerHour[impList[16]], RN.equipment.operatingCostPerHour[impList[17]], RN.equipment.operatingCostPerHour[impList[18]]);
	myPrintEquipInfo34("Operating cost per ha", textWidth, textWidth2, currency.."/ha",
		RN.equipment.operatingCostPerHa[impList[16]], RN.equipment.operatingCostPerHa[impList[17]], RN.equipment.operatingCostPerHa[impList[18]]);
	myPrintEquipInfo34("Fixed cost per ha", textWidth, textWidth2, currency.."/ha",
		RN.equipment.fixedCostPerHa[impList[16]], RN.equipment.fixedCostPerHa[impList[17]], RN.equipment.fixedCostPerHa[impList[18]]);
		print(" ");
	myPrintEquipInfo30("Fixed + op. cost per ha", textWidth, textWidth2, currency.."/ha",
		RN.equipment.equipmentCostPerHa[impList[16]], RN.equipment.equipmentCostPerHa[impList[17]], RN.equipment.equipmentCostPerHa[impList[18]]);
	myPrintEquipInfo30("Fixed + op. cost per hour", textWidth, textWidth2, currency.."/hour",
		RN.equipment.equipmentCostPerHour[impList[16]], RN.equipment.equipmentCostPerHour[impList[17]], RN.equipment.equipmentCostPerHour[impList[18]]);
	myPrintEquipInfo30("Fixed + op. cost per year", textWidth, textWidth2, currency.."/year",
		RN.equipment.equipmentCostPerYear[impList[16]], RN.equipment.equipmentCostPerYear[impList[17]], RN.equipment.equipmentCostPerYear[impList[18]]);
		print(" ");

	myPrintEquipInfo34("Lease cost per ha", textWidth, textWidth2, currency.."/ha",
		RN.equipment.leaseCostPerHa[impList[16]], RN.equipment.leaseCostPerHa[impList[17]], RN.equipment.leaseCostPerHa[impList[18]]);
	myPrintEquipInfo30("Lease + op. cost per ha", textWidth, textWidth2, currency.."/ha",
		RN.equipment.equipmentLeaseCostPerHa[impList[16]], RN.equipment.equipmentLeaseCostPerHa[impList[17]], RN.equipment.equipmentLeaseCostPerHa[impList[18]]);
	myPrintEquipInfo30("Lease + op. cost per hour", textWidth, textWidth2, currency.."/hour",
		RN.equipment.equipmentLeaseCostPerHour[impList[16]], RN.equipment.equipmentLeaseCostPerHour[impList[17]], RN.equipment.equipmentLeaseCostPerHour[impList[18]]);
	myPrintEquipInfo30("Lease + op. cost per year", textWidth, textWidth2, currency.."/year",
		RN.equipment.equipmentLeaseCostPerYear[impList[16]], RN.equipment.equipmentLeaseCostPerYear[impList[17]], RN.equipment.equipmentLeaseCostPerYear[impList[18]]);
		print(" ");

	myPrintEquipInfo30("Contract cost per ha", textWidth, textWidth2, currency.."/ha",
		RN.contractRatePerHa[impList[16]], RN.contractRatePerHa[impList[17]], RN.contractRatePerHa[impList[18]]);
	myPrintEquipInfo30("Contract cost per hour", textWidth, textWidth2, currency.."/hour",
		RN.contractRatePerHour[impList[16]], RN.contractRatePerHour[impList[17]], RN.contractRatePerHour[impList[18]]);
	myPrintEquipInfo30("Contract cost per year", textWidth, textWidth2, currency.."/year",
		RN.contractRatePerYear[impList[16]], RN.contractRatePerYear[impList[17]], RN.contractRatePerYear[impList[18]]);
		print(" ");
	myPrintEquipInfo30("Contract - op. cost per ha", textWidth, textWidth2, currency.."/ha",
		RN.equipment.surplusPerHa[impList[16]], RN.equipment.surplusPerHa[impList[17]], RN.equipment.surplusPerHa[impList[18]]);
		print(" ");
	myPrintEquipInfo30("Break-even ha", textWidth, textWidth2, "ha/year",
		RN.equipment.breakEvenHa[impList[16]], RN.equipment.breakEvenHa[impList[17]], RN.equipment.breakEvenHa[impList[18]]);
	myPrintEquipInfo30("Break-even field hours", textWidth, textWidth2, "hours/year",
		RN.equipment.breakEvenHour[impList[16]], RN.equipment.breakEvenHour[impList[17]], RN.equipment.breakEvenHour[impList[18]]);
	print(" ")

end;


function RealNumbersEquipmentEconomy:keyEvent(unicode, sym, modifier, isDown)
	local currency = "€";	-- or  "$" or "£"
    local textWidth1 = 40; 	-- text width in log file
	local textWidth = 35;
	local textWidth2 = 15;
	local gameMoneyUnit = g_i18n.moneyUnit;
	if gameMoneyUnit == 1 then
        currency = "€";
	elseif gameMoneyUnit == 2 then
        currency = "$";
	elseif gameMoneyUnit == 3 then
        currency = "£";
	end
	if Input.isKeyPressed(Input.KEY_lalt) and Input.isKeyPressed(Input.KEY_r) and Input.isKeyPressed(Input.KEY_e) then
		print(" ");
		print("\nlAlt-re pressed:  RealNumbersEquipmentEconomy.lua\n");
		myPrint("Total value of equipment",RN.accumulatedValue,textWidth1,currency);
		myPrint("Annual maintenance of equipment",RN.vehicleRunningCost,textWidth1,currency.."/year");
		myPrint("Total value of properties",RN.accumulatedValuePlaceables,textWidth1,currency);
		myPrint("Annual maintenance of properties",RN.propertyMaintenance,textWidth1,currency.."/year");
		myPrint("Annual animal upkeep",RN.totalAnimalUpkeep,textWidth1,currency.."/year");
		print(" ");

		local trcList = RN.tractorList;
		local impList = RN.implementList;
		local balingList = RN.balingList;


		print("                                                           "..trcList[1].."  "..trcList[2].."  "..trcList[3].."  "..trcList[4].."  "..trcList[5]);
		print(" ")
		myPrintEquipInfo0("Price", textWidth, textWidth2, currency,
			RN.equipment.price[trcList[1]], RN.equipment.price[trcList[2]], RN.equipment.price[trcList[3]], RN.equipment.price[trcList[4]], RN.equipment.price[trcList[5]]);
		myPrintEquipInfo0("Fixed cost per year", textWidth, textWidth2, currency.."/year",
			RN.equipment.fixedCostPerYear[trcList[1]], RN.equipment.fixedCostPerYear[trcList[2]], RN.equipment.fixedCostPerYear[trcList[3]], RN.equipment.fixedCostPerYear[trcList[4]], RN.equipment.fixedCostPerYear[trcList[5]]);
		myPrintEquipInfo0("Tractor HP", textWidth, textWidth2, "hp",
			RN.equipment.neededHP[trcList[1]], RN.equipment.neededHP[trcList[2]], RN.equipment.neededHP[trcList[3]], RN.equipment.neededHP[trcList[4]], RN.equipment.neededHP[trcList[5]]);
		myPrintEquipInfo4("Tractor hours per year", textWidth, textWidth2, "hours/year",
			RN.equipment.fieldHours[trcList[1]], RN.equipment.fieldHours[trcList[2]], RN.equipment.fieldHours[trcList[3]], RN.equipment.fieldHours[trcList[4]], RN.equipment.fieldHours[trcList[5]]);
		myPrintEquipInfo4("Operating cost per hour", textWidth, textWidth2, currency.."/hour",
			RN.equipment.operatingCostPerHour[trcList[1]], RN.equipment.operatingCostPerHour[trcList[2]], RN.equipment.operatingCostPerHour[trcList[3]], RN.equipment.operatingCostPerHour[trcList[4]], RN.equipment.operatingCostPerHour[trcList[5]]);
		myPrintEquipInfo4("Fixed cost per hour", textWidth, textWidth2, currency.."/hour",
			RN.equipment.fixedCostPerHour[trcList[1]], RN.equipment.fixedCostPerHour[trcList[2]], RN.equipment.fixedCostPerHour[trcList[3]], RN.equipment.fixedCostPerHour[trcList[4]], RN.equipment.fixedCostPerHour[trcList[5]]);
		myPrintEquipInfo0("Fixed + op. cost per hour", textWidth, textWidth2, currency.."/hour",
			RN.equipment.equipmentCostPerHour[trcList[1]], RN.equipment.equipmentCostPerHour[trcList[2]], RN.equipment.equipmentCostPerHour[trcList[3]], RN.equipment.equipmentCostPerHour[trcList[4]], RN.equipment.equipmentCostPerHour[trcList[5]]);
		myPrintEquipInfo0("Contract cost per hour", textWidth, textWidth2, currency.."/hour",
			RN.contractRatePerHour[trcList[1]], RN.contractRatePerHour[trcList[2]], RN.contractRatePerHour[trcList[3]], RN.contractRatePerHour[trcList[4]], RN.contractRatePerHour[trcList[5]]);
		myPrintEquipInfo0("Break-even field hours", textWidth, textWidth2, "hours/year",
			RN.equipment.breakEvenHour[trcList[1]], RN.equipment.breakEvenHour[trcList[2]], RN.equipment.breakEvenHour[trcList[3]], RN.equipment.breakEvenHour[trcList[4]], RN.equipment.breakEvenHour[trcList[5]]);
		print(" ")



		print("                                                           "..impList[1].."  "..impList[2].."     "..impList[3].."      "..impList[4].."    "..impList[5]);
		print(" ")
		myPrintEquipInfo0("Price", textWidth, textWidth2, currency,
			RN.equipment.price[impList[1]], RN.equipment.price[impList[2]], RN.equipment.price[impList[3]], RN.equipment.price[impList[4]], RN.equipment.price[impList[5]]);
		myPrintEquipInfo0("Fixed cost per year", textWidth, textWidth2, currency.."/year",
			RN.equipment.fixedCostPerYear[impList[1]], RN.equipment.fixedCostPerYear[impList[2]], RN.equipment.fixedCostPerYear[impList[3]], RN.equipment.fixedCostPerYear[impList[4]], RN.equipment.fixedCostPerYear[impList[5]]);
		myPrintEquipInfo4("Implement width", textWidth, textWidth2, "m",
			RN.equipment.width[impList[1]], RN.equipment.width[impList[2]], RN.equipment.width[impList[3]], RN.equipment.width[impList[4]], RN.equipment.width[impList[5]]);
		myPrintEquipInfo4("Implement speed", textWidth, textWidth2, "kph",
			RN.equipment.speed[impList[1]], RN.equipment.speed[impList[2]], RN.equipment.speed[impList[3]], RN.equipment.speed[impList[4]], RN.equipment.speed[impList[5]]);
		myPrintEquipInfo4("Implement efficiency", textWidth, textWidth2, "-",
			RN.equipment.efficiency[impList[1]], RN.equipment.efficiency[impList[2]], RN.equipment.efficiency[impList[3]], RN.equipment.efficiency[impList[4]], RN.equipment.efficiency[impList[5]]);
		myPrintEquipInfo4("Implement capacity", textWidth, textWidth2, "ha/hour",
			RN.equipment.fieldCapacity[impList[1]], RN.equipment.fieldCapacity[impList[2]], RN.equipment.fieldCapacity[impList[3]], RN.equipment.fieldCapacity[impList[4]], RN.equipment.fieldCapacity[impList[5]]);
		myPrintEquipInfo4("Implement work area", textWidth, textWidth2, "ha/year",
			RN.equipment.workArea[impList[1]], RN.equipment.workArea[impList[2]], RN.equipment.workArea[impList[3]], RN.equipment.workArea[impList[4]], RN.equipment.workArea[impList[5]]);
		myPrintEquipInfo4("Operating cost per ha", textWidth, textWidth2, currency.."/ha",
			RN.equipment.operatingCostPerHa[impList[1]], RN.equipment.operatingCostPerHa[impList[2]], RN.equipment.operatingCostPerHa[impList[3]], RN.equipment.operatingCostPerHa[impList[4]], RN.equipment.operatingCostPerHa[impList[5]]);
		myPrintEquipInfo4("Fixed cost per ha", textWidth, textWidth2, currency.."/ha",
			RN.equipment.fixedCostPerHa[impList[1]], RN.equipment.fixedCostPerHa[impList[2]], RN.equipment.fixedCostPerHa[impList[3]], RN.equipment.fixedCostPerHa[impList[4]], RN.equipment.fixedCostPerHa[impList[5]]);
		myPrintEquipInfo0("Fixed + op. cost per ha", textWidth, textWidth2, currency.."/ha",
			RN.equipment.equipmentCostPerHa[impList[1]], RN.equipment.equipmentCostPerHa[impList[2]], RN.equipment.equipmentCostPerHa[impList[3]], RN.equipment.equipmentCostPerHa[impList[4]], RN.equipment.equipmentCostPerHa[impList[5]]);
		myPrintEquipInfo0("Contract cost per ha", textWidth, textWidth2, currency.."/ha",
			RN.contractRatePerHa[impList[1]], RN.contractRatePerHa[impList[2]], RN.contractRatePerHa[impList[3]], RN.contractRatePerHa[impList[4]], RN.contractRatePerHa[impList[5]]);
		myPrintEquipInfo0("Break-even ha", textWidth, textWidth2, "ha/year",
			RN.equipment.breakEvenHa[impList[1]], RN.equipment.breakEvenHa[impList[2]], RN.equipment.breakEvenHa[impList[3]], RN.equipment.breakEvenHa[impList[4]], RN.equipment.breakEvenHa[impList[5]]);
		print(" ")


		print("                                                           "..impList[6].."  "..impList[7].."     "..impList[8].."      "..impList[9].."    "..impList[10]);
		print(" ")
		myPrintEquipInfo0("Price", textWidth, textWidth2, currency,
			RN.equipment.price[impList[6]], RN.equipment.price[impList[7]], RN.equipment.price[impList[8]], RN.equipment.price[impList[9]], RN.equipment.price[impList[10]]);
		myPrintEquipInfo0("Fixed cost per year", textWidth, textWidth2, currency.."/year",
			RN.equipment.fixedCostPerYear[impList[6]], RN.equipment.fixedCostPerYear[impList[7]], RN.equipment.fixedCostPerYear[impList[8]], RN.equipment.fixedCostPerYear[impList[9]], RN.equipment.fixedCostPerYear[impList[10]]);
		myPrintEquipInfo4("Implement width", textWidth, textWidth2, "m",
			RN.equipment.width[impList[6]], RN.equipment.width[impList[7]], RN.equipment.width[impList[8]], RN.equipment.width[impList[9]], RN.equipment.width[impList[10]]);
		myPrintEquipInfo4("Implement speed", textWidth, textWidth2, "kph",
			RN.equipment.speed[impList[6]], RN.equipment.speed[impList[7]], RN.equipment.speed[impList[8]], RN.equipment.speed[impList[9]], RN.equipment.speed[impList[10]]);
		myPrintEquipInfo4("Implement efficiency", textWidth, textWidth2, "-",
			RN.equipment.efficiency[impList[6]], RN.equipment.efficiency[impList[7]], RN.equipment.efficiency[impList[8]], RN.equipment.efficiency[impList[9]], RN.equipment.efficiency[impList[10]]);
		myPrintEquipInfo4("Implement capacity", textWidth, textWidth2, "ha/hour",
			RN.equipment.fieldCapacity[impList[6]], RN.equipment.fieldCapacity[impList[7]], RN.equipment.fieldCapacity[impList[8]], RN.equipment.fieldCapacity[impList[9]], RN.equipment.fieldCapacity[impList[10]]);
		myPrintEquipInfo4("Implement work area", textWidth, textWidth2, "ha/year",
			RN.equipment.workArea[impList[6]], RN.equipment.workArea[impList[7]], RN.equipment.workArea[impList[8]], RN.equipment.workArea[impList[9]], RN.equipment.workArea[impList[10]]);

		myPrintEquipInfo4("Operating cost per ha", textWidth, textWidth2, currency.."/ha",
			RN.equipment.operatingCostPerHa[impList[6]], RN.equipment.operatingCostPerHa[impList[7]], RN.equipment.operatingCostPerHa[impList[8]], RN.equipment.operatingCostPerHa[impList[9]], RN.equipment.operatingCostPerHa[impList[10]]);
		myPrintEquipInfo4("Fixed cost per ha", textWidth, textWidth2, currency.."/ha",
			RN.equipment.fixedCostPerHa[impList[6]], RN.equipment.fixedCostPerHa[impList[7]], RN.equipment.fixedCostPerHa[impList[8]], RN.equipment.fixedCostPerHa[impList[9]], RN.equipment.fixedCostPerHa[impList[10]]);
		myPrintEquipInfo0("Fixed + op. cost per ha", textWidth, textWidth2, currency.."/ha",
			RN.equipment.equipmentCostPerHa[impList[6]], RN.equipment.equipmentCostPerHa[impList[7]], RN.equipment.equipmentCostPerHa[impList[8]], RN.equipment.equipmentCostPerHa[impList[9]], RN.equipment.equipmentCostPerHa[impList[10]]);
		myPrintEquipInfo0("Contract cost per ha", textWidth, textWidth2, currency.."/ha",
			RN.contractRatePerHa[impList[6]], RN.contractRatePerHa[impList[7]], RN.contractRatePerHa[impList[8]], RN.contractRatePerHa[impList[9]], RN.contractRatePerHa[impList[10]]);
		myPrintEquipInfo0("Break-even ha", textWidth, textWidth2, "ha/year",
			RN.equipment.breakEvenHa[impList[6]], RN.equipment.breakEvenHa[impList[7]], RN.equipment.breakEvenHa[impList[8]], RN.equipment.breakEvenHa[impList[9]], RN.equipment.breakEvenHa[impList[10]]);
		print(" ")

		print("                                                          "..impList[11].." "..impList[12].." "..impList[13].." "..impList[14].." "..impList[15]);
		print(" ")
		myPrintEquipInfo0("Price", textWidth, textWidth2, currency,
			RN.equipment.price[impList[11]], RN.equipment.price[impList[12]], RN.equipment.price[impList[13]], RN.equipment.price[impList[14]], RN.equipment.price[impList[15]]);
		myPrintEquipInfo0("Fixed cost per year", textWidth, textWidth2, currency.."/year",
			RN.equipment.fixedCostPerYear[impList[11]], RN.equipment.fixedCostPerYear[impList[12]], RN.equipment.fixedCostPerYear[impList[13]], RN.equipment.fixedCostPerYear[impList[14]], RN.equipment.fixedCostPerYear[impList[15]]);
		myPrintEquipInfo4("Implement width", textWidth, textWidth2, "m",
			RN.equipment.width[impList[11]], RN.equipment.width[impList[12]], RN.equipment.width[impList[13]], RN.equipment.width[impList[14]], RN.equipment.width[impList[15]]);
		myPrintEquipInfo4("Implement speed", textWidth, textWidth2, "kph",
			RN.equipment.speed[impList[11]], RN.equipment.speed[impList[12]], RN.equipment.speed[impList[13]], RN.equipment.speed[impList[14]], RN.equipment.speed[impList[15]]);
		myPrintEquipInfo4("Implement efficiency", textWidth, textWidth2, "-",
			RN.equipment.efficiency[impList[11]], RN.equipment.efficiency[impList[12]], RN.equipment.efficiency[impList[13]], RN.equipment.efficiency[impList[14]], RN.equipment.efficiency[impList[15]]);
		myPrintEquipInfo4("Implement capacity", textWidth, textWidth2, "ha/hour",
			RN.equipment.fieldCapacity[impList[11]], RN.equipment.fieldCapacity[impList[12]], RN.equipment.fieldCapacity[impList[13]], RN.equipment.fieldCapacity[impList[14]], RN.equipment.fieldCapacity[impList[15]]);
		myPrintEquipInfo4("Implement work area", textWidth, textWidth2, "ha/year",
			RN.equipment.workArea[impList[11]], RN.equipment.workArea[impList[12]], RN.equipment.workArea[impList[13]], RN.equipment.workArea[impList[14]], RN.equipment.workArea[impList[15]]);
		myPrintEquipInfo4("Operating cost per ha", textWidth, textWidth2, currency.."/ha",
			RN.equipment.operatingCostPerHa[impList[11]], RN.equipment.operatingCostPerHa[impList[12]], RN.equipment.operatingCostPerHa[impList[13]], RN.equipment.operatingCostPerHa[impList[14]], RN.equipment.operatingCostPerHa[impList[15]]);
		myPrintEquipInfo4("Fixed cost per ha", textWidth, textWidth2, currency.."/ha",
			RN.equipment.fixedCostPerHa[impList[11]], RN.equipment.fixedCostPerHa[impList[12]], RN.equipment.fixedCostPerHa[impList[13]], RN.equipment.fixedCostPerHa[impList[14]], RN.equipment.fixedCostPerHa[impList[15]]);
		myPrintEquipInfo0("Fixed + op. cost per ha", textWidth, textWidth2, currency.."/ha",
			RN.equipment.equipmentCostPerHa[impList[11]], RN.equipment.equipmentCostPerHa[impList[12]], RN.equipment.equipmentCostPerHa[impList[13]], RN.equipment.equipmentCostPerHa[impList[14]], RN.equipment.equipmentCostPerHa[impList[15]]);
		myPrintEquipInfo0("Contract cost per ha", textWidth, textWidth2, currency.."/ha",
			RN.contractRatePerHa[impList[11]], RN.contractRatePerHa[impList[12]], RN.contractRatePerHa[impList[13]], RN.contractRatePerHa[impList[14]], RN.contractRatePerHa[impList[15]]);
		myPrintEquipInfo0("Break-even ha", textWidth, textWidth2, "ha/year",
			RN.equipment.breakEvenHa[impList[11]], RN.equipment.breakEvenHa[impList[12]], RN.equipment.breakEvenHa[impList[13]], RN.equipment.breakEvenHa[impList[14]], RN.equipment.breakEvenHa[impList[15]]);
		print(" ")


		print("                                                              "..impList[16].."       "..impList[17].."    "..impList[18]);
		print(" ")
		myPrintEquipInfo30("Price", textWidth, textWidth2, currency,
			RN.equipment.price[impList[16]], RN.equipment.price[impList[17]], RN.equipment.price[impList[18]]);
		myPrintEquipInfo30("Fixed cost per year", textWidth, textWidth2, currency.."/year",
			RN.equipment.fixedCostPerYear[impList[16]], RN.equipment.fixedCostPerYear[impList[17]], RN.equipment.fixedCostPerYear[impList[18]]);
		myPrintEquipInfo34("Implement width", textWidth, textWidth2, "m",
			RN.equipment.width[impList[16]], RN.equipment.width[impList[17]], RN.equipment.width[impList[18]]);
		myPrintEquipInfo34("Implement speed", textWidth, textWidth2, "kph",
			RN.equipment.speed[impList[16]], RN.equipment.speed[impList[17]], RN.equipment.speed[impList[18]]);
		myPrintEquipInfo34("Implement efficiency", textWidth, textWidth2, "-",
			RN.equipment.efficiency[impList[16]], RN.equipment.efficiency[impList[17]], RN.equipment.efficiency[impList[18]]);
		myPrintEquipInfo34("Implement capacity", textWidth, textWidth2, "ha/hour",
			RN.equipment.fieldCapacity[impList[16]], RN.equipment.fieldCapacity[impList[17]], RN.equipment.fieldCapacity[impList[18]]);
		myPrintEquipInfo34("Implement work area", textWidth, textWidth2, "ha/year",
			RN.equipment.workArea[impList[16]], RN.equipment.workArea[impList[17]], RN.equipment.workArea[impList[18]]);
		myPrintEquipInfo34("Operating cost per ha", textWidth, textWidth2, currency.."/ha",
			RN.equipment.operatingCostPerHa[impList[16]], RN.equipment.operatingCostPerHa[impList[17]], RN.equipment.operatingCostPerHa[impList[18]]);
		myPrintEquipInfo34("Fixed cost per ha", textWidth, textWidth2, currency.."/ha",
			RN.equipment.fixedCostPerHa[impList[16]], RN.equipment.fixedCostPerHa[impList[17]], RN.equipment.fixedCostPerHa[impList[18]]);
		myPrintEquipInfo30("Fixed + op. cost per ha", textWidth, textWidth2, currency.."/ha",
			RN.equipment.equipmentCostPerHa[impList[16]], RN.equipment.equipmentCostPerHa[impList[17]], RN.equipment.equipmentCostPerHa[impList[18]]);
		myPrintEquipInfo30("Contract cost per ha", textWidth, textWidth2, currency.."/ha",
			RN.contractRatePerHa[impList[16]], RN.contractRatePerHa[impList[17]], RN.contractRatePerHa[impList[18]]);
		myPrintEquipInfo30("Break-even ha", textWidth, textWidth2, "ha/year",
			RN.equipment.breakEvenHa[impList[16]], RN.equipment.breakEvenHa[impList[17]], RN.equipment.breakEvenHa[impList[18]]);
		print(" ")


		print("                                                                 SILAGE BALING               DRYGRASS BALING              STRAW BALING");
		print("                                                               Round        Square         Round        Square         Round       Square");
		print(" ")
		myPrintEquipInfo60("Price", textWidth, textWidth2, currency,
			RN.equipment.price[balingList[1]], RN.equipment.price[balingList[2]], RN.equipment.price[balingList[3]], RN.equipment.price[balingList[4]], RN.equipment.price[balingList[5]], RN.equipment.price[balingList[6]]);
		myPrintEquipInfo60("Fixed cost per year", textWidth, textWidth2, currency.."/year",
			RN.equipment.fixedCostPerYear[balingList[1]], RN.equipment.fixedCostPerYear[balingList[2]], RN.equipment.fixedCostPerYear[balingList[3]], RN.equipment.fixedCostPerYear[balingList[4]], RN.equipment.fixedCostPerYear[balingList[5]], RN.equipment.fixedCostPerYear[balingList[6]]);
		myPrintEquipInfo64("Throughput", textWidth, textWidth2, "Ton/hour",
			RN.throughPutTonPerHour[balingList[1]], RN.throughPutTonPerHour[balingList[2]], RN.throughPutTonPerHour[balingList[3]], RN.throughPutTonPerHour[balingList[4]], RN.throughPutTonPerHour[balingList[5]], RN.throughPutTonPerHour[balingList[6]]);
		myPrintEquipInfo64("Ton per ha", textWidth, textWidth2, "Ton/ha",
			RN.tonPerHa[balingList[1]], RN.tonPerHa[balingList[2]], RN.tonPerHa[balingList[3]], RN.tonPerHa[balingList[4]], RN.tonPerHa[balingList[5]], RN.tonPerHa[balingList[6]]);
		myPrintEquipInfo64("Implement efficiency", textWidth, textWidth2, "-",
			RN.equipment.efficiency[balingList[1]], RN.equipment.efficiency[balingList[2]], RN.equipment.efficiency[balingList[3]], RN.equipment.efficiency[balingList[4]], RN.equipment.efficiency[balingList[5]], RN.equipment.efficiency[balingList[6]]);
		myPrintEquipInfo64("Implement capacity", textWidth, textWidth2, "ha/hour",
			RN.equipment.fieldCapacity[balingList[1]], RN.equipment.fieldCapacity[balingList[2]], RN.equipment.fieldCapacity[balingList[3]], RN.equipment.fieldCapacity[balingList[4]], RN.equipment.fieldCapacity[balingList[5]], RN.equipment.fieldCapacity[balingList[6]]);
		myPrintEquipInfo64("Implement work area", textWidth, textWidth2, "ha/year",
			RN.equipment.workArea[balingList[1]], RN.equipment.workArea[balingList[2]], RN.equipment.workArea[balingList[3]], RN.equipment.workArea[balingList[4]], RN.equipment.workArea[balingList[5]], RN.equipment.workArea[balingList[6]]);
		myPrintEquipInfo64("Operating cost per bale", textWidth, textWidth2, currency.."/bale",
			RN.equipment.operatingCostPerBale[balingList[1]], RN.equipment.operatingCostPerBale[balingList[2]], RN.equipment.operatingCostPerBale[balingList[3]], RN.equipment.operatingCostPerBale[balingList[4]], RN.equipment.operatingCostPerBale[balingList[5]], RN.equipment.operatingCostPerBale[balingList[6]]);
		myPrintEquipInfo60("Fixed + op. cost per bale", textWidth, textWidth2, currency.."/bale",
			RN.equipment.equipmentCostPerBale[balingList[1]], RN.equipment.equipmentCostPerBale[balingList[2]], RN.equipment.equipmentCostPerBale[balingList[3]], RN.equipment.equipmentCostPerBale[balingList[4]], RN.equipment.equipmentCostPerBale[balingList[5]], RN.equipment.equipmentCostPerBale[balingList[6]]);
		myPrintEquipInfo60("Supply cost per bale", textWidth, textWidth2, currency.."/bale",
			RN.equipment.supplyCostPerBale[balingList[1]], RN.equipment.supplyCostPerBale[balingList[2]], RN.equipment.supplyCostPerBale[balingList[3]], RN.equipment.supplyCostPerBale[balingList[4]], RN.equipment.supplyCostPerBale[balingList[5]], RN.equipment.supplyCostPerBale[balingList[6]]);
		myPrintEquipInfo60("Operating and supply cost per ha", textWidth, textWidth2, currency.."/ha",
			RN.equipment.opAndSupplyCostPerHa[balingList[1]], RN.equipment.opAndSupplyCostPerHa[balingList[2]], RN.equipment.opAndSupplyCostPerHa[balingList[3]], RN.equipment.opAndSupplyCostPerHa[balingList[4]], RN.equipment.opAndSupplyCostPerHa[balingList[5]], RN.equipment.opAndSupplyCostPerHa[balingList[6]]);
		myPrintEquipInfo60("Fixed + op. + supply cost per ha", textWidth, textWidth2, currency.."/ha",
			RN.equipment.useOwnEquipCostPerHa[balingList[1]], RN.equipment.useOwnEquipCostPerHa[balingList[2]], RN.equipment.useOwnEquipCostPerHa[balingList[3]], RN.equipment.useOwnEquipCostPerHa[balingList[4]], RN.equipment.useOwnEquipCostPerHa[balingList[5]], RN.equipment.useOwnEquipCostPerHa[balingList[6]]);
		myPrintEquipInfo60("Contract cost per bale", textWidth, textWidth2, currency.."/bale",
			RN.contractRatePerBale[balingList[1]], RN.contractRatePerBale[balingList[2]], RN.contractRatePerBale[balingList[3]], RN.contractRatePerBale[balingList[4]], RN.contractRatePerBale[balingList[5]], RN.contractRatePerBale[balingList[6]]);
		myPrintEquipInfo60("Contract cost per ha", textWidth, textWidth2, currency.."/ha",
			RN.contractRatePerHa[balingList[1]], RN.contractRatePerHa[balingList[2]], RN.contractRatePerHa[balingList[3]], RN.contractRatePerHa[balingList[4]], RN.contractRatePerHa[balingList[5]], RN.contractRatePerHa[balingList[6]]);
		myPrintEquipInfo60("Break-even ha", textWidth, textWidth2, "ha/year",
			RN.equipment.breakEvenHa[balingList[1]], RN.equipment.breakEvenHa[balingList[2]], RN.equipment.breakEvenHa[balingList[3]], RN.equipment.breakEvenHa[balingList[4]], RN.equipment.breakEvenHa[balingList[5]], RN.equipment.breakEvenHa[balingList[6]]);
		print(" ")



	end;
end;
function RealNumbersEquipmentEconomy:update(dt)
end;
function RealNumbersEquipmentEconomy:draw()
end;
function RealNumbersEquipmentEconomy:deleteMap()
end;
function RealNumbersEquipmentEconomy:mouseEvent(posX, posY, isDown, isUp, button)
end;

addModEventListener(RealNumbersEquipmentEconomy);
