--
-- Mod: FS19_RealLifeNumbers by Kaj-Aage Henneberg "Ki", ArmChairFarming
-- Script: RealNumbersFruitInfo by Kaj-Aage Henneberg "Ki", ArmChairFarming
-- e-mail: kaj-aage.henneberg@outlook.dk
-- Download: www.modhoster.com
-- All rights reserved.
-- Version 1.2.3.9 Compatible with Seasons and Precision Farming
-- 30.11.2018 - 02.01.2021

RealNumbersFruitInfo = {};

function myPrintMapFruits(text, textWidth, number1, number2)
	local text = text..string.rep(" ",textWidth-string.len(text))
	print(string.format("%s: FruitTypeIndex : %3.0f  FillTypeIndex :  %7.0f", text, number1, number2));
end;

function RealNumbersFruitInfo:loadMap()

	RN.mapFruits = {};
	
	local mapFruits = g_fruitTypeManager:getFruitTypes();
--	print_r(mapFruits);
	
	print(" ");
	print("\nFS19_RealLifeNumbers: RealNumbersFruitInfo active");
	print("-- Lists fruits defined on map\n");
			if g_currentMission.fruitTypeManager.fruitTypes ~= nil then
			for k,fruits in pairs(g_currentMission.fruitTypeManager.fruitTypes) do
				local fruitName = fruits.name;
				local fruitTypeIndex = fruits.index;
				local fillTypeIndex = fruits.fillType.index;
				RN.mapFruits[fruitName] = {};
				RN.mapFruits[fruitName] = {fruitName,fruitTypeIndex,fillTypeIndex};
				myPrintMapFruits(RN.mapFruits[fruitName][1],30,RN.mapFruits[fruitName][2], RN.mapFruits[fruitName][3]);
			end;
		else
			print("g_fruitTypeManager = nil");
		end;
		print(" ");

end;

function RealNumbersFruitInfo:keyEvent(unicode, sym, modifier, isDown)

	if Input.isKeyPressed(Input.KEY_lalt) and Input.isKeyPressed(Input.KEY_r) and Input.isKeyPressed(Input.KEY_n) then
		print(" ");
		print("\nFS19_RealLifeNumbers: RealNumbersFruitInfo active");
		print("-- Lists fruits defined on map\n");
		if g_currentMission.fruitTypeManager.fruitTypes ~= nil then
			for k,fruits in pairs(g_currentMission.fruitTypeManager.fruitTypes) do
				local fruitName = fruits.name;
				local fruitTypeIndex = fruits.index;
				local fillTypeIndex = fruits.fillType.index;
				RN.mapFruits[fruitName] = {};
				RN.mapFruits[fruitName] = {fruitName,fruitTypeIndex,fillTypeIndex};
				myPrintMapFruits(RN.mapFruits[fruitName][1],30,RN.mapFruits[fruitName][2], RN.mapFruits[fruitName][3]);
			end;
		else
			print("g_fruitTypeManager = nil");
		end;
		print(" ");

	end;
end;

function RealNumbersFruitInfo:update(dt)
end;
function RealNumbersFruitInfo:draw()
end;
function RealNumbersFruitInfo:deleteMap()
end;
function RealNumbersFruitInfo:mouseEvent(posX, posY, isDown, isUp, button)
end;

addModEventListener(RealNumbersFruitInfo);