--
-- Mod: FS19_RealLifeNumbers by Kaj-Aage Henneberg "Ki", ArmChairFarming
-- Script: RealNumbersMyFieldCrops by Kaj-Aage Henneberg "Ki", ArmChairFarming
-- e-mail: kaj-aage.henneberg@outlook.dk
-- Download: www.modhoster.com
-- All rights reserved.
-- Version 1.2.3.9 Compatible with Seasons and Precision Farming
-- 30.11.2018 - 02.01.2021

RealNumbersMyFieldCrops = {};

function RealNumbersMyFieldCrops:loadMap(name)
	local currency = " ";
	local isDebug = RN.isDebug;
	local isDebug2 = false;
	local isDebug2 = false;
    local textWidth = 40;
	local Fruits = RN.Fruits;
	local grainCrops = "BARLEY MILLET OAT RYE SORGHUM SPELT TRITICALE WHEAT";
	local proteinCrops = "CANOLA SOYBEAN SUNFLOWER";
	local grassCrops = "ALFALFA CLOVER DRYLUZERNE GRASS INCARASE_GRASS LUCERNE LUZERNE SUDANGRASS";
	local vegetableCrops = "BEAN BEANS BLACKBEANS CABBAGE CARROT LETTUCE ONION PEAS REDCABBAGE";
	local specialtyCrops = "COFFEE COTTON CRANBERRY HEMP HOPS MUSTARD PEANUT POPLAR POPPY RICE SUGARCANE TOBACCO";
	local gameMoneyUnit = g_i18n.moneyUnit;
	if gameMoneyUnit == 1 then
        currency = "€";
	elseif gameMoneyUnit == 2 then
        currency = "$";
	elseif gameMoneyUnit == 3 then
        currency = "£";
	end
--[[
	local grainCrops = "BARLEY MILLET OAT RYE SORGHUM SPELT TRITICALE WHEAT";
	local proteinCrops = "CANOLA MAIZE SOYBEAN SUNFLOWER";
	local grassCrops = "ALFALFA CLOVER DRYLUZERNE GRASS INCARASE_GRASS LUCERNE LUZERNE SUDANGRASS";
	local vegetableCrops = "BEAN BEANS BLACKBEANS CABBAGE CARROT LETTUCE ONION PEAS REDCABBAGE";
	local specialtyCrops = "COFFEE COTTON CRANBERRY HEMP HOPS MUSTARD PEANUT POPLAR POPPY RICE SUGARCANE TOBACCO";
]]--
	print("\nFS19_RealLifeNumbers: RealNumbersMyFieldCrops active\n");

	RN.myFieldCrops = {};
	RN.myFieldCrops["totalFieldArea"] = 0;

-- grainCrops = "BARLEY MILLET OAT RYE SORGHUM SPELT TRITICALE WHEAT LINSEED";


	RN.myFieldCrops["BARLEY"] = {};
	RN.myFieldCrops["BARLEY"]["fields"]				= {};
	RN.myFieldCrops["BARLEY"]["myFieldArea"]		= {};
	RN.myFieldCrops["BARLEY"]["totalArea"] 			= 0;			-- ha, summing variable, do not change
	RN.myFieldCrops["BARLEY"]["fruitName"] 			= "BARLEY";
	RN.myFieldCrops["BARLEY"]["fields"] 			= {5};			-- field numbers with this crop f. ex. {3, 4, 5}
	RN.myFieldCrops["BARLEY"]["myFieldArea"] 		= {0};		-- hectare of each field, f. ex. {2.45, 3.20, 7.4}
	RN.myFieldCrops["BARLEY"]["manure"] 			= RN.manureApplications["BARLEY"];		-- number of times per year
	RN.myFieldCrops["BARLEY"]["slurry"] 			= RN.slurryApplications["BARLEY"];		-- number of times per year
	RN.myFieldCrops["BARLEY"]["lime"] 				= RN.limeApplications["BARLEY"];		-- number of times per year
	RN.myFieldCrops["BARLEY"]["plow"]				= 1 * RN.isPlowing["BARLEY"];			-- number of times per year
	RN.myFieldCrops["BARLEY"]["subsoil"]			= 0 * RN.isPlowing["BARLEY"];			-- number of times per year
	RN.myFieldCrops["BARLEY"]["tineharrow"] 		= 1 * (1- RN.isDirectSeeding["BARLEY"]);	-- number of times per year
	RN.myFieldCrops["BARLEY"]["discharrow"] 		= 0 * (1- RN.isDirectSeeding["BARLEY"]);	-- number of times per year
	RN.myFieldCrops["BARLEY"]["powerharrow"] 		= 0 * (1- RN.isDirectSeeding["BARLEY"]);	-- number of times per year
	RN.myFieldCrops["BARLEY"]["seed"] 				= 1;			-- number of times per year
	RN.myFieldCrops["BARLEY"]["plant"] 				= 0;			-- number of times per year
	RN.myFieldCrops["BARLEY"]["potatoplant"] 		= 0;			-- number of times per year
	RN.myFieldCrops["BARLEY"]["solidfertilizer"] 	= RN.solidFertApplications["BARLEY"];		-- number of times per year
	RN.myFieldCrops["BARLEY"]["liquidfertilizer"] 	= RN.liquidFertApplications["BARLEY"];		-- number of times per year
	RN.myFieldCrops["BARLEY"]["spraychemicals"] 	= RN.herbicideApplications["BARLEY"];		-- number of times per year
	RN.myFieldCrops["BARLEY"]["rolling"] 			= 1 * (1- RN.isDirectSeeding["BARLEY"]);			-- number of times per year
	RN.myFieldCrops["BARLEY"]["mechanicalweeding"] 	= 0;			-- number of times per year
	RN.myFieldCrops["BARLEY"]["cerealharvest"] 		= 1;			-- number of times per year
	RN.myFieldCrops["BARLEY"]["rowharvest"] 		= 0;			-- number of times per year
	RN.myFieldCrops["BARLEY"]["beetharvest"] 		= 0;			-- number of times per year
	RN.myFieldCrops["BARLEY"]["potatoharvest"] 		= 0;			-- number of times per year
	RN.myFieldCrops["BARLEY"]["forageharvest"] 		= 0;			-- number of times per year
	RN.myFieldCrops["BARLEY"]["mowing"] 			= 0;			-- number of times per year
	RN.myFieldCrops["BARLEY"]["windrow"] 			= 0;			-- number of times per year
	RN.myFieldCrops["BARLEY"]["tedding"] 			= 0;			-- number of times per year
	RN.myFieldCrops["BARLEY"]["bale"] 				= 1;			-- number of times per year
	RN.myFieldCrops["BARLEY"]["balewrap"] 			= 0;			-- number of times per year
	RN.myFieldCrops["BARLEY"]["balecollect"] 		= 1;			-- number of times per year

	RN.myFieldCrops["LINSEED"] = {};
	RN.myFieldCrops["LINSEED"]["fields"]			= {};
	RN.myFieldCrops["LINSEED"]["myFieldArea"]		= {};
	RN.myFieldCrops["LINSEED"]["totalArea"] 		= 0;			-- ha, summing variable, do not change
	RN.myFieldCrops["LINSEED"]["fruitName"] 		= "LINSEED";
	RN.myFieldCrops["LINSEED"]["fields"] 			= {5};			-- field numbers with this crop f. ex. {3, 4, 5}
	RN.myFieldCrops["LINSEED"]["myFieldArea"] 		= {0};			-- hectare of each field, f. ex. {2.45, 3.20, 7.4}
	RN.myFieldCrops["LINSEED"]["manure"] 			= RN.manureApplications["LINSEED"];		-- number of times per year
	RN.myFieldCrops["LINSEED"]["slurry"] 			= RN.slurryApplications["LINSEED"];		-- number of times per year
	RN.myFieldCrops["LINSEED"]["lime"] 				= RN.limeApplications["LINSEED"];		-- number of times per year
	RN.myFieldCrops["LINSEED"]["plow"]				= 1 * RN.isPlowing["LINSEED"];			-- number of times per year
	RN.myFieldCrops["LINSEED"]["subsoil"]			= 0 * RN.isPlowing["LINSEED"];			-- number of times per year
	RN.myFieldCrops["LINSEED"]["tineharrow"] 		= 1 * (1- RN.isDirectSeeding["LINSEED"]);			-- number of times per year
	RN.myFieldCrops["LINSEED"]["discharrow"] 		= 0 * (1- RN.isDirectSeeding["LINSEED"]);			-- number of times per year
	RN.myFieldCrops["LINSEED"]["powerharrow"] 		= 0 * (1- RN.isDirectSeeding["LINSEED"]);			-- number of times per year
	RN.myFieldCrops["LINSEED"]["seed"] 				= 1;			-- number of times per year
	RN.myFieldCrops["LINSEED"]["plant"] 			= 0;			-- number of times per year
	RN.myFieldCrops["LINSEED"]["potatoplant"] 		= 0;			-- number of times per year
	RN.myFieldCrops["LINSEED"]["solidfertilizer"] 	= RN.solidFertApplications["LINSEED"];	-- number of times per year
	RN.myFieldCrops["LINSEED"]["liquidfertilizer"] 	= RN.liquidFertApplications["LINSEED"];	-- number of times per year
	RN.myFieldCrops["LINSEED"]["spraychemicals"] 	= RN.herbicideApplications["LINSEED"];	-- number of times per year
	RN.myFieldCrops["LINSEED"]["rolling"] 			= 1 * (1- RN.isDirectSeeding["LINSEED"]);			-- number of times per year
	RN.myFieldCrops["LINSEED"]["mechanicalweeding"] = 0;			-- number of times per year
	RN.myFieldCrops["LINSEED"]["cerealharvest"] 	= 1;			-- number of times per year
	RN.myFieldCrops["LINSEED"]["rowharvest"] 		= 0;			-- number of times per year
	RN.myFieldCrops["LINSEED"]["beetharvest"] 		= 0;			-- number of times per year
	RN.myFieldCrops["LINSEED"]["potatoharvest"] 	= 0;			-- number of times per year
	RN.myFieldCrops["LINSEED"]["forageharvest"] 	= 0;			-- number of times per year
	RN.myFieldCrops["LINSEED"]["mowing"] 			= 0;			-- number of times per year
	RN.myFieldCrops["LINSEED"]["windrow"] 			= 0;			-- number of times per year
	RN.myFieldCrops["LINSEED"]["tedding"] 			= 0;			-- number of times per year
	RN.myFieldCrops["LINSEED"]["bale"] 				= 1;			-- number of times per year
	RN.myFieldCrops["LINSEED"]["balewrap"] 			= 0;			-- number of times per year
	RN.myFieldCrops["LINSEED"]["balecollect"] 		= 1;			-- number of times per year

	RN.myFieldCrops["MILLET"] = {};
	RN.myFieldCrops["MILLET"]["fields"]				= {};
	RN.myFieldCrops["MILLET"]["myFieldArea"]		= {};
	RN.myFieldCrops["MILLET"]["totalArea"] 			= 0;			-- ha, summing variable, do not change
	RN.myFieldCrops["MILLET"]["fruitName"] 			= "MILLET";
	RN.myFieldCrops["MILLET"]["fields"] 			= {5};			-- field numbers with this crop f. ex. {3, 4, 5}
	RN.myFieldCrops["MILLET"]["myFieldArea"] 		= {0};			-- hectare of each field, f. ex. {2.45, 3.20, 7.4}
	RN.myFieldCrops["MILLET"]["manure"] 			= RN.manureApplications["MILLET"];		-- number of times per year
	RN.myFieldCrops["MILLET"]["slurry"] 			= RN.slurryApplications["MILLET"];		-- number of times per year
	RN.myFieldCrops["MILLET"]["lime"] 				= RN.limeApplications["MILLET"];		-- number of times per year
	RN.myFieldCrops["MILLET"]["plow"]				= 1 * RN.isPlowing["MILLET"];			-- number of times per year
	RN.myFieldCrops["MILLET"]["subsoil"]			= 0 * RN.isPlowing["MILLET"];			-- number of times per year
	RN.myFieldCrops["MILLET"]["tineharrow"] 		= 1 * (1- RN.isDirectSeeding["MILLET"]);			-- number of times per year
	RN.myFieldCrops["MILLET"]["discharrow"] 		= 0 * (1- RN.isDirectSeeding["MILLET"]);			-- number of times per year
	RN.myFieldCrops["MILLET"]["powerharrow"] 		= 0 * (1- RN.isDirectSeeding["MILLET"]);			-- number of times per year
	RN.myFieldCrops["MILLET"]["seed"] 				= 1;			-- number of times per year
	RN.myFieldCrops["MILLET"]["plant"] 				= 0;			-- number of times per year
	RN.myFieldCrops["MILLET"]["potatoplant"] 		= 0;			-- number of times per year
	RN.myFieldCrops["MILLET"]["solidfertilizer"] 	= RN.solidFertApplications["MILLET"];	-- number of times per year
	RN.myFieldCrops["MILLET"]["liquidfertilizer"] 	= RN.liquidFertApplications["MILLET"];	-- number of times per year
	RN.myFieldCrops["MILLET"]["spraychemicals"] 	= RN.herbicideApplications["MILLET"];	-- number of times per year
	RN.myFieldCrops["MILLET"]["rolling"] 			= 1 * (1- RN.isDirectSeeding["MILLET"]);			-- number of times per year
	RN.myFieldCrops["MILLET"]["mechanicalweeding"] 	= 0;			-- number of times per year
	RN.myFieldCrops["MILLET"]["cerealharvest"] 		= 1;			-- number of times per year
	RN.myFieldCrops["MILLET"]["rowharvest"] 		= 0;			-- number of times per year
	RN.myFieldCrops["MILLET"]["beetharvest"] 		= 0;			-- number of times per year
	RN.myFieldCrops["MILLET"]["potatoharvest"] 		= 0;			-- number of times per year
	RN.myFieldCrops["MILLET"]["forageharvest"] 		= 0;			-- number of times per year
	RN.myFieldCrops["MILLET"]["mowing"] 			= 0;			-- number of times per year
	RN.myFieldCrops["MILLET"]["windrow"] 			= 0;			-- number of times per year
	RN.myFieldCrops["MILLET"]["tedding"] 			= 0;			-- number of times per year
	RN.myFieldCrops["MILLET"]["bale"] 				= 1;			-- number of times per year
	RN.myFieldCrops["MILLET"]["balewrap"] 			= 0;			-- number of times per year
	RN.myFieldCrops["MILLET"]["balecollect"] 		= 1;			-- number of times per year

	RN.myFieldCrops["OAT"] = {};
	RN.myFieldCrops["OAT"]["fields"]				= {};
	RN.myFieldCrops["OAT"]["myFieldArea"]			= {};
	RN.myFieldCrops["OAT"]["totalArea"] 			= 0;			-- ha, summing variable, do not change
	RN.myFieldCrops["OAT"]["fruitName"] 			= "OAT";
	RN.myFieldCrops["OAT"]["fields"] 				= {5};			-- field numbers with this crop f. ex. {3, 4, 5}
	RN.myFieldCrops["OAT"]["myFieldArea"] 			= {0};			-- hectare of each field, f. ex. {2.45, 3.20, 7.4}
	RN.myFieldCrops["OAT"]["manure"] 				= RN.manureApplications["OAT"];		-- number of times per year
	RN.myFieldCrops["OAT"]["slurry"] 				= RN.slurryApplications["OAT"];		-- number of times per year
	RN.myFieldCrops["OAT"]["lime"] 					= RN.limeApplications["OAT"];		-- number of times per year
	RN.myFieldCrops["OAT"]["plow"]					= 1 * RN.isPlowing["OAT"];			-- number of times per year
	RN.myFieldCrops["OAT"]["subsoil"]				= 0 * RN.isPlowing["OAT"];			-- number of times per year
	RN.myFieldCrops["OAT"]["tineharrow"] 			= 1 * (1- RN.isDirectSeeding["OAT"]);			-- number of times per year
	RN.myFieldCrops["OAT"]["discharrow"] 			= 0 * (1- RN.isDirectSeeding["OAT"]);			-- number of times per year
	RN.myFieldCrops["OAT"]["powerharrow"] 			= 0 * (1- RN.isDirectSeeding["OAT"]);			-- number of times per year
	RN.myFieldCrops["OAT"]["seed"] 					= 1;			-- number of times per year
	RN.myFieldCrops["OAT"]["plant"] 				= 0;			-- number of times per year
	RN.myFieldCrops["OAT"]["potatoplant"] 			= 0;			-- number of times per year
	RN.myFieldCrops["OAT"]["solidfertilizer"] 		= RN.solidFertApplications["OAT"];	-- number of times per year
	RN.myFieldCrops["OAT"]["liquidfertilizer"] 		= RN.liquidFertApplications["OAT"];	-- number of times per year
	RN.myFieldCrops["OAT"]["spraychemicals"] 		= RN.herbicideApplications["OAT"];	-- number of times per year
	RN.myFieldCrops["OAT"]["rolling"] 				= 1 * (1- RN.isDirectSeeding["OAT"]);			-- number of times per year
	RN.myFieldCrops["OAT"]["mechanicalweeding"] 	= 0;			-- number of times per year
	RN.myFieldCrops["OAT"]["cerealharvest"] 		= 1;			-- number of times per year
	RN.myFieldCrops["OAT"]["rowharvest"] 			= 0;			-- number of times per year
	RN.myFieldCrops["OAT"]["beetharvest"] 			= 0;			-- number of times per year
	RN.myFieldCrops["OAT"]["potatoharvest"] 		= 0;			-- number of times per year
	RN.myFieldCrops["OAT"]["forageharvest"] 		= 0;			-- number of times per year
	RN.myFieldCrops["OAT"]["mowing"] 				= 0;			-- number of times per year
	RN.myFieldCrops["OAT"]["windrow"] 				= 0;			-- number of times per year
	RN.myFieldCrops["OAT"]["tedding"] 				= 0;			-- number of times per year
	RN.myFieldCrops["OAT"]["bale"] 					= 1;			-- number of times per year
	RN.myFieldCrops["OAT"]["balewrap"] 				= 0;			-- number of times per year
	RN.myFieldCrops["OAT"]["balecollect"] 			= 1;			-- number of times per year

	RN.myFieldCrops["RYE"] = {};
	RN.myFieldCrops["RYE"]["fields"]				= {};
	RN.myFieldCrops["RYE"]["myFieldArea"]			= {};
	RN.myFieldCrops["RYE"]["totalArea"] 			= 0;			-- ha, summing variable, do not change
	RN.myFieldCrops["RYE"]["fruitName"] 			= "RYE";
	RN.myFieldCrops["RYE"]["fields"] 				= {5};			-- field numbers with this crop f. ex. {3, 4, 5}
	RN.myFieldCrops["RYE"]["myFieldArea"] 			= {0};			-- hectare of each field, f. ex. {2.45, 3.20, 7.4}
	RN.myFieldCrops["RYE"]["manure"] 				= RN.manureApplications["RYE"];		-- number of times per year
	RN.myFieldCrops["RYE"]["slurry"] 				= RN.slurryApplications["RYE"];		-- number of times per year
	RN.myFieldCrops["RYE"]["lime"] 					= RN.limeApplications["RYE"];		-- number of times per year
	RN.myFieldCrops["RYE"]["plow"]					= 1 * RN.isPlowing["RYE"];			-- number of times per year
	RN.myFieldCrops["RYE"]["subsoil"]				= 0 * RN.isPlowing["RYE"];			-- number of times per year
	RN.myFieldCrops["RYE"]["tineharrow"] 			= 1 * (1- RN.isDirectSeeding["RYE"]);			-- number of times per year
	RN.myFieldCrops["RYE"]["discharrow"] 			= 0 * (1- RN.isDirectSeeding["RYE"]);			-- number of times per year
	RN.myFieldCrops["RYE"]["powerharrow"] 			= 0 * (1- RN.isDirectSeeding["RYE"]);			-- number of times per year
	RN.myFieldCrops["RYE"]["seed"] 					= 1;			-- number of times per year
	RN.myFieldCrops["RYE"]["plant"] 				= 0;			-- number of times per year
	RN.myFieldCrops["RYE"]["potatoplant"] 			= 0;			-- number of times per year
	RN.myFieldCrops["RYE"]["solidfertilizer"] 		= RN.solidFertApplications["RYE"];	-- number of times per year
	RN.myFieldCrops["RYE"]["liquidfertilizer"] 		= RN.liquidFertApplications["RYE"];	-- number of times per year
	RN.myFieldCrops["RYE"]["spraychemicals"] 		= RN.herbicideApplications["RYE"];	-- number of times per year
	RN.myFieldCrops["RYE"]["rolling"] 				= 1 * (1- RN.isDirectSeeding["RYE"]);			-- number of times per year
	RN.myFieldCrops["RYE"]["mechanicalweeding"] 	= 0;			-- number of times per year
	RN.myFieldCrops["RYE"]["cerealharvest"] 		= 1;			-- number of times per year
	RN.myFieldCrops["RYE"]["rowharvest"] 			= 0;			-- number of times per year
	RN.myFieldCrops["RYE"]["beetharvest"] 			= 0;			-- number of times per year
	RN.myFieldCrops["RYE"]["potatoharvest"] 		= 0;			-- number of times per year
	RN.myFieldCrops["RYE"]["forageharvest"] 		= 0;			-- number of times per year
	RN.myFieldCrops["RYE"]["mowing"] 				= 0;			-- number of times per year
	RN.myFieldCrops["RYE"]["windrow"] 				= 0;			-- number of times per year
	RN.myFieldCrops["RYE"]["tedding"] 				= 0;			-- number of times per year
	RN.myFieldCrops["RYE"]["bale"] 					= 1;			-- number of times per year
	RN.myFieldCrops["RYE"]["balewrap"] 				= 0;			-- number of times per year
	RN.myFieldCrops["RYE"]["balecollect"] 			= 1;			-- number of times per year

	RN.myFieldCrops["SORGHUM"] = {};
	RN.myFieldCrops["SORGHUM"]["fields"]				= {};
	RN.myFieldCrops["SORGHUM"]["myFieldArea"]			= {};
	RN.myFieldCrops["SORGHUM"]["totalArea"] 			= 0;			-- ha, summing variable, do not change
	RN.myFieldCrops["SORGHUM"]["fruitName"] 			= "SORGHUM";
	RN.myFieldCrops["SORGHUM"]["fields"] 				= {5};			-- field numbers with this crop f. ex. {3, 4, 5}
	RN.myFieldCrops["SORGHUM"]["myFieldArea"] 			= {0};			-- hectare of each field, f. ex. {2.45, 3.20, 7.4}
	RN.myFieldCrops["SORGHUM"]["manure"] 				= RN.manureApplications["SORGHUM"];		-- number of times per year
	RN.myFieldCrops["SORGHUM"]["slurry"] 				= RN.slurryApplications["SORGHUM"];		-- number of times per year
	RN.myFieldCrops["SORGHUM"]["lime"] 					= RN.limeApplications["SORGHUM"];		-- number of times per year
	RN.myFieldCrops["SORGHUM"]["plow"]					= 1 * RN.isPlowing["SORGHUM"];			-- number of times per year
	RN.myFieldCrops["SORGHUM"]["subsoil"]				= 0 * RN.isPlowing["SORGHUM"];			-- number of times per year
	RN.myFieldCrops["SORGHUM"]["tineharrow"] 			= 1 * (1- RN.isDirectSeeding["SORGHUM"]);			-- number of times per year
	RN.myFieldCrops["SORGHUM"]["discharrow"] 			= 0 * (1- RN.isDirectSeeding["SORGHUM"]);			-- number of times per year
	RN.myFieldCrops["SORGHUM"]["powerharrow"] 			= 0 * (1- RN.isDirectSeeding["SORGHUM"]);			-- number of times per year
	RN.myFieldCrops["SORGHUM"]["seed"] 					= 1;			-- number of times per year
	RN.myFieldCrops["SORGHUM"]["plant"] 				= 0;			-- number of times per year
	RN.myFieldCrops["SORGHUM"]["potatoplant"] 			= 0;			-- number of times per year
	RN.myFieldCrops["SORGHUM"]["solidfertilizer"] 		= RN.solidFertApplications["SORGHUM"];	-- number of times per year
	RN.myFieldCrops["SORGHUM"]["liquidfertilizer"] 		= RN.liquidFertApplications["SORGHUM"];	-- number of times per year
	RN.myFieldCrops["SORGHUM"]["spraychemicals"] 		= RN.herbicideApplications["SORGHUM"];	-- number of times per year
	RN.myFieldCrops["SORGHUM"]["rolling"] 				= 1 * (1- RN.isDirectSeeding["SORGHUM"]);			-- number of times per year
	RN.myFieldCrops["SORGHUM"]["mechanicalweeding"] 	= 0;			-- number of times per year
	RN.myFieldCrops["SORGHUM"]["cerealharvest"] 		= 1;			-- number of times per year
	RN.myFieldCrops["SORGHUM"]["rowharvest"] 			= 0;			-- number of times per year
	RN.myFieldCrops["SORGHUM"]["beetharvest"] 			= 0;			-- number of times per year
	RN.myFieldCrops["SORGHUM"]["potatoharvest"] 		= 0;			-- number of times per year
	RN.myFieldCrops["SORGHUM"]["forageharvest"] 		= 0;			-- number of times per year
	RN.myFieldCrops["SORGHUM"]["mowing"] 				= 0;			-- number of times per year
	RN.myFieldCrops["SORGHUM"]["windrow"] 				= 0;			-- number of times per year
	RN.myFieldCrops["SORGHUM"]["tedding"] 				= 0;			-- number of times per year
	RN.myFieldCrops["SORGHUM"]["bale"] 					= 1;			-- number of times per year
	RN.myFieldCrops["SORGHUM"]["balewrap"] 				= 0;			-- number of times per year
	RN.myFieldCrops["SORGHUM"]["balecollect"] 			= 1;			-- number of times per year

	RN.myFieldCrops["SPELT"] = {};
	RN.myFieldCrops["SPELT"]["fields"]					= {};
	RN.myFieldCrops["SPELT"]["myFieldArea"]				= {};
	RN.myFieldCrops["SPELT"]["totalArea"] 				= 0;			-- ha, summing variable, do not change
	RN.myFieldCrops["SPELT"]["fruitName"] 				= "SPELT";
	RN.myFieldCrops["SPELT"]["fields"] 					= {5};			-- field numbers with this crop f. ex. {3, 4, 5}
	RN.myFieldCrops["SPELT"]["myFieldArea"] 			= {0};			-- hectare of each field, f. ex. {2.45, 3.20, 7.4}
	RN.myFieldCrops["SPELT"]["manure"] 					= RN.manureApplications["SPELT"];		-- number of times per year
	RN.myFieldCrops["SPELT"]["slurry"] 					= RN.slurryApplications["SPELT"];		-- number of times per year
	RN.myFieldCrops["SPELT"]["lime"] 					= RN.limeApplications["SPELT"];		-- number of times per year
	RN.myFieldCrops["SPELT"]["plow"]					= 1 * RN.isPlowing["SPELT"];			-- number of times per year
	RN.myFieldCrops["SPELT"]["subsoil"]					= 0 * RN.isPlowing["SPELT"];			-- number of times per year
	RN.myFieldCrops["SPELT"]["tineharrow"] 				= 1 * (1- RN.isDirectSeeding["SPELT"]);			-- number of times per year
	RN.myFieldCrops["SPELT"]["discharrow"] 				= 0 * (1- RN.isDirectSeeding["SPELT"]);			-- number of times per year
	RN.myFieldCrops["SPELT"]["powerharrow"] 			= 0 * (1- RN.isDirectSeeding["SPELT"]);			-- number of times per year
	RN.myFieldCrops["SPELT"]["seed"] 					= 1;			-- number of times per year
	RN.myFieldCrops["SPELT"]["plant"] 					= 0;			-- number of times per year
	RN.myFieldCrops["SPELT"]["potatoplant"] 			= 0;			-- number of times per year
	RN.myFieldCrops["SPELT"]["solidfertilizer"] 		= RN.solidFertApplications["SPELT"];	-- number of times per year
	RN.myFieldCrops["SPELT"]["liquidfertilizer"] 		= RN.liquidFertApplications["SPELT"];	-- number of times per year
	RN.myFieldCrops["SPELT"]["spraychemicals"] 			= RN.herbicideApplications["SPELT"];	-- number of times per year
	RN.myFieldCrops["SPELT"]["rolling"] 				= 1 * (1- RN.isDirectSeeding["SPELT"]);			-- number of times per year
	RN.myFieldCrops["SPELT"]["mechanicalweeding"] 		= 0;			-- number of times per year
	RN.myFieldCrops["SPELT"]["cerealharvest"] 			= 1;			-- number of times per year
	RN.myFieldCrops["SPELT"]["rowharvest"] 				= 0;			-- number of times per year
	RN.myFieldCrops["SPELT"]["beetharvest"] 			= 0;			-- number of times per year
	RN.myFieldCrops["SPELT"]["potatoharvest"] 			= 0;			-- number of times per year
	RN.myFieldCrops["SPELT"]["forageharvest"] 			= 0;			-- number of times per year
	RN.myFieldCrops["SPELT"]["mowing"] 					= 0;			-- number of times per year
	RN.myFieldCrops["SPELT"]["windrow"] 				= 0;			-- number of times per year
	RN.myFieldCrops["SPELT"]["tedding"] 				= 0;			-- number of times per year
	RN.myFieldCrops["SPELT"]["bale"] 					= 1;			-- number of times per year
	RN.myFieldCrops["SPELT"]["balewrap"] 				= 0;			-- number of times per year
	RN.myFieldCrops["SPELT"]["balecollect"] 			= 1;			-- number of times per year

	RN.myFieldCrops["TRITICALE"] = {};
	RN.myFieldCrops["TRITICALE"]["fields"]				= {};
	RN.myFieldCrops["TRITICALE"]["myFieldArea"]			= {};
	RN.myFieldCrops["TRITICALE"]["totalArea"] 			= 0;			-- ha, summing variable, do not change
	RN.myFieldCrops["TRITICALE"]["fruitName"] 			= "TRITICALE";
	RN.myFieldCrops["TRITICALE"]["fields"] 				= {5};			-- field numbers with this crop f. ex. {3, 4, 5}
	RN.myFieldCrops["TRITICALE"]["myFieldArea"] 		= {0};			-- hectare of each field, f. ex. {2.45, 3.20, 7.4}
	RN.myFieldCrops["TRITICALE"]["manure"] 				= RN.manureApplications["TRITICALE"];		-- number of times per year
	RN.myFieldCrops["TRITICALE"]["slurry"] 				= RN.slurryApplications["TRITICALE"];		-- number of times per year
	RN.myFieldCrops["TRITICALE"]["lime"] 				= RN.limeApplications["TRITICALE"];		-- number of times per year
	RN.myFieldCrops["TRITICALE"]["plow"]				= 1 * RN.isPlowing["TRITICALE"];			-- number of times per year
	RN.myFieldCrops["TRITICALE"]["subsoil"]				= 0 * RN.isPlowing["TRITICALE"];			-- number of times per year
	RN.myFieldCrops["TRITICALE"]["tineharrow"] 			= 1 * (1- RN.isDirectSeeding["TRITICALE"]);			-- number of times per year
	RN.myFieldCrops["TRITICALE"]["discharrow"] 			= 0 * (1- RN.isDirectSeeding["TRITICALE"]);			-- number of times per year
	RN.myFieldCrops["TRITICALE"]["powerharrow"] 		= 0 * (1- RN.isDirectSeeding["TRITICALE"]);			-- number of times per year
	RN.myFieldCrops["TRITICALE"]["seed"] 				= 1;			-- number of times per year
	RN.myFieldCrops["TRITICALE"]["plant"] 				= 0;			-- number of times per year
	RN.myFieldCrops["TRITICALE"]["potatoplant"] 		= 0;			-- number of times per year
	RN.myFieldCrops["TRITICALE"]["solidfertilizer"] 	= RN.solidFertApplications["TRITICALE"];	-- number of times per year
	RN.myFieldCrops["TRITICALE"]["liquidfertilizer"] 	= RN.liquidFertApplications["TRITICALE"];	-- number of times per year
	RN.myFieldCrops["TRITICALE"]["spraychemicals"] 		= RN.herbicideApplications["TRITICALE"];	-- number of times per year
	RN.myFieldCrops["TRITICALE"]["rolling"] 			= 1 * (1- RN.isDirectSeeding["TRITICALE"]);			-- number of times per year
	RN.myFieldCrops["TRITICALE"]["mechanicalweeding"] 	= 0;			-- number of times per year
	RN.myFieldCrops["TRITICALE"]["cerealharvest"] 		= 1;			-- number of times per year
	RN.myFieldCrops["TRITICALE"]["rowharvest"] 			= 0;			-- number of times per year
	RN.myFieldCrops["TRITICALE"]["beetharvest"] 		= 0;			-- number of times per year
	RN.myFieldCrops["TRITICALE"]["potatoharvest"] 		= 0;			-- number of times per year
	RN.myFieldCrops["TRITICALE"]["forageharvest"] 		= 0;			-- number of times per year
	RN.myFieldCrops["TRITICALE"]["mowing"] 				= 0;			-- number of times per year
	RN.myFieldCrops["TRITICALE"]["windrow"] 			= 0;			-- number of times per year
	RN.myFieldCrops["TRITICALE"]["tedding"] 			= 0;			-- number of times per year
	RN.myFieldCrops["TRITICALE"]["bale"] 				= 1;			-- number of times per year
	RN.myFieldCrops["TRITICALE"]["balewrap"] 			= 0;			-- number of times per year
	RN.myFieldCrops["TRITICALE"]["balecollect"] 		= 1;			-- number of times per year

	RN.myFieldCrops["WHEAT"] = {};
	RN.myFieldCrops["WHEAT"]["fields"]					= {};
	RN.myFieldCrops["WHEAT"]["myFieldArea"]				= {};
	RN.myFieldCrops["WHEAT"]["totalArea"] 				= 0;			-- ha, summing variable, do not change
	RN.myFieldCrops["WHEAT"]["fruitName"] 				= "WHEAT";
	RN.myFieldCrops["WHEAT"]["fields"] 					= {10, 11};			-- field numbers with this crop f. ex. {3, 4, 5}
	RN.myFieldCrops["WHEAT"]["myFieldArea"] 			= {5.9, 3.2};		-- hectare of each field, f. ex. {2.45, 3.20, 7.4}
	RN.myFieldCrops["WHEAT"]["manure"] 					= RN.manureApplications["WHEAT"];		-- number of times per year
	RN.myFieldCrops["WHEAT"]["slurry"] 					= RN.slurryApplications["WHEAT"];		-- number of times per year
	RN.myFieldCrops["WHEAT"]["lime"] 					= RN.limeApplications["WHEAT"];		-- number of times per year
	RN.myFieldCrops["WHEAT"]["plow"]					= 1 * RN.isPlowing["WHEAT"];			-- number of times per year
	RN.myFieldCrops["WHEAT"]["subsoil"]					= 0 * RN.isPlowing["WHEAT"];			-- number of times per year
	RN.myFieldCrops["WHEAT"]["tineharrow"] 				= 1 * (1- RN.isDirectSeeding["WHEAT"]);			-- number of times per year
	RN.myFieldCrops["WHEAT"]["discharrow"] 				= 0 * (1- RN.isDirectSeeding["WHEAT"]);			-- number of times per year
	RN.myFieldCrops["WHEAT"]["powerharrow"] 			= 0 * (1- RN.isDirectSeeding["WHEAT"]);			-- number of times per year
	RN.myFieldCrops["WHEAT"]["seed"] 					= 1;			-- number of times per year
	RN.myFieldCrops["WHEAT"]["plant"] 					= 0;			-- number of times per year
	RN.myFieldCrops["WHEAT"]["potatoplant"] 			= 0;			-- number of times per year
	RN.myFieldCrops["WHEAT"]["solidfertilizer"] 		= RN.solidFertApplications["WHEAT"];	-- number of times per year
	RN.myFieldCrops["WHEAT"]["liquidfertilizer"] 		= RN.liquidFertApplications["WHEAT"];	-- number of times per year
	RN.myFieldCrops["WHEAT"]["spraychemicals"] 			= RN.herbicideApplications["WHEAT"];	-- number of times per year
	RN.myFieldCrops["WHEAT"]["rolling"] 				= 1 * (1- RN.isDirectSeeding["WHEAT"]);			-- number of times per year
	RN.myFieldCrops["WHEAT"]["mechanicalweeding"] 		= 0;			-- number of times per year
	RN.myFieldCrops["WHEAT"]["cerealharvest"] 			= 1;			-- number of times per year
	RN.myFieldCrops["WHEAT"]["rowharvest"] 				= 0;			-- number of times per year
	RN.myFieldCrops["WHEAT"]["beetharvest"] 			= 0;			-- number of times per year
	RN.myFieldCrops["WHEAT"]["potatoharvest"] 			= 0;			-- number of times per year
	RN.myFieldCrops["WHEAT"]["forageharvest"] 			= 0;			-- number of times per year
	RN.myFieldCrops["WHEAT"]["mowing"] 					= 0;			-- number of times per year
	RN.myFieldCrops["WHEAT"]["windrow"] 				= 0;			-- number of times per year
	RN.myFieldCrops["WHEAT"]["tedding"] 				= 0;			-- number of times per year
	RN.myFieldCrops["WHEAT"]["bale"] 					= 1;			-- number of times per year
	RN.myFieldCrops["WHEAT"]["balewrap"] 				= 0;			-- number of times per year
	RN.myFieldCrops["WHEAT"]["balecollect"] 			= 1;			-- number of times per year

--	"CANOLA MAIZE SOYBEAN SUNFLOWER"

	RN.myFieldCrops["CANOLA"] = {};
	RN.myFieldCrops["CANOLA"]["fields"]					= {};
	RN.myFieldCrops["CANOLA"]["myFieldArea"]			= {};
	RN.myFieldCrops["CANOLA"]["totalArea"] 				= 0;			-- ha, summing variable, do not change
	RN.myFieldCrops["CANOLA"]["fruitName"] 				= "CANOLA";
	RN.myFieldCrops["CANOLA"]["fields"] 				= {12, 18, 26};			-- field numbers with this crop f. ex. {3, 4, 5}
	RN.myFieldCrops["CANOLA"]["myFieldArea"] 			= {6.5, 2.9, 2.5};			-- hectare of each field, f. ex. {2.45, 3.20, 7.4}
	RN.myFieldCrops["CANOLA"]["manure"] 				= RN.manureApplications["CANOLA"];		-- number of times per year
	RN.myFieldCrops["CANOLA"]["slurry"] 				= RN.slurryApplications["CANOLA"];		-- number of times per year
	RN.myFieldCrops["CANOLA"]["lime"] 					= RN.limeApplications["CANOLA"];		-- number of times per year
	RN.myFieldCrops["CANOLA"]["plow"]					= 1 * RN.isPlowing["CANOLA"];			-- number of times per year
	RN.myFieldCrops["CANOLA"]["subsoil"]				= 0 * RN.isPlowing["CANOLA"];			-- number of times per year
	RN.myFieldCrops["CANOLA"]["tineharrow"] 			= 1 * (1- RN.isDirectSeeding["CANOLA"]);			-- number of times per year
	RN.myFieldCrops["CANOLA"]["discharrow"] 			= 0 * (1- RN.isDirectSeeding["CANOLA"]);			-- number of times per year
	RN.myFieldCrops["CANOLA"]["powerharrow"] 			= 0 * (1- RN.isDirectSeeding["CANOLA"]);			-- number of times per year
	RN.myFieldCrops["CANOLA"]["seed"] 					= 1;			-- number of times per year
	RN.myFieldCrops["CANOLA"]["plant"] 					= 0;			-- number of times per year
	RN.myFieldCrops["CANOLA"]["potatoplant"] 			= 0;			-- number of times per year
	RN.myFieldCrops["CANOLA"]["solidfertilizer"] 		= RN.solidFertApplications["CANOLA"];	-- number of times per year
	RN.myFieldCrops["CANOLA"]["liquidfertilizer"] 		= RN.liquidFertApplications["CANOLA"];	-- number of times per year
	RN.myFieldCrops["CANOLA"]["spraychemicals"] 		= RN.herbicideApplications["CANOLA"];	-- number of times per year
	RN.myFieldCrops["CANOLA"]["rolling"] 				= 1 * (1- RN.isDirectSeeding["CANOLA"]);			-- number of times per year
	RN.myFieldCrops["CANOLA"]["mechanicalweeding"] 		= 0;			-- number of times per year
	RN.myFieldCrops["CANOLA"]["cerealharvest"] 			= 1;			-- number of times per year
	RN.myFieldCrops["CANOLA"]["rowharvest"] 			= 0;			-- number of times per year
	RN.myFieldCrops["CANOLA"]["beetharvest"] 			= 0;			-- number of times per year
	RN.myFieldCrops["CANOLA"]["potatoharvest"] 			= 0;			-- number of times per year
	RN.myFieldCrops["CANOLA"]["forageharvest"] 			= 0;			-- number of times per year
	RN.myFieldCrops["CANOLA"]["mowing"] 				= 0;			-- number of times per year
	RN.myFieldCrops["CANOLA"]["windrow"] 				= 0;			-- number of times per year
	RN.myFieldCrops["CANOLA"]["tedding"] 				= 0;			-- number of times per year
	RN.myFieldCrops["CANOLA"]["bale"] 					= 0;			-- number of times per year
	RN.myFieldCrops["CANOLA"]["balewrap"] 				= 0;			-- number of times per year
	RN.myFieldCrops["CANOLA"]["balecollect"] 			= 0;			-- number of times per year

	RN.myFieldCrops["MAIZE"] = {};
	RN.myFieldCrops["MAIZE"]["fields"]					= {};
	RN.myFieldCrops["MAIZE"]["myFieldArea"]				= {};
	RN.myFieldCrops["MAIZE"]["totalArea"] 				= 0;			-- ha, summing variable, do not change
	RN.myFieldCrops["MAIZE"]["fruitName"] 				= "MAIZE";
	RN.myFieldCrops["MAIZE"]["fields"] 					= {5};		-- field numbers with this crop f. ex. {3, 4, 5}
	RN.myFieldCrops["MAIZE"]["myFieldArea"] 			= {0};	-- hectare of each field, f. ex. {2.45, 3.20, 7.4}
	RN.myFieldCrops["MAIZE"]["manure"] 					= RN.manureApplications["MAIZE"];		-- number of times per year
	RN.myFieldCrops["MAIZE"]["slurry"] 					= RN.slurryApplications["MAIZE"];		-- number of times per year
	RN.myFieldCrops["MAIZE"]["lime"] 					= RN.limeApplications["MAIZE"];		-- number of times per year
	RN.myFieldCrops["MAIZE"]["plow"]					= 1 * RN.isPlowing["MAIZE"];			-- number of times per year
	RN.myFieldCrops["MAIZE"]["subsoil"]					= 0 * RN.isPlowing["MAIZE"];			-- number of times per year
	RN.myFieldCrops["MAIZE"]["tineharrow"] 				= 1 * (1- RN.isDirectSeeding["MAIZE"]);			-- number of times per year
	RN.myFieldCrops["MAIZE"]["discharrow"] 				= 0 * (1- RN.isDirectSeeding["MAIZE"]);			-- number of times per year
	RN.myFieldCrops["MAIZE"]["powerharrow"] 			= 0 * (1- RN.isDirectSeeding["MAIZE"]);			-- number of times per year
	RN.myFieldCrops["MAIZE"]["seed"] 					= 0;			-- number of times per year
	RN.myFieldCrops["MAIZE"]["plant"] 					= 1;			-- number of times per year
	RN.myFieldCrops["MAIZE"]["potatoplant"] 			= 0;			-- number of times per year
	RN.myFieldCrops["MAIZE"]["solidfertilizer"] 		= RN.solidFertApplications["MAIZE"];	-- number of times per year
	RN.myFieldCrops["MAIZE"]["liquidfertilizer"] 		= RN.liquidFertApplications["MAIZE"];	-- number of times per year
	RN.myFieldCrops["MAIZE"]["spraychemicals"] 			= RN.herbicideApplications["MAIZE"];	-- number of times per year
	RN.myFieldCrops["MAIZE"]["rolling"] 				= 1 * (1- RN.isDirectSeeding["MAIZE"]);			-- number of times per year
	RN.myFieldCrops["MAIZE"]["mechanicalweeding"] 		= 0;			-- number of times per year
	RN.myFieldCrops["MAIZE"]["cerealharvest"] 			= 0;			-- number of times per year
	RN.myFieldCrops["MAIZE"]["rowharvest"] 				= 1;			-- number of times per year
	RN.myFieldCrops["MAIZE"]["beetharvest"] 			= 0;			-- number of times per year
	RN.myFieldCrops["MAIZE"]["potatoharvest"] 			= 0;			-- number of times per year
	RN.myFieldCrops["MAIZE"]["forageharvest"] 			= 0;			-- number of times per year
	RN.myFieldCrops["MAIZE"]["mowing"] 					= 0;			-- number of times per year
	RN.myFieldCrops["MAIZE"]["windrow"] 				= 0;			-- number of times per year
	RN.myFieldCrops["MAIZE"]["tedding"] 				= 0;			-- number of times per year
	RN.myFieldCrops["MAIZE"]["bale"] 					= 0;			-- number of times per year
	RN.myFieldCrops["MAIZE"]["balewrap"] 				= 0;			-- number of times per year
	RN.myFieldCrops["MAIZE"]["balecollect"] 			= 0;			-- number of times per year

	RN.myFieldCrops["SOYBEAN"] = {};
	RN.myFieldCrops["SOYBEAN"]["fields"]				= {};
	RN.myFieldCrops["SOYBEAN"]["myFieldArea"]			= {};
	RN.myFieldCrops["SOYBEAN"]["totalArea"] 			= 0;			-- ha, summing variable, do not change
	RN.myFieldCrops["SOYBEAN"]["fruitName"] 			= "SOYBEAN";
	RN.myFieldCrops["SOYBEAN"]["fields"] 				= {5};			-- field numbers with this crop f. ex. {3, 4, 5}
	RN.myFieldCrops["SOYBEAN"]["myFieldArea"] 			= {0};			-- hectare of each field, f. ex. {2.45, 3.20, 7.4}
	RN.myFieldCrops["SOYBEAN"]["manure"] 				= RN.manureApplications["SOYBEAN"];		-- number of times per year
	RN.myFieldCrops["SOYBEAN"]["slurry"] 				= RN.slurryApplications["SOYBEAN"];		-- number of times per year
	RN.myFieldCrops["SOYBEAN"]["lime"] 					= RN.limeApplications["SOYBEAN"];		-- number of times per year
	RN.myFieldCrops["SOYBEAN"]["plow"]					= 1 * RN.isPlowing["SOYBEAN"];			-- number of times per year
	RN.myFieldCrops["SOYBEAN"]["subsoil"]				= 0 * RN.isPlowing["SOYBEAN"];			-- number of times per year
	RN.myFieldCrops["SOYBEAN"]["tineharrow"] 			= 1 * (1- RN.isDirectSeeding["SOYBEAN"]);			-- number of times per year
	RN.myFieldCrops["SOYBEAN"]["discharrow"] 			= 0 * (1- RN.isDirectSeeding["SOYBEAN"]);			-- number of times per year
	RN.myFieldCrops["SOYBEAN"]["powerharrow"] 			= 0 * (1- RN.isDirectSeeding["SOYBEAN"]);			-- number of times per year
	RN.myFieldCrops["SOYBEAN"]["seed"] 					= 1;			-- number of times per year
	RN.myFieldCrops["SOYBEAN"]["plant"] 				= 0;			-- number of times per year
	RN.myFieldCrops["SOYBEAN"]["potatoplant"] 			= 0;			-- number of times per year
	RN.myFieldCrops["SOYBEAN"]["solidfertilizer"] 		= RN.solidFertApplications["SOYBEAN"];	-- number of times per year
	RN.myFieldCrops["SOYBEAN"]["liquidfertilizer"] 		= RN.liquidFertApplications["SOYBEAN"];	-- number of times per year
	RN.myFieldCrops["SOYBEAN"]["spraychemicals"] 		= RN.herbicideApplications["SOYBEAN"];	-- number of times per year
	RN.myFieldCrops["SOYBEAN"]["rolling"] 				= 1 * (1- RN.isDirectSeeding["SOYBEAN"]);			-- number of times per year
	RN.myFieldCrops["SOYBEAN"]["mechanicalweeding"] 	= 0;			-- number of times per year
	RN.myFieldCrops["SOYBEAN"]["cerealharvest"] 		= 1;			-- number of times per year
	RN.myFieldCrops["SOYBEAN"]["rowharvest"] 			= 0;			-- number of times per year
	RN.myFieldCrops["SOYBEAN"]["beetharvest"] 			= 0;			-- number of times per year
	RN.myFieldCrops["SOYBEAN"]["potatoharvest"] 		= 0;			-- number of times per year
	RN.myFieldCrops["SOYBEAN"]["forageharvest"] 		= 0;			-- number of times per year
	RN.myFieldCrops["SOYBEAN"]["mowing"] 				= 0;			-- number of times per year
	RN.myFieldCrops["SOYBEAN"]["windrow"] 				= 0;			-- number of times per year
	RN.myFieldCrops["SOYBEAN"]["tedding"] 				= 0;			-- number of times per year
	RN.myFieldCrops["SOYBEAN"]["bale"] 					= 0;			-- number of times per year
	RN.myFieldCrops["SOYBEAN"]["balewrap"] 				= 0;			-- number of times per year
	RN.myFieldCrops["SOYBEAN"]["balecollect"] 			= 0;			-- number of times per year

	RN.myFieldCrops["SUNFLOWER"] = {};
	RN.myFieldCrops["SUNFLOWER"]["fields"]				= {};
	RN.myFieldCrops["SUNFLOWER"]["myFieldArea"]			= {};
	RN.myFieldCrops["SUNFLOWER"]["totalArea"] 			= 0;			-- ha, summing variable, do not change
	RN.myFieldCrops["SUNFLOWER"]["fruitName"] 			= "SUNFLOWER";
	RN.myFieldCrops["SUNFLOWER"]["fields"] 				= {5};			-- field numbers with this crop f. ex. {3, 4, 5}
	RN.myFieldCrops["SUNFLOWER"]["myFieldArea"] 		= {0};			-- hectare of each field, f. ex. {2.45, 3.20, 7.4}
	RN.myFieldCrops["SUNFLOWER"]["manure"] 				= RN.manureApplications["SUNFLOWER"];		-- number of times per year
	RN.myFieldCrops["SUNFLOWER"]["slurry"] 				= RN.slurryApplications["SUNFLOWER"];		-- number of times per year
	RN.myFieldCrops["SUNFLOWER"]["lime"] 				= RN.limeApplications["SUNFLOWER"];		-- number of times per year
	RN.myFieldCrops["SUNFLOWER"]["plow"]				= 1 * RN.isPlowing["SUNFLOWER"];			-- number of times per year
	RN.myFieldCrops["SUNFLOWER"]["subsoil"]				= 0 * RN.isPlowing["SUNFLOWER"];			-- number of times per year
	RN.myFieldCrops["SUNFLOWER"]["tineharrow"] 			= 1 * (1- RN.isDirectSeeding["SUNFLOWER"]);			-- number of times per year
	RN.myFieldCrops["SUNFLOWER"]["discharrow"] 			= 0 * (1- RN.isDirectSeeding["SUNFLOWER"]);			-- number of times per year
	RN.myFieldCrops["SUNFLOWER"]["powerharrow"] 		= 0 * (1- RN.isDirectSeeding["SUNFLOWER"]);			-- number of times per year
	RN.myFieldCrops["SUNFLOWER"]["seed"] 				= 0;			-- number of times per year
	RN.myFieldCrops["SUNFLOWER"]["plant"] 				= 1;			-- number of times per year
	RN.myFieldCrops["SUNFLOWER"]["potatoplant"] 		= 0;			-- number of times per year
	RN.myFieldCrops["SUNFLOWER"]["solidfertilizer"] 	= RN.solidFertApplications["SUNFLOWER"];	-- number of times per year
	RN.myFieldCrops["SUNFLOWER"]["liquidfertilizer"] 	= RN.liquidFertApplications["SUNFLOWER"];	-- number of times per year
	RN.myFieldCrops["SUNFLOWER"]["spraychemicals"] 		= RN.herbicideApplications["SUNFLOWER"];	-- number of times per year
	RN.myFieldCrops["SUNFLOWER"]["rolling"] 			= 1 * (1- RN.isDirectSeeding["SUNFLOWER"]);			-- number of times per year
	RN.myFieldCrops["SUNFLOWER"]["mechanicalweeding"] 	= 0;			-- number of times per year
	RN.myFieldCrops["SUNFLOWER"]["cerealharvest"] 		= 0;			-- number of times per year
	RN.myFieldCrops["SUNFLOWER"]["rowharvest"] 			= 1;			-- number of times per year
	RN.myFieldCrops["SUNFLOWER"]["beetharvest"] 		= 0;			-- number of times per year
	RN.myFieldCrops["SUNFLOWER"]["potatoharvest"] 		= 0;			-- number of times per year
	RN.myFieldCrops["SUNFLOWER"]["forageharvest"] 		= 0;			-- number of times per year
	RN.myFieldCrops["SUNFLOWER"]["mowing"] 				= 0;			-- number of times per year
	RN.myFieldCrops["SUNFLOWER"]["windrow"] 			= 0;			-- number of times per year
	RN.myFieldCrops["SUNFLOWER"]["tedding"] 			= 0;			-- number of times per year
	RN.myFieldCrops["SUNFLOWER"]["bale"] 				= 0;			-- number of times per year
	RN.myFieldCrops["SUNFLOWER"]["balewrap"] 			= 0;			-- number of times per year
	RN.myFieldCrops["SUNFLOWER"]["balecollect"] 		= 0;			-- number of times per year

--  vegetableCrops = "BEAN BEANS BLACKBEANS CABBAGE CARROT LETTUCE ONION PEAS POTATO REDCABBAGE SUGARBEET WHITECABBAGE";

	RN.myFieldCrops["BEAN"] = {};
	RN.myFieldCrops["BEAN"]["fields"]					= {};
	RN.myFieldCrops["BEAN"]["myFieldArea"]				= {};
	RN.myFieldCrops["BEAN"]["totalArea"] 				= 0;			-- ha, summing variable, do not change
	RN.myFieldCrops["BEAN"]["fruitName"] 				= "BEAN";
	RN.myFieldCrops["BEAN"]["fields"] 					= {5};			-- field numbers with this crop f. ex. {3, 4, 5}
	RN.myFieldCrops["BEAN"]["myFieldArea"] 				= {0};			-- hectare of each field, f. ex. {2.45, 3.20, 7.4}
	RN.myFieldCrops["BEAN"]["manure"] 					= RN.manureApplications["BEAN"];		-- number of times per year
	RN.myFieldCrops["BEAN"]["slurry"] 					= RN.slurryApplications["BEAN"];		-- number of times per year
	RN.myFieldCrops["BEAN"]["lime"] 					= RN.limeApplications["BEAN"];		-- number of times per year
	RN.myFieldCrops["BEAN"]["plow"]						= 1 * RN.isPlowing["BEAN"];			-- number of times per year
	RN.myFieldCrops["BEAN"]["subsoil"]					= 0 * RN.isPlowing["BEAN"];			-- number of times per year
	RN.myFieldCrops["BEAN"]["tineharrow"] 				= 1 * (1- RN.isDirectSeeding["BEAN"]);			-- number of times per year
	RN.myFieldCrops["BEAN"]["discharrow"] 				= 0 * (1- RN.isDirectSeeding["BEAN"]);			-- number of times per year
	RN.myFieldCrops["BEAN"]["powerharrow"] 				= 0 * (1- RN.isDirectSeeding["BEAN"]);			-- number of times per year
	RN.myFieldCrops["BEAN"]["seed"] 					= 0;			-- number of times per year
	RN.myFieldCrops["BEAN"]["plant"] 					= 1;			-- number of times per year
	RN.myFieldCrops["BEAN"]["potatoplant"] 				= 0;			-- number of times per year
	RN.myFieldCrops["BEAN"]["solidfertilizer"] 			= RN.solidFertApplications["BEAN"];	-- number of times per year
	RN.myFieldCrops["BEAN"]["liquidfertilizer"] 		= RN.liquidFertApplications["BEAN"];	-- number of times per year
	RN.myFieldCrops["BEAN"]["spraychemicals"] 			= RN.herbicideApplications["BEAN"];	-- number of times per year
	RN.myFieldCrops["BEAN"]["rolling"] 					= 1 * (1- RN.isDirectSeeding["BEAN"]);			-- number of times per year
	RN.myFieldCrops["BEAN"]["mechanicalweeding"] 		= 0;			-- number of times per year
	RN.myFieldCrops["BEAN"]["cerealharvest"] 			= 0;			-- number of times per year
	RN.myFieldCrops["BEAN"]["rowharvest"] 				= 1;			-- number of times per year
	RN.myFieldCrops["BEAN"]["beetharvest"] 				= 0;			-- number of times per year
	RN.myFieldCrops["BEAN"]["potatoharvest"] 			= 0;			-- number of times per year
	RN.myFieldCrops["BEAN"]["forageharvest"] 			= 0;			-- number of times per year
	RN.myFieldCrops["BEAN"]["mowing"] 					= 0;			-- number of times per year
	RN.myFieldCrops["BEAN"]["windrow"] 					= 0;			-- number of times per year
	RN.myFieldCrops["BEAN"]["tedding"] 					= 0;			-- number of times per year
	RN.myFieldCrops["BEAN"]["bale"] 					= 0;			-- number of times per year
	RN.myFieldCrops["BEAN"]["balewrap"] 				= 0;			-- number of times per year
	RN.myFieldCrops["BEAN"]["balecollect"] 				= 0;			-- number of times per year

	RN.myFieldCrops["BEANS"] = {};
	RN.myFieldCrops["BEANS"]["fields"]					= {};
	RN.myFieldCrops["BEANS"]["myFieldArea"]				= {};
	RN.myFieldCrops["BEANS"]["totalArea"] 				= 0;			-- ha, summing variable, do not change
	RN.myFieldCrops["BEANS"]["fruitName"] 				= "BEANS";
	RN.myFieldCrops["BEANS"]["fields"] 					= {5};			-- field numbers with this crop f. ex. {3, 4, 5}
	RN.myFieldCrops["BEANS"]["myFieldArea"] 			= {0};			-- hectare of each field, f. ex. {2.45, 3.20, 7.4}
	RN.myFieldCrops["BEANS"]["manure"] 					= RN.manureApplications["BEANS"];		-- number of times per year
	RN.myFieldCrops["BEANS"]["slurry"] 					= RN.slurryApplications["BEANS"];		-- number of times per year
	RN.myFieldCrops["BEANS"]["lime"] 					= RN.limeApplications["BEANS"];		-- number of times per year
	RN.myFieldCrops["BEANS"]["plow"]					= 1 * RN.isPlowing["BEANS"];			-- number of times per year
	RN.myFieldCrops["BEANS"]["subsoil"]					= 0 * RN.isPlowing["BEANS"];			-- number of times per year
	RN.myFieldCrops["BEANS"]["tineharrow"] 				= 1 * (1- RN.isDirectSeeding["BEANS"]);			-- number of times per year
	RN.myFieldCrops["BEANS"]["discharrow"] 				= 0 * (1- RN.isDirectSeeding["BEANS"]);			-- number of times per year
	RN.myFieldCrops["BEANS"]["powerharrow"] 			= 0 * (1- RN.isDirectSeeding["BEANS"]);			-- number of times per year
	RN.myFieldCrops["BEANS"]["seed"] 					= 0;			-- number of times per year
	RN.myFieldCrops["BEANS"]["plant"] 					= 1;			-- number of times per year
	RN.myFieldCrops["BEANS"]["potatoplant"] 			= 0;			-- number of times per year
	RN.myFieldCrops["BEANS"]["solidfertilizer"] 		= RN.solidFertApplications["BEANS"];	-- number of times per year
	RN.myFieldCrops["BEANS"]["liquidfertilizer"] 		= RN.liquidFertApplications["BEANS"];	-- number of times per year
	RN.myFieldCrops["BEANS"]["spraychemicals"] 			= RN.herbicideApplications["BEANS"];	-- number of times per year
	RN.myFieldCrops["BEANS"]["rolling"] 				= 1 * (1- RN.isDirectSeeding["BEANS"]);			-- number of times per year
	RN.myFieldCrops["BEANS"]["mechanicalweeding"] 		= 0;			-- number of times per year
	RN.myFieldCrops["BEANS"]["cerealharvest"] 			= 0;			-- number of times per year
	RN.myFieldCrops["BEANS"]["rowharvest"] 				= 1;			-- number of times per year
	RN.myFieldCrops["BEANS"]["beetharvest"] 			= 0;			-- number of times per year
	RN.myFieldCrops["BEANS"]["potatoharvest"] 			= 0;			-- number of times per year
	RN.myFieldCrops["BEANS"]["forageharvest"] 			= 0;			-- number of times per year
	RN.myFieldCrops["BEANS"]["mowing"] 					= 0;			-- number of times per year
	RN.myFieldCrops["BEANS"]["windrow"] 				= 0;			-- number of times per year
	RN.myFieldCrops["BEANS"]["tedding"] 				= 0;			-- number of times per year
	RN.myFieldCrops["BEANS"]["bale"] 					= 0;			-- number of times per year
	RN.myFieldCrops["BEANS"]["balewrap"] 				= 0;			-- number of times per year
	RN.myFieldCrops["BEANS"]["balecollect"] 			= 0;			-- number of times per year

	RN.myFieldCrops["BLACKBEANS"] = {};
	RN.myFieldCrops["BLACKBEANS"]["fields"]				= {};
	RN.myFieldCrops["BLACKBEANS"]["myFieldArea"]		= {};
	RN.myFieldCrops["BLACKBEANS"]["totalArea"] 			= 0;			-- ha, summing variable, do not change
	RN.myFieldCrops["BLACKBEANS"]["fruitName"] 			= "BLACKBEANS";
	RN.myFieldCrops["BLACKBEANS"]["fields"] 			= {5};			-- field numbers with this crop f. ex. {3, 4, 5}
	RN.myFieldCrops["BLACKBEANS"]["myFieldArea"] 		= {0};			-- hectare of each field, f. ex. {2.45, 3.20, 7.4}
	RN.myFieldCrops["BLACKBEANS"]["manure"] 			= RN.manureApplications["BLACKBEANS"];		-- number of times per year
	RN.myFieldCrops["BLACKBEANS"]["slurry"] 			= RN.slurryApplications["BLACKBEANS"];		-- number of times per year
	RN.myFieldCrops["BLACKBEANS"]["lime"] 				= RN.limeApplications["BLACKBEANS"];		-- number of times per year
	RN.myFieldCrops["BLACKBEANS"]["plow"]				= 1 * RN.isPlowing["BLACKBEANS"];			-- number of times per year
	RN.myFieldCrops["BLACKBEANS"]["subsoil"]			= 0 * RN.isPlowing["BLACKBEANS"];			-- number of times per year
	RN.myFieldCrops["BLACKBEANS"]["tineharrow"] 		= 1 * (1- RN.isDirectSeeding["BLACKBEANS"]);			-- number of times per year
	RN.myFieldCrops["BLACKBEANS"]["discharrow"] 		= 0 * (1- RN.isDirectSeeding["BLACKBEANS"]);			-- number of times per year
	RN.myFieldCrops["BLACKBEANS"]["powerharrow"] 		= 0 * (1- RN.isDirectSeeding["BLACKBEANS"]);			-- number of times per year
	RN.myFieldCrops["BLACKBEANS"]["seed"] 				= 0;			-- number of times per year
	RN.myFieldCrops["BLACKBEANS"]["plant"] 				= 1;			-- number of times per year
	RN.myFieldCrops["BLACKBEANS"]["potatoplant"] 		= 0;			-- number of times per year
	RN.myFieldCrops["BLACKBEANS"]["solidfertilizer"] 	= RN.solidFertApplications["BLACKBEANS"];	-- number of times per year
	RN.myFieldCrops["BLACKBEANS"]["liquidfertilizer"] 	= RN.liquidFertApplications["BLACKBEANS"];	-- number of times per year
	RN.myFieldCrops["BLACKBEANS"]["spraychemicals"] 	= RN.herbicideApplications["BLACKBEANS"];	-- number of times per year
	RN.myFieldCrops["BLACKBEANS"]["rolling"] 			= 1 * (1- RN.isDirectSeeding["BLACKBEANS"]);			-- number of times per year
	RN.myFieldCrops["BLACKBEANS"]["mechanicalweeding"] 	= 0;			-- number of times per year
	RN.myFieldCrops["BLACKBEANS"]["cerealharvest"] 		= 0;			-- number of times per year
	RN.myFieldCrops["BLACKBEANS"]["rowharvest"] 		= 1;			-- number of times per year
	RN.myFieldCrops["BLACKBEANS"]["beetharvest"] 		= 0;			-- number of times per year
	RN.myFieldCrops["BLACKBEANS"]["potatoharvest"] 		= 0;			-- number of times per year
	RN.myFieldCrops["BLACKBEANS"]["forageharvest"] 		= 0;			-- number of times per year
	RN.myFieldCrops["BLACKBEANS"]["mowing"] 			= 0;			-- number of times per year
	RN.myFieldCrops["BLACKBEANS"]["windrow"] 			= 0;			-- number of times per year
	RN.myFieldCrops["BLACKBEANS"]["tedding"] 			= 0;			-- number of times per year
	RN.myFieldCrops["BLACKBEANS"]["bale"] 				= 0;			-- number of times per year
	RN.myFieldCrops["BLACKBEANS"]["balewrap"] 			= 0;			-- number of times per year
	RN.myFieldCrops["BLACKBEANS"]["balecollect"] 		= 0;			-- number of times per year

	RN.myFieldCrops["CABBAGE"] = {};
	RN.myFieldCrops["CABBAGE"]["fields"]				= {};
	RN.myFieldCrops["CABBAGE"]["myFieldArea"]			= {};
	RN.myFieldCrops["CABBAGE"]["totalArea"] 			= 0;			-- ha, summing variable, do not change
	RN.myFieldCrops["CABBAGE"]["fruitName"] 			= "CABBAGE";
	RN.myFieldCrops["CABBAGE"]["fields"] 				= {5};			-- field numbers with this crop f. ex. {3, 4, 5}
	RN.myFieldCrops["CABBAGE"]["myFieldArea"] 			= {0};			-- hectare of each field, f. ex. {2.45, 3.20, 7.4}
	RN.myFieldCrops["CABBAGE"]["manure"] 				= RN.manureApplications["CABBAGE"];		-- number of times per year
	RN.myFieldCrops["CABBAGE"]["slurry"] 				= RN.slurryApplications["CABBAGE"];		-- number of times per year
	RN.myFieldCrops["CABBAGE"]["lime"] 					= RN.limeApplications["CABBAGE"];		-- number of times per year
	RN.myFieldCrops["CABBAGE"]["plow"]					= 1 * RN.isPlowing["CABBAGE"];			-- number of times per year
	RN.myFieldCrops["CABBAGE"]["subsoil"]				= 0 * RN.isPlowing["CABBAGE"];			-- number of times per year
	RN.myFieldCrops["CABBAGE"]["tineharrow"] 			= 1 * (1- RN.isDirectSeeding["CABBAGE"]);			-- number of times per year
	RN.myFieldCrops["CABBAGE"]["discharrow"] 			= 0 * (1- RN.isDirectSeeding["CABBAGE"]);			-- number of times per year
	RN.myFieldCrops["CABBAGE"]["powerharrow"] 			= 0 * (1- RN.isDirectSeeding["CABBAGE"]);			-- number of times per year
	RN.myFieldCrops["CABBAGE"]["seed"] 					= 0;			-- number of times per year
	RN.myFieldCrops["CABBAGE"]["plant"] 				= 1;			-- number of times per year
	RN.myFieldCrops["CABBAGE"]["potatoplant"] 			= 0;			-- number of times per year
	RN.myFieldCrops["CABBAGE"]["solidfertilizer"] 		= RN.solidFertApplications["CABBAGE"];	-- number of times per year
	RN.myFieldCrops["CABBAGE"]["liquidfertilizer"] 		= RN.liquidFertApplications["CABBAGE"];	-- number of times per year
	RN.myFieldCrops["CABBAGE"]["spraychemicals"] 		= RN.herbicideApplications["CABBAGE"];	-- number of times per year
	RN.myFieldCrops["CABBAGE"]["rolling"] 				= 1 * (1- RN.isDirectSeeding["CABBAGE"]);			-- number of times per year
	RN.myFieldCrops["CABBAGE"]["mechanicalweeding"] 	= 0;			-- number of times per year
	RN.myFieldCrops["CABBAGE"]["cerealharvest"] 		= 0;			-- number of times per year
	RN.myFieldCrops["CABBAGE"]["rowharvest"] 			= 0;			-- number of times per year
	RN.myFieldCrops["CABBAGE"]["beetharvest"] 			= 1;			-- number of times per year
	RN.myFieldCrops["CABBAGE"]["potatoharvest"] 		= 0;			-- number of times per year
	RN.myFieldCrops["CABBAGE"]["forageharvest"] 		= 0;			-- number of times per year
	RN.myFieldCrops["CABBAGE"]["mowing"] 				= 0;			-- number of times per year
	RN.myFieldCrops["CABBAGE"]["windrow"] 				= 0;			-- number of times per year
	RN.myFieldCrops["CABBAGE"]["tedding"] 				= 0;			-- number of times per year
	RN.myFieldCrops["CABBAGE"]["bale"] 					= 0;			-- number of times per year
	RN.myFieldCrops["CABBAGE"]["balewrap"] 				= 0;			-- number of times per year
	RN.myFieldCrops["CABBAGE"]["balecollect"] 			= 0;			-- number of times per year

	RN.myFieldCrops["CARROT"] = {};
	RN.myFieldCrops["CARROT"]["fields"]					= {};
	RN.myFieldCrops["CARROT"]["myFieldArea"]			= {};
	RN.myFieldCrops["CARROT"]["totalArea"] 				= 0;			-- ha, summing variable, do not change
	RN.myFieldCrops["CARROT"]["fruitName"] 				= "CARROT";
	RN.myFieldCrops["CARROT"]["fields"] 				= {36};			-- field numbers with this crop f. ex. {3, 4, 5}
	RN.myFieldCrops["CARROT"]["myFieldArea"] 			= {1.7};			-- hectare of each field, f. ex. {2.45, 3.20, 7.4}
	RN.myFieldCrops["CARROT"]["manure"] 				= RN.manureApplications["CARROT"];		-- number of times per year
	RN.myFieldCrops["CARROT"]["slurry"] 				= RN.slurryApplications["CARROT"];		-- number of times per year
	RN.myFieldCrops["CARROT"]["lime"] 					= RN.limeApplications["CARROT"];		-- number of times per year
	RN.myFieldCrops["CARROT"]["plow"]					= 1 * RN.isPlowing["CARROT"];			-- number of times per year
	RN.myFieldCrops["CARROT"]["subsoil"]				= 0 * RN.isPlowing["CARROT"];			-- number of times per year
	RN.myFieldCrops["CARROT"]["tineharrow"] 			= 2 * (1- RN.isDirectSeeding["CARROT"]);			-- number of times per year
	RN.myFieldCrops["CARROT"]["discharrow"] 			= 0 * (1- RN.isDirectSeeding["CARROT"]);			-- number of times per year
	RN.myFieldCrops["CARROT"]["powerharrow"] 			= 0 * (1- RN.isDirectSeeding["CARROT"]);			-- number of times per year
	RN.myFieldCrops["CARROT"]["seed"] 					= 0;			-- number of times per year
	RN.myFieldCrops["CARROT"]["plant"] 				 	= 2;			-- number of times per year
	RN.myFieldCrops["CARROT"]["potatoplant"] 			= 0;			-- number of times per year
	RN.myFieldCrops["CARROT"]["solidfertilizer"] 		= RN.solidFertApplications["CARROT"];	-- number of times per year
	RN.myFieldCrops["CARROT"]["liquidfertilizer"] 		= RN.liquidFertApplications["CARROT"];	-- number of times per year
	RN.myFieldCrops["CARROT"]["spraychemicals"] 		= RN.herbicideApplications["CARROT"];	-- number of times per year
	RN.myFieldCrops["CARROT"]["rolling"] 				= 2 * (1- RN.isDirectSeeding["CARROT"]);			-- number of times per year
	RN.myFieldCrops["CARROT"]["mechanicalweeding"] 		= 0;			-- number of times per year
	RN.myFieldCrops["CARROT"]["cerealharvest"] 			= 0;			-- number of times per year
	RN.myFieldCrops["CARROT"]["rowharvest"] 			= 0;			-- number of times per year
	RN.myFieldCrops["CARROT"]["beetharvest"] 			= 2;			-- number of times per year
	RN.myFieldCrops["CARROT"]["potatoharvest"] 			= 0;			-- number of times per year
	RN.myFieldCrops["CARROT"]["forageharvest"] 			= 0;			-- number of times per year
	RN.myFieldCrops["CARROT"]["mowing"] 				= 0;			-- number of times per year
	RN.myFieldCrops["CARROT"]["windrow"] 				= 0;			-- number of times per year
	RN.myFieldCrops["CARROT"]["tedding"] 				= 0;			-- number of times per year
	RN.myFieldCrops["CARROT"]["bale"] 					= 0;			-- number of times per year
	RN.myFieldCrops["CARROT"]["balewrap"] 				= 0;			-- number of times per year
	RN.myFieldCrops["CARROT"]["balecollect"] 			= 0;			-- number of times per year

	RN.myFieldCrops["LETTUCE"] = {};
	RN.myFieldCrops["LETTUCE"]["fields"]				= {};
	RN.myFieldCrops["LETTUCE"]["myFieldArea"]			= {};
	RN.myFieldCrops["LETTUCE"]["totalArea"] 			= 0;			-- ha, summing variable, do not change
	RN.myFieldCrops["LETTUCE"]["fruitName"] 			= "LETTUCE";
	RN.myFieldCrops["LETTUCE"]["fields"] 				= {5};			-- field numbers with this crop f. ex. {3, 4, 5}
	RN.myFieldCrops["LETTUCE"]["myFieldArea"] 			= {0};			-- hectare of each field, f. ex. {2.45, 3.20, 7.4}
	RN.myFieldCrops["LETTUCE"]["manure"] 				= RN.manureApplications["LETTUCE"];		-- number of times per year
	RN.myFieldCrops["LETTUCE"]["slurry"] 				= RN.slurryApplications["LETTUCE"];		-- number of times per year
	RN.myFieldCrops["LETTUCE"]["lime"] 					= RN.limeApplications["LETTUCE"];		-- number of times per year
	RN.myFieldCrops["LETTUCE"]["plow"]					= 1 * RN.isPlowing["LETTUCE"];			-- number of times per year
	RN.myFieldCrops["LETTUCE"]["subsoil"]				= 0 * RN.isPlowing["LETTUCE"];			-- number of times per year
	RN.myFieldCrops["LETTUCE"]["tineharrow"] 			= 1 * (1- RN.isDirectSeeding["LETTUCE"]);			-- number of times per year
	RN.myFieldCrops["LETTUCE"]["discharrow"] 			= 0 * (1- RN.isDirectSeeding["LETTUCE"]);			-- number of times per year
	RN.myFieldCrops["LETTUCE"]["powerharrow"] 			= 0 * (1- RN.isDirectSeeding["LETTUCE"]);			-- number of times per year
	RN.myFieldCrops["LETTUCE"]["seed"] 					= 0;			-- number of times per year
	RN.myFieldCrops["LETTUCE"]["plant"] 				= 1;			-- number of times per year
	RN.myFieldCrops["LETTUCE"]["potatoplant"] 			= 0;			-- number of times per year
	RN.myFieldCrops["LETTUCE"]["solidfertilizer"] 		= RN.solidFertApplications["LETTUCE"];	-- number of times per year
	RN.myFieldCrops["LETTUCE"]["liquidfertilizer"] 		= RN.liquidFertApplications["LETTUCE"];	-- number of times per year
	RN.myFieldCrops["LETTUCE"]["spraychemicals"] 		= RN.herbicideApplications["LETTUCE"];	-- number of times per year
	RN.myFieldCrops["LETTUCE"]["rolling"] 				= 1 * (1- RN.isDirectSeeding["LETTUCE"]);			-- number of times per year
	RN.myFieldCrops["LETTUCE"]["mechanicalweeding"] 	= 0;			-- number of times per year
	RN.myFieldCrops["LETTUCE"]["cerealharvest"] 		= 0;			-- number of times per year
	RN.myFieldCrops["LETTUCE"]["rowharvest"] 			= 0;			-- number of times per year
	RN.myFieldCrops["LETTUCE"]["beetharvest"] 			= 1;			-- number of times per year
	RN.myFieldCrops["LETTUCE"]["potatoharvest"] 		= 0;			-- number of times per year
	RN.myFieldCrops["LETTUCE"]["forageharvest"] 		= 0;			-- number of times per year
	RN.myFieldCrops["LETTUCE"]["mowing"] 				= 0;			-- number of times per year
	RN.myFieldCrops["LETTUCE"]["windrow"] 				= 0;			-- number of times per year
	RN.myFieldCrops["LETTUCE"]["tedding"] 				= 0;			-- number of times per year
	RN.myFieldCrops["LETTUCE"]["bale"] 					= 0;			-- number of times per year
	RN.myFieldCrops["LETTUCE"]["balewrap"] 				= 0;			-- number of times per year
	RN.myFieldCrops["LETTUCE"]["balecollect"] 			= 0;			-- number of times per year

	RN.myFieldCrops["ONION"] = {};
	RN.myFieldCrops["ONION"]["fields"]					= {};
	RN.myFieldCrops["ONION"]["myFieldArea"]				= {};
	RN.myFieldCrops["ONION"]["totalArea"] 				= 0;			-- ha, summing variable, do not change
	RN.myFieldCrops["ONION"]["fruitName"] 				= "ONION";
	RN.myFieldCrops["ONION"]["fields"] 					= {5};			-- field numbers with this crop f. ex. {3, 4, 5}
	RN.myFieldCrops["ONION"]["myFieldArea"] 			= {0};		-- hectare of each field, f. ex. {2.45, 3.20, 7.4}
	RN.myFieldCrops["ONION"]["manure"] 					= RN.manureApplications["ONION"];		-- number of times per year
	RN.myFieldCrops["ONION"]["slurry"] 					= RN.slurryApplications["ONION"];		-- number of times per year
	RN.myFieldCrops["ONION"]["lime"] 					= RN.limeApplications["ONION"];		-- number of times per year
	RN.myFieldCrops["ONION"]["plow"]					= 1 * RN.isPlowing["ONION"];			-- number of times per year
	RN.myFieldCrops["ONION"]["subsoil"]					= 0 * RN.isPlowing["ONION"];			-- number of times per year
	RN.myFieldCrops["ONION"]["tineharrow"] 				= 1 * (1- RN.isDirectSeeding["ONION"]);			-- number of times per year
	RN.myFieldCrops["ONION"]["discharrow"] 				= 0 * (1- RN.isDirectSeeding["ONION"]);			-- number of times per year
	RN.myFieldCrops["ONION"]["powerharrow"] 			= 0 * (1- RN.isDirectSeeding["ONION"]);			-- number of times per year
	RN.myFieldCrops["ONION"]["seed"] 					= 0;			-- number of times per year
	RN.myFieldCrops["ONION"]["plant"] 					= 1;			-- number of times per year
	RN.myFieldCrops["ONION"]["potatoplant"] 			= 0;			-- number of times per year
	RN.myFieldCrops["ONION"]["solidfertilizer"] 		= RN.solidFertApplications["ONION"];	-- number of times per year
	RN.myFieldCrops["ONION"]["liquidfertilizer"] 		= RN.liquidFertApplications["ONION"];	-- number of times per year
	RN.myFieldCrops["ONION"]["spraychemicals"] 		 	= RN.herbicideApplications["ONION"];	-- number of times per year
	RN.myFieldCrops["ONION"]["rolling"] 				= 1 * (1- RN.isDirectSeeding["ONION"]);			-- number of times per year
	RN.myFieldCrops["ONION"]["mechanicalweeding"] 		= 0;			-- number of times per year
	RN.myFieldCrops["ONION"]["cerealharvest"] 			= 0;			-- number of times per year
	RN.myFieldCrops["ONION"]["rowharvest"] 				= 0;			-- number of times per year
	RN.myFieldCrops["ONION"]["beetharvest"] 			= 1;			-- number of times per year
	RN.myFieldCrops["ONION"]["potatoharvest"] 			= 0;			-- number of times per year
	RN.myFieldCrops["ONION"]["forageharvest"] 			= 0;			-- number of times per year
	RN.myFieldCrops["ONION"]["mowing"] 					= 0;			-- number of times per year
	RN.myFieldCrops["ONION"]["windrow"] 				= 0;			-- number of times per year
	RN.myFieldCrops["ONION"]["tedding"] 				= 0;			-- number of times per year
	RN.myFieldCrops["ONION"]["bale"] 					= 0;			-- number of times per year
	RN.myFieldCrops["ONION"]["balewrap"] 				= 0;			-- number of times per year
	RN.myFieldCrops["ONION"]["balecollect"] 			= 0;			-- number of times per year

	RN.myFieldCrops["PEAS"] = {};
	RN.myFieldCrops["PEAS"]["fields"]					= {};
	RN.myFieldCrops["PEAS"]["myFieldArea"]				= {};
	RN.myFieldCrops["PEAS"]["totalArea"] 				= 0;			-- ha, summing variable, do not change
	RN.myFieldCrops["PEAS"]["fruitName"] 				= "PEAS";
	RN.myFieldCrops["PEAS"]["fields"] 					= {5};			-- field numbers with this crop f. ex. {3, 4, 5}
	RN.myFieldCrops["PEAS"]["myFieldArea"] 				= {0};			-- hectare of each field, f. ex. {2.45, 3.20, 7.4}
	RN.myFieldCrops["PEAS"]["manure"] 					= RN.manureApplications["PEAS"];		-- number of times per year
	RN.myFieldCrops["PEAS"]["slurry"] 					= RN.slurryApplications["PEAS"];		-- number of times per year
	RN.myFieldCrops["PEAS"]["lime"] 					= RN.limeApplications["PEAS"];		-- number of times per year
	RN.myFieldCrops["PEAS"]["plow"]						= 1 * RN.isPlowing["PEAS"];			-- number of times per year
	RN.myFieldCrops["PEAS"]["subsoil"]					= 0 * RN.isPlowing["PEAS"];			-- number of times per year
	RN.myFieldCrops["PEAS"]["tineharrow"] 				= 1 * (1- RN.isDirectSeeding["PEAS"]);			-- number of times per year
	RN.myFieldCrops["PEAS"]["discharrow"] 				= 0 * (1- RN.isDirectSeeding["PEAS"]);			-- number of times per year
	RN.myFieldCrops["PEAS"]["powerharrow"] 				= 0 * (1- RN.isDirectSeeding["PEAS"]);			-- number of times per year
	RN.myFieldCrops["PEAS"]["seed"] 					= 0;			-- number of times per year
	RN.myFieldCrops["PEAS"]["plant"] 					= 1;			-- number of times per year
	RN.myFieldCrops["PEAS"]["potatoplant"] 				= 0;			-- number of times per year
	RN.myFieldCrops["PEAS"]["solidfertilizer"] 			= RN.solidFertApplications["PEAS"];	-- number of times per year
	RN.myFieldCrops["PEAS"]["liquidfertilizer"] 		= RN.liquidFertApplications["PEAS"];	-- number of times per year
	RN.myFieldCrops["PEAS"]["spraychemicals"] 		 	= RN.herbicideApplications["PEAS"];	-- number of times per year
	RN.myFieldCrops["PEAS"]["rolling"] 					= 1 * (1- RN.isDirectSeeding["PEAS"]);			-- number of times per year
	RN.myFieldCrops["PEAS"]["mechanicalweeding"] 		= 0;			-- number of times per year
	RN.myFieldCrops["PEAS"]["cerealharvest"] 			= 1;			-- number of times per year
	RN.myFieldCrops["PEAS"]["rowharvest"] 				= 0;			-- number of times per year
	RN.myFieldCrops["PEAS"]["beetharvest"] 				= 0;			-- number of times per year
	RN.myFieldCrops["PEAS"]["potatoharvest"] 			= 0;			-- number of times per year
	RN.myFieldCrops["PEAS"]["forageharvest"] 			= 0;			-- number of times per year
	RN.myFieldCrops["PEAS"]["mowing"] 					= 0;			-- number of times per year
	RN.myFieldCrops["PEAS"]["windrow"] 					= 0;			-- number of times per year
	RN.myFieldCrops["PEAS"]["tedding"] 					= 0;			-- number of times per year
	RN.myFieldCrops["PEAS"]["bale"] 					= 0;			-- number of times per year
	RN.myFieldCrops["PEAS"]["balewrap"] 				= 0;			-- number of times per year
	RN.myFieldCrops["PEAS"]["balecollect"] 				= 0;			-- number of times per year

	RN.myFieldCrops["POTATO"] = {};
	RN.myFieldCrops["POTATO"]["fields"]					= {};
	RN.myFieldCrops["POTATO"]["myFieldArea"]			= {};
	RN.myFieldCrops["POTATO"]["totalArea"] 				= 0;			-- ha, summing variable, do not change
	RN.myFieldCrops["POTATO"]["fruitName"] 				= "POTATO";
	RN.myFieldCrops["POTATO"]["fields"] 				= {5};		-- field numbers with this crop f. ex. {3, 4, 5}
	RN.myFieldCrops["POTATO"]["myFieldArea"] 			= {0};	-- hectare of each field, f. ex. {2.45, 3.20, 7.4}
	RN.myFieldCrops["POTATO"]["manure"] 				= RN.manureApplications["POTATO"];		-- number of times per year
	RN.myFieldCrops["POTATO"]["slurry"] 				= RN.slurryApplications["POTATO"];		-- number of times per year
	RN.myFieldCrops["POTATO"]["lime"] 					= RN.limeApplications["POTATO"];		-- number of times per year
	RN.myFieldCrops["POTATO"]["plow"]					= 1 * RN.isPlowing["POTATO"];			-- number of times per year
	RN.myFieldCrops["POTATO"]["subsoil"]				= 0 * RN.isPlowing["POTATO"];			-- number of times per year
	RN.myFieldCrops["POTATO"]["tineharrow"] 			= 1 * (1- RN.isDirectSeeding["POTATO"]);			-- number of times per year
	RN.myFieldCrops["POTATO"]["discharrow"] 			= 0 * (1- RN.isDirectSeeding["POTATO"]);			-- number of times per year
	RN.myFieldCrops["POTATO"]["powerharrow"] 			= 0 * (1- RN.isDirectSeeding["POTATO"]);			-- number of times per year
	RN.myFieldCrops["POTATO"]["seed"] 					= 0;			-- number of times per year
	RN.myFieldCrops["POTATO"]["plant"] 					= 0;			-- number of times per year
	RN.myFieldCrops["POTATO"]["potatoplant"] 			= 1;			-- number of times per year
	RN.myFieldCrops["POTATO"]["solidfertilizer"] 		= RN.solidFertApplications["POTATO"];	-- number of times per year
	RN.myFieldCrops["POTATO"]["liquidfertilizer"] 		= RN.liquidFertApplications["POTATO"];	-- number of times per year
	RN.myFieldCrops["POTATO"]["spraychemicals"] 		= RN.herbicideApplications["POTATO"];	-- number of times per year
	RN.myFieldCrops["POTATO"]["rolling"] 				= 1 * (1- RN.isDirectSeeding["POTATO"]);			-- number of times per year
	RN.myFieldCrops["POTATO"]["mechanicalweeding"] 		= 0;			-- number of times per year
	RN.myFieldCrops["POTATO"]["cerealharvest"] 			= 0;			-- number of times per year
	RN.myFieldCrops["POTATO"]["rowharvest"] 			= 0;			-- number of times per year
	RN.myFieldCrops["POTATO"]["beetharvest"] 			= 0;			-- number of times per year
	RN.myFieldCrops["POTATO"]["potatoharvest"] 			= 1;			-- number of times per year
	RN.myFieldCrops["POTATO"]["forageharvest"] 			= 0;			-- number of times per year
	RN.myFieldCrops["POTATO"]["mowing"] 				= 0;			-- number of times per year
	RN.myFieldCrops["POTATO"]["windrow"] 				= 0;			-- number of times per year
	RN.myFieldCrops["POTATO"]["tedding"] 				= 0;			-- number of times per year
	RN.myFieldCrops["POTATO"]["bale"] 					= 0;			-- number of times per year
	RN.myFieldCrops["POTATO"]["balewrap"] 				= 0;			-- number of times per year
	RN.myFieldCrops["POTATO"]["balecollect"] 			= 0;			-- number of times per year

	RN.myFieldCrops["REDCABBAGE"] = {};
	RN.myFieldCrops["REDCABBAGE"]["fields"]				= {};
	RN.myFieldCrops["REDCABBAGE"]["myFieldArea"]		= {};
	RN.myFieldCrops["REDCABBAGE"]["totalArea"] 			= 0;			-- ha, summing variable, do not change
	RN.myFieldCrops["REDCABBAGE"]["fruitName"] 			= "REDCABBAGE";
	RN.myFieldCrops["REDCABBAGE"]["fields"] 			= {5};			-- field numbers with this crop f. ex. {3, 4, 5}
	RN.myFieldCrops["REDCABBAGE"]["myFieldArea"] 		= {0};			-- hectare of each field, f. ex. {2.45, 3.20, 7.4}
	RN.myFieldCrops["REDCABBAGE"]["manure"] 			= RN.manureApplications["REDCABBAGE"];		-- number of times per year
	RN.myFieldCrops["REDCABBAGE"]["slurry"] 			= RN.slurryApplications["REDCABBAGE"];		-- number of times per year
	RN.myFieldCrops["REDCABBAGE"]["lime"] 				= RN.limeApplications["REDCABBAGE"];		-- number of times per year
	RN.myFieldCrops["REDCABBAGE"]["plow"]				= 1 * RN.isPlowing["REDCABBAGE"];			-- number of times per year
	RN.myFieldCrops["REDCABBAGE"]["subsoil"]			= 0 * RN.isPlowing["REDCABBAGE"];			-- number of times per year
	RN.myFieldCrops["REDCABBAGE"]["tineharrow"] 		= 1 * (1- RN.isDirectSeeding["REDCABBAGE"]);			-- number of times per year
	RN.myFieldCrops["REDCABBAGE"]["discharrow"] 		= 0 * (1- RN.isDirectSeeding["REDCABBAGE"]);			-- number of times per year
	RN.myFieldCrops["REDCABBAGE"]["powerharrow"] 		= 0 * (1- RN.isDirectSeeding["REDCABBAGE"]);			-- number of times per year
	RN.myFieldCrops["REDCABBAGE"]["seed"] 				= 0;			-- number of times per year
	RN.myFieldCrops["REDCABBAGE"]["plant"] 				= 1;			-- number of times per year
	RN.myFieldCrops["REDCABBAGE"]["potatoplant"] 		= 0;			-- number of times per year
	RN.myFieldCrops["REDCABBAGE"]["solidfertilizer"] 	= RN.solidFertApplications["REDCABBAGE"];	-- number of times per year
	RN.myFieldCrops["REDCABBAGE"]["liquidfertilizer"] 	= RN.liquidFertApplications["REDCABBAGE"];	-- number of times per year
	RN.myFieldCrops["REDCABBAGE"]["spraychemicals"] 	= RN.herbicideApplications["REDCABBAGE"];	-- number of times per year
	RN.myFieldCrops["REDCABBAGE"]["rolling"] 			= 1 * (1- RN.isDirectSeeding["REDCABBAGE"]);			-- number of times per year
	RN.myFieldCrops["REDCABBAGE"]["mechanicalweeding"] 	= 0;			-- number of times per year
	RN.myFieldCrops["REDCABBAGE"]["cerealharvest"] 		= 0;			-- number of times per year
	RN.myFieldCrops["REDCABBAGE"]["rowharvest"] 		= 0;			-- number of times per year
	RN.myFieldCrops["REDCABBAGE"]["beetharvest"] 		= 1;			-- number of times per year
	RN.myFieldCrops["REDCABBAGE"]["potatoharvest"] 		= 0;			-- number of times per year
	RN.myFieldCrops["REDCABBAGE"]["forageharvest"] 		= 0;			-- number of times per year
	RN.myFieldCrops["REDCABBAGE"]["mowing"] 			= 0;			-- number of times per year
	RN.myFieldCrops["REDCABBAGE"]["windrow"] 			= 0;			-- number of times per year
	RN.myFieldCrops["REDCABBAGE"]["tedding"] 			= 0;			-- number of times per year
	RN.myFieldCrops["REDCABBAGE"]["bale"] 				= 0;			-- number of times per year
	RN.myFieldCrops["REDCABBAGE"]["balewrap"] 			= 0;			-- number of times per year
	RN.myFieldCrops["REDCABBAGE"]["balecollect"] 		= 0;			-- number of times per year

	RN.myFieldCrops["SUGARBEET"] = {};
	RN.myFieldCrops["SUGARBEET"]["fields"]				= {};
	RN.myFieldCrops["SUGARBEET"]["myFieldArea"]			= {};
	RN.myFieldCrops["SUGARBEET"]["totalArea"] 			= 0;			-- ha, summing variable, do not change
	RN.myFieldCrops["SUGARBEET"]["fruitName"] 			= "SUGARBEET";
	RN.myFieldCrops["SUGARBEET"]["fields"] 				= {37};			-- field numbers with this crop f. ex. {3, 4, 5}
	RN.myFieldCrops["SUGARBEET"]["myFieldArea"] 		= {1.1};			-- hectare of each field, f. ex. {2.45, 3.20, 7.4}
	RN.myFieldCrops["SUGARBEET"]["manure"] 				= RN.manureApplications["SUGARBEET"];		-- number of times per year
	RN.myFieldCrops["SUGARBEET"]["slurry"] 				= RN.slurryApplications["SUGARBEET"];		-- number of times per year
	RN.myFieldCrops["SUGARBEET"]["lime"] 				= RN.limeApplications["SUGARBEET"];		-- number of times per year
	RN.myFieldCrops["SUGARBEET"]["plow"]				= 1 * RN.isPlowing["SUGARBEET"];			-- number of times per year
	RN.myFieldCrops["SUGARBEET"]["subsoil"]				= 0 * RN.isPlowing["SUGARBEET"];			-- number of times per year
	RN.myFieldCrops["SUGARBEET"]["tineharrow"] 			= 1 * (1- RN.isDirectSeeding["SUGARBEET"]);			-- number of times per year
	RN.myFieldCrops["SUGARBEET"]["discharrow"] 			= 0 * (1- RN.isDirectSeeding["SUGARBEET"]);			-- number of times per year
	RN.myFieldCrops["SUGARBEET"]["powerharrow"] 		= 0 * (1- RN.isDirectSeeding["SUGARBEET"]);			-- number of times per year
	RN.myFieldCrops["SUGARBEET"]["seed"] 				= 0;			-- number of times per year
	RN.myFieldCrops["SUGARBEET"]["plant"] 				= 1;			-- number of times per year
	RN.myFieldCrops["SUGARBEET"]["potatoplant"] 		= 0;			-- number of times per year
	RN.myFieldCrops["SUGARBEET"]["solidfertilizer"] 	= RN.solidFertApplications["SUGARBEET"];	-- number of times per year
	RN.myFieldCrops["SUGARBEET"]["liquidfertilizer"] 	= RN.liquidFertApplications["SUGARBEET"];	-- number of times per year
	RN.myFieldCrops["SUGARBEET"]["spraychemicals"] 		= RN.herbicideApplications["SUGARBEET"];	-- number of times per year
	RN.myFieldCrops["SUGARBEET"]["rolling"] 			= 1 * (1- RN.isDirectSeeding["SUGARBEET"]);			-- number of times per year
	RN.myFieldCrops["SUGARBEET"]["mechanicalweeding"] 	= 0;			-- number of times per year
	RN.myFieldCrops["SUGARBEET"]["cerealharvest"] 		= 0;			-- number of times per year
	RN.myFieldCrops["SUGARBEET"]["rowharvest"] 			= 0;			-- number of times per year
	RN.myFieldCrops["SUGARBEET"]["beetharvest"] 		= 1;			-- number of times per year
	RN.myFieldCrops["SUGARBEET"]["potatoharvest"] 		= 0;			-- number of times per year
	RN.myFieldCrops["SUGARBEET"]["forageharvest"] 		= 0;			-- number of times per year
	RN.myFieldCrops["SUGARBEET"]["mowing"] 				= 0;			-- number of times per year
	RN.myFieldCrops["SUGARBEET"]["windrow"] 			= 0;			-- number of times per year
	RN.myFieldCrops["SUGARBEET"]["tedding"] 			= 0;			-- number of times per year
	RN.myFieldCrops["SUGARBEET"]["bale"] 				= 0;			-- number of times per year
	RN.myFieldCrops["SUGARBEET"]["balewrap"] 			= 0;			-- number of times per year
	RN.myFieldCrops["SUGARBEET"]["balecollect"] 		= 0;			-- number of times per year

	RN.myFieldCrops["WHITECABBAGE"] = {};
	RN.myFieldCrops["WHITECABBAGE"]["fields"]			= {};
	RN.myFieldCrops["WHITECABBAGE"]["myFieldArea"]		= {};
	RN.myFieldCrops["WHITECABBAGE"]["totalArea"] 		= 0;			-- ha, summing variable, do not change
	RN.myFieldCrops["WHITECABBAGE"]["fruitName"] 		= "WHITECABBAGE";
	RN.myFieldCrops["WHITECABBAGE"]["fields"] 			= {5};			-- field numbers with this crop f. ex. {3, 4, 5}
	RN.myFieldCrops["WHITECABBAGE"]["myFieldArea"] 		= {0};			-- hectare of each field, f. ex. {2.45, 3.20, 7.4}
	RN.myFieldCrops["WHITECABBAGE"]["manure"] 			= RN.manureApplications["WHITECABBAGE"];		-- number of times per year
	RN.myFieldCrops["WHITECABBAGE"]["slurry"] 			= RN.slurryApplications["WHITECABBAGE"];		-- number of times per year
	RN.myFieldCrops["WHITECABBAGE"]["lime"] 			= RN.limeApplications["WHITECABBAGE"];		-- number of times per year
	RN.myFieldCrops["WHITECABBAGE"]["plow"]				= 1 * RN.isPlowing["WHITECABBAGE"];			-- number of times per year
	RN.myFieldCrops["WHITECABBAGE"]["subsoil"]			= 0 * RN.isPlowing["WHITECABBAGE"];			-- number of times per year
	RN.myFieldCrops["WHITECABBAGE"]["tineharrow"] 		= 1 * (1- RN.isDirectSeeding["WHITECABBAGE"]);			-- number of times per year
	RN.myFieldCrops["WHITECABBAGE"]["discharrow"] 		= 0 * (1- RN.isDirectSeeding["WHITECABBAGE"]);			-- number of times per year
	RN.myFieldCrops["WHITECABBAGE"]["powerharrow"] 		= 0 * (1- RN.isDirectSeeding["WHITECABBAGE"]);			-- number of times per year
	RN.myFieldCrops["WHITECABBAGE"]["seed"] 			= 0;			-- number of times per year
	RN.myFieldCrops["WHITECABBAGE"]["plant"] 			= 1;			-- number of times per year
	RN.myFieldCrops["WHITECABBAGE"]["potatoplant"] 		= 0;			-- number of times per year
	RN.myFieldCrops["WHITECABBAGE"]["solidfertilizer"] 	= RN.solidFertApplications["WHITECABBAGE"];	-- number of times per year
	RN.myFieldCrops["WHITECABBAGE"]["liquidfertilizer"] = RN.liquidFertApplications["WHITECABBAGE"];	-- number of times per year
	RN.myFieldCrops["WHITECABBAGE"]["spraychemicals"] 	= RN.herbicideApplications["WHITECABBAGE"];	-- number of times per year
	RN.myFieldCrops["WHITECABBAGE"]["rolling"] 			= 1 * (1- RN.isDirectSeeding["WHITECABBAGE"]);			-- number of times per year
	RN.myFieldCrops["WHITECABBAGE"]["mechanicalweeding"] = 0;			-- number of times per year
	RN.myFieldCrops["WHITECABBAGE"]["cerealharvest"] 	= 0;			-- number of times per year
	RN.myFieldCrops["WHITECABBAGE"]["rowharvest"] 		= 0;			-- number of times per year
	RN.myFieldCrops["WHITECABBAGE"]["beetharvest"] 		= 1;			-- number of times per year
	RN.myFieldCrops["WHITECABBAGE"]["potatoharvest"] 	= 0;			-- number of times per year
	RN.myFieldCrops["WHITECABBAGE"]["forageharvest"] 	= 0;			-- number of times per year
	RN.myFieldCrops["WHITECABBAGE"]["mowing"] 			= 0;			-- number of times per year
	RN.myFieldCrops["WHITECABBAGE"]["windrow"] 			= 0;			-- number of times per year
	RN.myFieldCrops["WHITECABBAGE"]["tedding"] 			= 0;			-- number of times per year
	RN.myFieldCrops["WHITECABBAGE"]["bale"] 			= 0;			-- number of times per year
	RN.myFieldCrops["WHITECABBAGE"]["balewrap"] 		= 0;			-- number of times per year
	RN.myFieldCrops["WHITECABBAGE"]["balecollect"] 		= 0;			-- number of times per year

--	specialtyCrops = "COFFEE COTTON CRANBERRY HEMP HOPS MUSTARD PEANUT POPLAR POPPY RICE SUGARCANE TOBACCO";

	RN.myFieldCrops["COFFEE"] = {};
	RN.myFieldCrops["COFFEE"]["fields"]					= {};
	RN.myFieldCrops["COFFEE"]["myFieldArea"]			= {};
	RN.myFieldCrops["COFFEE"]["totalArea"] 				= 0;			-- ha, summing variable, do not change
	RN.myFieldCrops["COFFEE"]["fruitName"] 				= "COFFEE";
	RN.myFieldCrops["COFFEE"]["fields"] 				= {5};			-- field numbers with this crop f. ex. {3, 4, 5}
	RN.myFieldCrops["COFFEE"]["myFieldArea"] 			= {0};			-- hectare of each field, f. ex. {2.45, 3.20, 7.4}
	RN.myFieldCrops["COFFEE"]["manure"] 				= RN.manureApplications["COFFEE"];		-- number of times per year
	RN.myFieldCrops["COFFEE"]["slurry"] 				= RN.slurryApplications["COFFEE"];		-- number of times per year
	RN.myFieldCrops["COFFEE"]["lime"] 					= RN.limeApplications["COFFEE"];		-- number of times per year
	RN.myFieldCrops["COFFEE"]["plow"]					= 1 * RN.isPlowing["COFFEE"];			-- number of times per year
	RN.myFieldCrops["COFFEE"]["subsoil"]				= 0 * RN.isPlowing["COFFEE"];			-- number of times per year
	RN.myFieldCrops["COFFEE"]["tineharrow"] 			= 1 * (1- RN.isDirectSeeding["COFFEE"]);			-- number of times per year
	RN.myFieldCrops["COFFEE"]["discharrow"] 			= 0 * (1- RN.isDirectSeeding["COFFEE"]);			-- number of times per year
	RN.myFieldCrops["COFFEE"]["powerharrow"] 			= 0 * (1- RN.isDirectSeeding["COFFEE"]);			-- number of times per year
	RN.myFieldCrops["COFFEE"]["seed"] 					= 1;			-- number of times per year
	RN.myFieldCrops["COFFEE"]["plant"] 					= 0;			-- number of times per year
	RN.myFieldCrops["COFFEE"]["potatoplant"] 			= 0;			-- number of times per year
	RN.myFieldCrops["COFFEE"]["solidfertilizer"] 		= RN.solidFertApplications["COFFEE"];	-- number of times per year
	RN.myFieldCrops["COFFEE"]["liquidfertilizer"] 		= RN.liquidFertApplications["COFFEE"];	-- number of times per year
	RN.myFieldCrops["COFFEE"]["spraychemicals"] 		= RN.herbicideApplications["COFFEE"];	-- number of times per year
	RN.myFieldCrops["COFFEE"]["rolling"] 				= 1 * (1- RN.isDirectSeeding["COFFEE"]);			-- number of times per year
	RN.myFieldCrops["COFFEE"]["mechanicalweeding"] 		= 0;			-- number of times per year
	RN.myFieldCrops["COFFEE"]["cerealharvest"] 			= 0;			-- number of times per year
	RN.myFieldCrops["COFFEE"]["rowharvest"] 			= 0;			-- number of times per year
	RN.myFieldCrops["COFFEE"]["beetharvest"] 			= 1;			-- number of times per year
	RN.myFieldCrops["COFFEE"]["potatoharvest"] 			= 0;			-- number of times per year
	RN.myFieldCrops["COFFEE"]["forageharvest"] 			= 0;			-- number of times per year
	RN.myFieldCrops["COFFEE"]["mowing"] 				= 0;			-- number of times per year
	RN.myFieldCrops["COFFEE"]["windrow"] 				= 0;			-- number of times per year
	RN.myFieldCrops["COFFEE"]["tedding"] 				= 0;			-- number of times per year
	RN.myFieldCrops["COFFEE"]["bale"] 					= 0;			-- number of times per year
	RN.myFieldCrops["COFFEE"]["balewrap"] 				= 0;			-- number of times per year
	RN.myFieldCrops["COFFEE"]["balecollect"] 			= 0;			-- number of times per year

	RN.myFieldCrops["COTTON"] = {};
	RN.myFieldCrops["COTTON"]["fields"]					= {};
	RN.myFieldCrops["COTTON"]["myFieldArea"]			= {};
	RN.myFieldCrops["COTTON"]["totalArea"] 				= 0;			-- ha, summing variable, do not change
	RN.myFieldCrops["COTTON"]["fruitName"] 				= "COTTON";
	RN.myFieldCrops["COTTON"]["fields"] 				= {5};			-- field numbers with this crop f. ex. {3, 4, 5}
	RN.myFieldCrops["COTTON"]["myFieldArea"] 			= {0};			-- hectare of each field, f. ex. {2.45, 3.20, 7.4}
	RN.myFieldCrops["COTTON"]["manure"] 				= RN.manureApplications["COTTON"];		-- number of times per year
	RN.myFieldCrops["COTTON"]["slurry"] 				= RN.slurryApplications["COTTON"];		-- number of times per year
	RN.myFieldCrops["COTTON"]["lime"] 					= RN.limeApplications["COTTON"];		-- number of times per year
	RN.myFieldCrops["COTTON"]["plow"]					= 1 * RN.isPlowing["COTTON"];			-- number of times per year
	RN.myFieldCrops["COTTON"]["subsoil"]				= 0 * RN.isPlowing["COTTON"];			-- number of times per year
	RN.myFieldCrops["COTTON"]["tineharrow"] 			= 1 * (1- RN.isDirectSeeding["COTTON"]);			-- number of times per year
	RN.myFieldCrops["COTTON"]["discharrow"] 			= 0 * (1- RN.isDirectSeeding["COTTON"]);			-- number of times per year
	RN.myFieldCrops["COTTON"]["powerharrow"] 			= 0 * (1- RN.isDirectSeeding["COTTON"]);			-- number of times per year
	RN.myFieldCrops["COTTON"]["seed"] 					= 0;			-- number of times per year
	RN.myFieldCrops["COTTON"]["plant"] 					= 1;			-- number of times per year
	RN.myFieldCrops["COTTON"]["potatoplant"] 			= 0;			-- number of times per year
	RN.myFieldCrops["COTTON"]["solidfertilizer"] 		= RN.solidFertApplications["COTTON"];	-- number of times per year
	RN.myFieldCrops["COTTON"]["liquidfertilizer"] 		= RN.liquidFertApplications["COTTON"];	-- number of times per year
	RN.myFieldCrops["COTTON"]["spraychemicals"] 		= RN.herbicideApplications["COTTON"];	-- number of times per year
	RN.myFieldCrops["COTTON"]["rolling"] 				= 1 * (1- RN.isDirectSeeding["COTTON"]);			-- number of times per year
	RN.myFieldCrops["COTTON"]["mechanicalweeding"] 		= 0;			-- number of times per year
	RN.myFieldCrops["COTTON"]["cerealharvest"] 			= 0;			-- number of times per year
	RN.myFieldCrops["COTTON"]["rowharvest"] 			= 0;			-- number of times per year
	RN.myFieldCrops["COTTON"]["beetharvest"] 			= 1;			-- number of times per year
	RN.myFieldCrops["COTTON"]["potatoharvest"] 			= 0;			-- number of times per year
	RN.myFieldCrops["COTTON"]["forageharvest"] 			= 0;			-- number of times per year
	RN.myFieldCrops["COTTON"]["mowing"] 				= 0;			-- number of times per year
	RN.myFieldCrops["COTTON"]["windrow"] 				= 0;			-- number of times per year
	RN.myFieldCrops["COTTON"]["tedding"] 				= 0;			-- number of times per year
	RN.myFieldCrops["COTTON"]["bale"] 					= 0;			-- number of times per year
	RN.myFieldCrops["COTTON"]["balewrap"] 				= 0;			-- number of times per year
	RN.myFieldCrops["COTTON"]["balecollect"] 			= 0;			-- number of times per year

	RN.myFieldCrops["CRANBERRY"] = {};
	RN.myFieldCrops["CRANBERRY"]["fields"]				= {};
	RN.myFieldCrops["CRANBERRY"]["myFieldArea"]			= {};
	RN.myFieldCrops["CRANBERRY"]["totalArea"] 			= 0;			-- ha, summing variable, do not change
	RN.myFieldCrops["CRANBERRY"]["fruitName"] 			= "CRANBERRY";
	RN.myFieldCrops["CRANBERRY"]["fields"] 				= {5};			-- field numbers with this crop f. ex. {3, 4, 5}
	RN.myFieldCrops["CRANBERRY"]["myFieldArea"] 		= {0};			-- hectare of each field, f. ex. {2.45, 3.20, 7.4}
	RN.myFieldCrops["CRANBERRY"]["manure"] 				= RN.manureApplications["CRANBERRY"];		-- number of times per year
	RN.myFieldCrops["CRANBERRY"]["slurry"] 				= RN.slurryApplications["CRANBERRY"];		-- number of times per year
	RN.myFieldCrops["CRANBERRY"]["lime"] 				= RN.limeApplications["CRANBERRY"];		-- number of times per year
	RN.myFieldCrops["CRANBERRY"]["plow"]				= 1 * RN.isPlowing["CRANBERRY"];			-- number of times per year
	RN.myFieldCrops["CRANBERRY"]["subsoil"]				= 0 * RN.isPlowing["CRANBERRY"];			-- number of times per year
	RN.myFieldCrops["CRANBERRY"]["tineharrow"] 			= 1 * (1- RN.isDirectSeeding["CRANBERRY"]);			-- number of times per year
	RN.myFieldCrops["CRANBERRY"]["discharrow"] 			= 0 * (1- RN.isDirectSeeding["CRANBERRY"]);			-- number of times per year
	RN.myFieldCrops["CRANBERRY"]["powerharrow"] 		= 0 * (1- RN.isDirectSeeding["CRANBERRY"]);			-- number of times per year
	RN.myFieldCrops["CRANBERRY"]["seed"] 				= 1;			-- number of times per year
	RN.myFieldCrops["CRANBERRY"]["plant"] 				= 0;			-- number of times per year
	RN.myFieldCrops["CRANBERRY"]["potatoplant"] 		= 0;			-- number of times per year
	RN.myFieldCrops["CRANBERRY"]["solidfertilizer"] 	= RN.solidFertApplications["CRANBERRY"];	-- number of times per year
	RN.myFieldCrops["CRANBERRY"]["liquidfertilizer"] 	= RN.liquidFertApplications["CRANBERRY"];	-- number of times per year
	RN.myFieldCrops["CRANBERRY"]["spraychemicals"] 		= RN.herbicideApplications["CRANBERRY"];	-- number of times per year
	RN.myFieldCrops["CRANBERRY"]["rolling"] 			= 1 * (1- RN.isDirectSeeding["CRANBERRY"]);			-- number of times per year
	RN.myFieldCrops["CRANBERRY"]["mechanicalweeding"] 	= 0;			-- number of times per year
	RN.myFieldCrops["CRANBERRY"]["cerealharvest"] 		= 0;			-- number of times per year
	RN.myFieldCrops["CRANBERRY"]["rowharvest"] 			= 0;			-- number of times per year
	RN.myFieldCrops["CRANBERRY"]["beetharvest"] 		= 1;			-- number of times per year
	RN.myFieldCrops["CRANBERRY"]["potatoharvest"] 		= 0;			-- number of times per year
	RN.myFieldCrops["CRANBERRY"]["forageharvest"] 		= 0;			-- number of times per year
	RN.myFieldCrops["CRANBERRY"]["mowing"] 				= 0;			-- number of times per year
	RN.myFieldCrops["CRANBERRY"]["windrow"] 			= 0;			-- number of times per year
	RN.myFieldCrops["CRANBERRY"]["tedding"] 			= 0;			-- number of times per year
	RN.myFieldCrops["CRANBERRY"]["bale"] 				= 0;			-- number of times per year
	RN.myFieldCrops["CRANBERRY"]["balewrap"] 			= 0;			-- number of times per year
	RN.myFieldCrops["CRANBERRY"]["balecollect"] 		= 0;			-- number of times per year

	RN.myFieldCrops["HEMP"] = {};
	RN.myFieldCrops["HEMP"]["fields"]					= {};
	RN.myFieldCrops["HEMP"]["myFieldArea"]				= {};
	RN.myFieldCrops["HEMP"]["totalArea"] 				= 0;			-- ha, summing variable, do not change
	RN.myFieldCrops["HEMP"]["fruitName"] 				= "HEMP";
	RN.myFieldCrops["HEMP"]["fields"] 					= {5};			-- field numbers with this crop f. ex. {3, 4, 5}
	RN.myFieldCrops["HEMP"]["myFieldArea"] 				= {0};			-- hectare of each field, f. ex. {2.45, 3.20, 7.4}
	RN.myFieldCrops["HEMP"]["manure"] 					= RN.manureApplications["HEMP"];		-- number of times per year
	RN.myFieldCrops["HEMP"]["slurry"] 					= RN.slurryApplications["HEMP"];		-- number of times per year
	RN.myFieldCrops["HEMP"]["lime"] 					= RN.limeApplications["HEMP"];		-- number of times per year
	RN.myFieldCrops["HEMP"]["plow"]						= 1 * RN.isPlowing["HEMP"];			-- number of times per year
	RN.myFieldCrops["HEMP"]["subsoil"]					= 0 * RN.isPlowing["HEMP"];			-- number of times per year
	RN.myFieldCrops["HEMP"]["tineharrow"] 				= 1 * (1- RN.isDirectSeeding["HEMP"]);			-- number of times per year
	RN.myFieldCrops["HEMP"]["discharrow"] 				= 0 * (1- RN.isDirectSeeding["HEMP"]);			-- number of times per year
	RN.myFieldCrops["HEMP"]["powerharrow"] 				= 0 * (1- RN.isDirectSeeding["HEMP"]);			-- number of times per year
	RN.myFieldCrops["HEMP"]["seed"] 					= 0;			-- number of times per year
	RN.myFieldCrops["HEMP"]["plant"] 					= 1;			-- number of times per year
	RN.myFieldCrops["HEMP"]["potatoplant"] 				= 0;			-- number of times per year
	RN.myFieldCrops["HEMP"]["solidfertilizer"] 			= RN.solidFertApplications["HEMP"];	-- number of times per year
	RN.myFieldCrops["HEMP"]["liquidfertilizer"] 		= RN.liquidFertApplications["HEMP"];	-- number of times per year
	RN.myFieldCrops["HEMP"]["spraychemicals"] 			= RN.herbicideApplications["HEMP"];	-- number of times per year
	RN.myFieldCrops["HEMP"]["rolling"] 					= 1 * (1- RN.isDirectSeeding["HEMP"]);			-- number of times per year
	RN.myFieldCrops["HEMP"]["mechanicalweeding"] 		= 0;			-- number of times per year
	RN.myFieldCrops["HEMP"]["cerealharvest"] 			= 1;			-- number of times per year
	RN.myFieldCrops["HEMP"]["rowharvest"] 				= 0;			-- number of times per year
	RN.myFieldCrops["HEMP"]["beetharvest"] 				= 0;			-- number of times per year
	RN.myFieldCrops["HEMP"]["potatoharvest"] 			= 0;			-- number of times per year
	RN.myFieldCrops["HEMP"]["forageharvest"] 			= 0;			-- number of times per year
	RN.myFieldCrops["HEMP"]["mowing"] 					= 0;			-- number of times per year
	RN.myFieldCrops["HEMP"]["windrow"] 					= 0;			-- number of times per year
	RN.myFieldCrops["HEMP"]["tedding"] 					= 0;			-- number of times per year
	RN.myFieldCrops["HEMP"]["bale"] 					= 0;			-- number of times per year
	RN.myFieldCrops["HEMP"]["balewrap"] 				= 0;			-- number of times per year
	RN.myFieldCrops["HEMP"]["balecollect"] 				= 0;			-- number of times per year

	RN.myFieldCrops["HOPS"] = {};
	RN.myFieldCrops["HOPS"]["fields"]					= {};
	RN.myFieldCrops["HOPS"]["myFieldArea"]				= {};
	RN.myFieldCrops["HOPS"]["totalArea"] 				= 0;			-- ha, summing variable, do not change
	RN.myFieldCrops["HOPS"]["fruitName"] 				= "HOPS";
	RN.myFieldCrops["HOPS"]["fields"] 					= {5};			-- field numbers with this crop f. ex. {3, 4, 5}
	RN.myFieldCrops["HOPS"]["myFieldArea"] 				= {0};			-- hectare of each field, f. ex. {2.45, 3.20, 7.4}
	RN.myFieldCrops["HOPS"]["manure"] 					= RN.manureApplications["HOPS"];		-- number of times per year
	RN.myFieldCrops["HOPS"]["slurry"] 					= RN.slurryApplications["HOPS"];		-- number of times per year
	RN.myFieldCrops["HOPS"]["lime"] 					= RN.limeApplications["HOPS"];		-- number of times per year
	RN.myFieldCrops["HOPS"]["plow"]						= 1 * RN.isPlowing["HOPS"];			-- number of times per year
	RN.myFieldCrops["HOPS"]["subsoil"]					= 0 * RN.isPlowing["HOPS"];			-- number of times per year
	RN.myFieldCrops["HOPS"]["tineharrow"] 				= 1 * (1- RN.isDirectSeeding["HOPS"]);			-- number of times per year
	RN.myFieldCrops["HOPS"]["discharrow"] 				= 0 * (1- RN.isDirectSeeding["HOPS"]);			-- number of times per year
	RN.myFieldCrops["HOPS"]["powerharrow"] 				= 0 * (1- RN.isDirectSeeding["HOPS"]);			-- number of times per year
	RN.myFieldCrops["HOPS"]["seed"] 					= 1;			-- number of times per year
	RN.myFieldCrops["HOPS"]["plant"] 					= 0;			-- number of times per year
	RN.myFieldCrops["HOPS"]["potatoplant"] 				= 0;			-- number of times per year
	RN.myFieldCrops["HOPS"]["solidfertilizer"] 			= RN.solidFertApplications["HOPS"];	-- number of times per year
	RN.myFieldCrops["HOPS"]["liquidfertilizer"] 		= RN.liquidFertApplications["HOPS"];	-- number of times per year
	RN.myFieldCrops["HOPS"]["spraychemicals"] 			= RN.herbicideApplications["HOPS"];	-- number of times per year
	RN.myFieldCrops["HOPS"]["rolling"] 					= 1 * (1- RN.isDirectSeeding["HOPS"]);			-- number of times per year
	RN.myFieldCrops["HOPS"]["mechanicalweeding"] 		= 0;			-- number of times per year
	RN.myFieldCrops["HOPS"]["cerealharvest"] 			= 0;			-- number of times per year
	RN.myFieldCrops["HOPS"]["rowharvest"] 				= 0;			-- number of times per year
	RN.myFieldCrops["HOPS"]["beetharvest"] 				= 1;			-- number of times per year
	RN.myFieldCrops["HOPS"]["potatoharvest"] 			= 0;			-- number of times per year
	RN.myFieldCrops["HOPS"]["forageharvest"] 			= 0;			-- number of times per year
	RN.myFieldCrops["HOPS"]["mowing"] 					= 0;			-- number of times per year
	RN.myFieldCrops["HOPS"]["windrow"] 					= 0;			-- number of times per year
	RN.myFieldCrops["HOPS"]["tedding"] 					= 0;			-- number of times per year
	RN.myFieldCrops["HOPS"]["bale"] 					= 0;			-- number of times per year
	RN.myFieldCrops["HOPS"]["balewrap"] 				= 0;			-- number of times per year
	RN.myFieldCrops["HOPS"]["balecollect"] 				= 0;			-- number of times per year

	RN.myFieldCrops["MUSTARD"] = {};
	RN.myFieldCrops["MUSTARD"]["fields"]				= {};
	RN.myFieldCrops["MUSTARD"]["myFieldArea"]			= {};
	RN.myFieldCrops["MUSTARD"]["totalArea"] 			= 0;			-- ha, summing variable, do not change
	RN.myFieldCrops["MUSTARD"]["fruitName"] 			= "MUSTARD";
	RN.myFieldCrops["MUSTARD"]["fields"] 				= {5};			-- field numbers with this crop f. ex. {3, 4, 5}
	RN.myFieldCrops["MUSTARD"]["myFieldArea"] 			= {0};			-- hectare of each field, f. ex. {2.45, 3.20, 7.4}
	RN.myFieldCrops["MUSTARD"]["manure"] 				= RN.manureApplications["MUSTARD"];		-- number of times per year
	RN.myFieldCrops["MUSTARD"]["slurry"] 				= RN.slurryApplications["MUSTARD"];		-- number of times per year
	RN.myFieldCrops["MUSTARD"]["lime"] 					= RN.limeApplications["MUSTARD"];		-- number of times per year
	RN.myFieldCrops["MUSTARD"]["plow"]					= 1 * RN.isPlowing["MUSTARD"];			-- number of times per year
	RN.myFieldCrops["MUSTARD"]["subsoil"]				= 0 * RN.isPlowing["MUSTARD"];			-- number of times per year
	RN.myFieldCrops["MUSTARD"]["tineharrow"] 			= 1 * (1- RN.isDirectSeeding["MUSTARD"]);			-- number of times per year
	RN.myFieldCrops["MUSTARD"]["discharrow"] 			= 0 * (1- RN.isDirectSeeding["MUSTARD"]);			-- number of times per year
	RN.myFieldCrops["MUSTARD"]["powerharrow"] 			= 0 * (1- RN.isDirectSeeding["MUSTARD"]);			-- number of times per year
	RN.myFieldCrops["MUSTARD"]["seed"] 					= 1;			-- number of times per year
	RN.myFieldCrops["MUSTARD"]["plant"] 				= 0;			-- number of times per year
	RN.myFieldCrops["MUSTARD"]["potatoplant"] 			= 0;			-- number of times per year
	RN.myFieldCrops["MUSTARD"]["solidfertilizer"] 		= RN.solidFertApplications["MUSTARD"];	-- number of times per year
	RN.myFieldCrops["MUSTARD"]["liquidfertilizer"] 		= RN.liquidFertApplications["MUSTARD"];	-- number of times per year
	RN.myFieldCrops["MUSTARD"]["spraychemicals"] 		= RN.herbicideApplications["MUSTARD"];	-- number of times per year
	RN.myFieldCrops["MUSTARD"]["rolling"] 				= 1 * (1- RN.isDirectSeeding["MUSTARD"]);			-- number of times per year
	RN.myFieldCrops["MUSTARD"]["mechanicalweeding"] 	= 0;			-- number of times per year
	RN.myFieldCrops["MUSTARD"]["cerealharvest"] 		= 1;			-- number of times per year
	RN.myFieldCrops["MUSTARD"]["rowharvest"] 			= 0;			-- number of times per year
	RN.myFieldCrops["MUSTARD"]["beetharvest"] 			= 0;			-- number of times per year
	RN.myFieldCrops["MUSTARD"]["potatoharvest"] 		= 0;			-- number of times per year
	RN.myFieldCrops["MUSTARD"]["forageharvest"] 		= 0;			-- number of times per year
	RN.myFieldCrops["MUSTARD"]["mowing"] 				= 0;			-- number of times per year
	RN.myFieldCrops["MUSTARD"]["windrow"] 				= 0;			-- number of times per year
	RN.myFieldCrops["MUSTARD"]["tedding"] 				= 0;			-- number of times per year
	RN.myFieldCrops["MUSTARD"]["bale"] 					= 0;			-- number of times per year
	RN.myFieldCrops["MUSTARD"]["balewrap"] 				= 0;			-- number of times per year
	RN.myFieldCrops["MUSTARD"]["balecollect"] 			= 0;			-- number of times per year

	RN.myFieldCrops["PEANUT"] = {};
	RN.myFieldCrops["PEANUT"]["fields"]					= {};
	RN.myFieldCrops["PEANUT"]["myFieldArea"]			= {};
	RN.myFieldCrops["PEANUT"]["totalArea"] 				= 0;			-- ha, summing variable, do not change
	RN.myFieldCrops["PEANUT"]["fruitName"] 				= "PEANUT";
	RN.myFieldCrops["PEANUT"]["fields"] 				= {5};			-- field numbers with this crop f. ex. {3, 4, 5}
	RN.myFieldCrops["PEANUT"]["myFieldArea"] 			= {0};			-- hectare of each field, f. ex. {2.45, 3.20, 7.4}
	RN.myFieldCrops["PEANUT"]["manure"] 				= RN.manureApplications["PEANUT"];		-- number of times per year
	RN.myFieldCrops["PEANUT"]["slurry"] 				= RN.slurryApplications["PEANUT"];		-- number of times per year
	RN.myFieldCrops["PEANUT"]["lime"] 					= RN.limeApplications["PEANUT"];		-- number of times per year
	RN.myFieldCrops["PEANUT"]["plow"]					= 1 * RN.isPlowing["PEANUT"];			-- number of times per year
	RN.myFieldCrops["PEANUT"]["subsoil"]				= 0 * RN.isPlowing["PEANUT"];			-- number of times per year
	RN.myFieldCrops["PEANUT"]["tineharrow"] 			= 1 * (1- RN.isDirectSeeding["PEANUT"]);			-- number of times per year
	RN.myFieldCrops["PEANUT"]["discharrow"] 			= 0 * (1- RN.isDirectSeeding["PEANUT"]);			-- number of times per year
	RN.myFieldCrops["PEANUT"]["powerharrow"] 			= 0 * (1- RN.isDirectSeeding["PEANUT"]);			-- number of times per year
	RN.myFieldCrops["PEANUT"]["seed"] 					= 0;			-- number of times per year
	RN.myFieldCrops["PEANUT"]["plant"] 					= 1;			-- number of times per year
	RN.myFieldCrops["PEANUT"]["potatoplant"] 			= 0;			-- number of times per year
	RN.myFieldCrops["PEANUT"]["solidfertilizer"] 		= RN.solidFertApplications["PEANUT"];	-- number of times per year
	RN.myFieldCrops["PEANUT"]["liquidfertilizer"] 		= RN.liquidFertApplications["PEANUT"];	-- number of times per year
	RN.myFieldCrops["PEANUT"]["spraychemicals"] 		= RN.herbicideApplications["PEANUT"];	-- number of times per year
	RN.myFieldCrops["PEANUT"]["rolling"] 				= 1 * (1- RN.isDirectSeeding["PEANUT"]);			-- number of times per year
	RN.myFieldCrops["PEANUT"]["mechanicalweeding"] 		= 0;			-- number of times per year
	RN.myFieldCrops["PEANUT"]["cerealharvest"] 			= 1;			-- number of times per year
	RN.myFieldCrops["PEANUT"]["rowharvest"] 			= 0;			-- number of times per year
	RN.myFieldCrops["PEANUT"]["beetharvest"] 			= 0;			-- number of times per year
	RN.myFieldCrops["PEANUT"]["potatoharvest"] 			= 0;			-- number of times per year
	RN.myFieldCrops["PEANUT"]["forageharvest"] 			= 0;			-- number of times per year
	RN.myFieldCrops["PEANUT"]["mowing"] 				= 0;			-- number of times per year
	RN.myFieldCrops["PEANUT"]["windrow"] 				= 0;			-- number of times per year
	RN.myFieldCrops["PEANUT"]["tedding"] 				= 0;			-- number of times per year
	RN.myFieldCrops["PEANUT"]["bale"] 					= 0;			-- number of times per year
	RN.myFieldCrops["PEANUT"]["balewrap"] 				= 0;			-- number of times per year
	RN.myFieldCrops["PEANUT"]["balecollect"] 			= 0;			-- number of times per year

	RN.myFieldCrops["POPLAR"] = {};
	RN.myFieldCrops["POPLAR"]["fields"]					= {};
	RN.myFieldCrops["POPLAR"]["myFieldArea"]			= {};
	RN.myFieldCrops["POPLAR"]["totalArea"] 				= 0;			-- ha, summing variable, do not change
	RN.myFieldCrops["POPLAR"]["fruitName"] 				= "POPLAR";
	RN.myFieldCrops["POPLAR"]["fields"] 				= {5};			-- field numbers with this crop f. ex. {3, 4, 5}
	RN.myFieldCrops["POPLAR"]["myFieldArea"] 			= {0};			-- hectare of each field, f. ex. {2.45, 3.20, 7.4}
	RN.myFieldCrops["POPLAR"]["manure"] 				= RN.manureApplications["POPLAR"];		-- number of times per year
	RN.myFieldCrops["POPLAR"]["slurry"] 				= RN.slurryApplications["POPLAR"];		-- number of times per year
	RN.myFieldCrops["POPLAR"]["lime"] 					= RN.limeApplications["POPLAR"];		-- number of times per year
	RN.myFieldCrops["POPLAR"]["plow"]					= 1 * RN.isPlowing["POPLAR"];			-- number of times per year
	RN.myFieldCrops["POPLAR"]["subsoil"]				= 0 * RN.isPlowing["POPLAR"];			-- number of times per year
	RN.myFieldCrops["POPLAR"]["tineharrow"] 			= 1 * (1- RN.isDirectSeeding["POPLAR"]);			-- number of times per year
	RN.myFieldCrops["POPLAR"]["discharrow"] 			= 0 * (1- RN.isDirectSeeding["POPLAR"]);			-- number of times per year
	RN.myFieldCrops["POPLAR"]["powerharrow"] 			= 0 * (1- RN.isDirectSeeding["POPLAR"]);			-- number of times per year
	RN.myFieldCrops["POPLAR"]["seed"] 					= 0;			-- number of times per year
	RN.myFieldCrops["POPLAR"]["plant"] 					= 0;			-- number of times per year
	RN.myFieldCrops["POPLAR"]["potatoplant"] 			= 0;			-- number of times per year
	RN.myFieldCrops["POPLAR"]["solidfertilizer"] 		= RN.solidFertApplications["POPLAR"];	-- number of times per year
	RN.myFieldCrops["POPLAR"]["liquidfertilizer"] 		= RN.liquidFertApplications["POPLAR"];	-- number of times per year
	RN.myFieldCrops["POPLAR"]["spraychemicals"] 		= RN.herbicideApplications["POPLAR"];	-- number of times per year
	RN.myFieldCrops["POPLAR"]["rolling"] 				= 1 * (1- RN.isDirectSeeding["POPLAR"]);			-- number of times per year
	RN.myFieldCrops["POPLAR"]["mechanicalweeding"] 		= 0;			-- number of times per year
	RN.myFieldCrops["POPLAR"]["cerealharvest"] 			= 0;			-- number of times per year
	RN.myFieldCrops["POPLAR"]["rowharvest"] 			= 0;			-- number of times per year
	RN.myFieldCrops["POPLAR"]["beetharvest"] 			= 0;			-- number of times per year
	RN.myFieldCrops["POPLAR"]["potatoharvest"] 			= 0;			-- number of times per year
	RN.myFieldCrops["POPLAR"]["forageharvest"] 			= 0;			-- number of times per year
	RN.myFieldCrops["POPLAR"]["mowing"] 				= 0;			-- number of times per year
	RN.myFieldCrops["POPLAR"]["windrow"] 				= 0;			-- number of times per year
	RN.myFieldCrops["POPLAR"]["tedding"] 				= 0;			-- number of times per year
	RN.myFieldCrops["POPLAR"]["bale"] 					= 0;			-- number of times per year
	RN.myFieldCrops["POPLAR"]["balewrap"] 				= 0;			-- number of times per year
	RN.myFieldCrops["POPLAR"]["balecollect"] 			= 0;			-- number of times per year

	RN.myFieldCrops["POPPY"] = {};
	RN.myFieldCrops["POPPY"]["fields"]					= {};
	RN.myFieldCrops["POPPY"]["myFieldArea"]				= {};
	RN.myFieldCrops["POPPY"]["totalArea"] 				= 0;			-- ha, summing variable, do not change
	RN.myFieldCrops["POPPY"]["fruitName"] 				= "POPPY";
	RN.myFieldCrops["POPPY"]["fields"] 					= {5};			-- field numbers with this crop f. ex. {3, 4, 5}
	RN.myFieldCrops["POPPY"]["myFieldArea"] 			= {0};			-- hectare of each field, f. ex. {2.45, 3.20, 7.4}
	RN.myFieldCrops["POPPY"]["manure"] 					= RN.manureApplications["POPPY"];		-- number of times per year
	RN.myFieldCrops["POPPY"]["slurry"] 					= RN.slurryApplications["POPPY"];		-- number of times per year
	RN.myFieldCrops["POPPY"]["lime"] 					= RN.limeApplications["POPPY"];		-- number of times per year
	RN.myFieldCrops["POPPY"]["plow"]					= 1 * RN.isPlowing["POPPY"];			-- number of times per year
	RN.myFieldCrops["POPPY"]["subsoil"]					= 0 * RN.isPlowing["POPPY"];			-- number of times per year
	RN.myFieldCrops["POPPY"]["tineharrow"] 				= 1 * (1- RN.isDirectSeeding["POPPY"]);			-- number of times per year
	RN.myFieldCrops["POPPY"]["discharrow"] 				= 0 * (1- RN.isDirectSeeding["POPPY"]);			-- number of times per year
	RN.myFieldCrops["POPPY"]["powerharrow"] 			= 0 * (1- RN.isDirectSeeding["POPPY"]);			-- number of times per year
	RN.myFieldCrops["POPPY"]["seed"] 					= 1;			-- number of times per year
	RN.myFieldCrops["POPPY"]["plant"] 					= 0;			-- number of times per year
	RN.myFieldCrops["POPPY"]["potatoplant"] 			= 0;			-- number of times per year
	RN.myFieldCrops["POPPY"]["solidfertilizer"] 		= RN.solidFertApplications["POPPY"];	-- number of times per year
	RN.myFieldCrops["POPPY"]["liquidfertilizer"] 		= RN.liquidFertApplications["POPPY"];	-- number of times per year
	RN.myFieldCrops["POPPY"]["spraychemicals"] 			= RN.herbicideApplications["POPPY"];	-- number of times per year
	RN.myFieldCrops["POPPY"]["rolling"] 				= 1 * (1- RN.isDirectSeeding["POPPY"]);			-- number of times per year
	RN.myFieldCrops["POPPY"]["mechanicalweeding"] 		= 0;			-- number of times per year
	RN.myFieldCrops["POPPY"]["cerealharvest"] 			= 1;			-- number of times per year
	RN.myFieldCrops["POPPY"]["rowharvest"] 				= 0;			-- number of times per year
	RN.myFieldCrops["POPPY"]["beetharvest"] 			= 0;			-- number of times per year
	RN.myFieldCrops["POPPY"]["potatoharvest"] 			= 0;			-- number of times per year
	RN.myFieldCrops["POPPY"]["forageharvest"] 			= 0;			-- number of times per year
	RN.myFieldCrops["POPPY"]["mowing"] 					= 0;			-- number of times per year
	RN.myFieldCrops["POPPY"]["windrow"] 				= 0;			-- number of times per year
	RN.myFieldCrops["POPPY"]["tedding"] 				= 0;			-- number of times per year
	RN.myFieldCrops["POPPY"]["bale"] 					= 0;			-- number of times per year
	RN.myFieldCrops["POPPY"]["balewrap"] 				= 0;			-- number of times per year
	RN.myFieldCrops["POPPY"]["balecollect"] 			= 0;			-- number of times per year

	RN.myFieldCrops["RICE"] = {};
	RN.myFieldCrops["RICE"]["fields"]					= {};
	RN.myFieldCrops["RICE"]["myFieldArea"]				= {};
	RN.myFieldCrops["RICE"]["totalArea"] 				= 0;			-- ha, summing variable, do not change
	RN.myFieldCrops["RICE"]["fruitName"] 				= "RICE";
	RN.myFieldCrops["RICE"]["fields"] 					= {5};			-- field numbers with this crop f. ex. {3, 4, 5}
	RN.myFieldCrops["RICE"]["myFieldArea"] 				= {0};			-- hectare of each field, f. ex. {2.45, 3.20, 7.4}
	RN.myFieldCrops["RICE"]["manure"] 					= RN.manureApplications["RICE"];		-- number of times per year
	RN.myFieldCrops["RICE"]["slurry"] 					= RN.slurryApplications["RICE"];		-- number of times per year
	RN.myFieldCrops["RICE"]["lime"] 					= RN.limeApplications["RICE"];		-- number of times per year
	RN.myFieldCrops["RICE"]["plow"]						= 1 * RN.isPlowing["RICE"];			-- number of times per year
	RN.myFieldCrops["RICE"]["subsoil"]					= 0 * RN.isPlowing["RICE"];			-- number of times per year
	RN.myFieldCrops["RICE"]["tineharrow"] 				= 1 * (1- RN.isDirectSeeding["RICE"]);			-- number of times per year
	RN.myFieldCrops["RICE"]["discharrow"] 				= 0 * (1- RN.isDirectSeeding["RICE"]);			-- number of times per year
	RN.myFieldCrops["RICE"]["powerharrow"] 				= 0 * (1- RN.isDirectSeeding["RICE"]);			-- number of times per year
	RN.myFieldCrops["RICE"]["seed"] 					= 1;			-- number of times per year
	RN.myFieldCrops["RICE"]["plant"] 					= 0;			-- number of times per year
	RN.myFieldCrops["RICE"]["potatoplant"] 				= 0;			-- number of times per year
	RN.myFieldCrops["RICE"]["solidfertilizer"] 			= RN.solidFertApplications["RICE"];	-- number of times per year
	RN.myFieldCrops["RICE"]["liquidfertilizer"] 		= RN.liquidFertApplications["RICE"];	-- number of times per year
	RN.myFieldCrops["RICE"]["spraychemicals"] 			= RN.herbicideApplications["RICE"];	-- number of times per year
	RN.myFieldCrops["RICE"]["rolling"] 					= 1 * (1- RN.isDirectSeeding["RICE"]);			-- number of times per year
	RN.myFieldCrops["RICE"]["mechanicalweeding"] 		= 0;			-- number of times per year
	RN.myFieldCrops["RICE"]["cerealharvest"] 			= 1;			-- number of times per year
	RN.myFieldCrops["RICE"]["rowharvest"] 				= 0;			-- number of times per year
	RN.myFieldCrops["RICE"]["beetharvest"] 				= 0;			-- number of times per year
	RN.myFieldCrops["RICE"]["potatoharvest"] 			= 0;			-- number of times per year
	RN.myFieldCrops["RICE"]["forageharvest"] 			= 0;			-- number of times per year
	RN.myFieldCrops["RICE"]["mowing"] 					= 0;			-- number of times per year
	RN.myFieldCrops["RICE"]["windrow"] 					= 0;			-- number of times per year
	RN.myFieldCrops["RICE"]["tedding"] 					= 0;			-- number of times per year
	RN.myFieldCrops["RICE"]["bale"] 					= 0;			-- number of times per year
	RN.myFieldCrops["RICE"]["balewrap"] 				= 0;			-- number of times per year
	RN.myFieldCrops["RICE"]["balecollect"] 				= 0;			-- number of times per year

	RN.myFieldCrops["SUGARCANE"] = {};
	RN.myFieldCrops["SUGARCANE"]["fields"]				= {};
	RN.myFieldCrops["SUGARCANE"]["myFieldArea"]			= {};
	RN.myFieldCrops["SUGARCANE"]["totalArea"] 			= 0;			-- ha, summing variable, do not change
	RN.myFieldCrops["SUGARCANE"]["fruitName"] 			= "SUGARCANE";
	RN.myFieldCrops["SUGARCANE"]["fields"] 				= {5};			-- field numbers with this crop f. ex. {3, 4, 5}
	RN.myFieldCrops["SUGARCANE"]["myFieldArea"] 		= {0};			-- hectare of each field, f. ex. {2.45, 3.20, 7.4}
	RN.myFieldCrops["SUGARCANE"]["manure"] 				= RN.manureApplications["SUGARCANE"];		-- number of times per year
	RN.myFieldCrops["SUGARCANE"]["slurry"] 				= RN.slurryApplications["SUGARCANE"];		-- number of times per year
	RN.myFieldCrops["SUGARCANE"]["lime"] 				= RN.limeApplications["SUGARCANE"];		-- number of times per year
	RN.myFieldCrops["SUGARCANE"]["plow"]				= 1 * RN.isPlowing["SUGARCANE"];			-- number of times per year
	RN.myFieldCrops["SUGARCANE"]["subsoil"]				= 0 * RN.isPlowing["SUGARCANE"];			-- number of times per year
	RN.myFieldCrops["SUGARCANE"]["tineharrow"] 			= 1 * (1- RN.isDirectSeeding["SUGARCANE"]);			-- number of times per year
	RN.myFieldCrops["SUGARCANE"]["discharrow"] 			= 0 * (1- RN.isDirectSeeding["SUGARCANE"]);			-- number of times per year
	RN.myFieldCrops["SUGARCANE"]["powerharrow"] 		= 0 * (1- RN.isDirectSeeding["SUGARCANE"]);			-- number of times per year
	RN.myFieldCrops["SUGARCANE"]["seed"] 				= 0;			-- number of times per year
	RN.myFieldCrops["SUGARCANE"]["plant"] 				= 0;			-- number of times per year
	RN.myFieldCrops["SUGARCANE"]["potatoplant"] 		= 0;			-- number of times per year
	RN.myFieldCrops["SUGARCANE"]["solidfertilizer"] 	= RN.solidFertApplications["SUGARCANE"];	-- number of times per year
	RN.myFieldCrops["SUGARCANE"]["liquidfertilizer"] 	= RN.liquidFertApplications["SUGARCANE"];	-- number of times per year
	RN.myFieldCrops["SUGARCANE"]["spraychemicals"] 		= RN.herbicideApplications["SUGARCANE"];	-- number of times per year
	RN.myFieldCrops["SUGARCANE"]["rolling"] 			= 1 * (1- RN.isDirectSeeding["SUGARCANE"]);			-- number of times per year
	RN.myFieldCrops["SUGARCANE"]["mechanicalweeding"] 	= 0;			-- number of times per year
	RN.myFieldCrops["SUGARCANE"]["cerealharvest"] 		= 0;			-- number of times per year
	RN.myFieldCrops["SUGARCANE"]["rowharvest"] 			= 0;			-- number of times per year
	RN.myFieldCrops["SUGARCANE"]["beetharvest"] 		= 0;			-- number of times per year
	RN.myFieldCrops["SUGARCANE"]["potatoharvest"] 		= 0;			-- number of times per year
	RN.myFieldCrops["SUGARCANE"]["forageharvest"] 		= 0;			-- number of times per year
	RN.myFieldCrops["SUGARCANE"]["mowing"] 				= 0;			-- number of times per year
	RN.myFieldCrops["SUGARCANE"]["windrow"] 			= 0;			-- number of times per year
	RN.myFieldCrops["SUGARCANE"]["tedding"] 			= 0;			-- number of times per year
	RN.myFieldCrops["SUGARCANE"]["bale"] 				= 0;			-- number of times per year
	RN.myFieldCrops["SUGARCANE"]["balewrap"] 			= 0;			-- number of times per year
	RN.myFieldCrops["SUGARCANE"]["balecollect"] 		= 0;			-- number of times per year

	RN.myFieldCrops["TOBACCO"] = {};
	RN.myFieldCrops["TOBACCO"]["fields"]				= {};
	RN.myFieldCrops["TOBACCO"]["myFieldArea"]			= {};
	RN.myFieldCrops["TOBACCO"]["totalArea"] 			= 0;			-- ha, summing variable, do not change
	RN.myFieldCrops["TOBACCO"]["fruitName"] 			= "TOBACCO";
	RN.myFieldCrops["TOBACCO"]["fields"] 				= {5};			-- field numbers with this crop f. ex. {3, 4, 5}
	RN.myFieldCrops["TOBACCO"]["myFieldArea"] 			= {0};			-- hectare of each field, f. ex. {2.45, 3.20, 7.4}
	RN.myFieldCrops["TOBACCO"]["manure"] 				= RN.manureApplications["TOBACCO"];		-- number of times per year
	RN.myFieldCrops["TOBACCO"]["slurry"] 				= RN.slurryApplications["TOBACCO"];		-- number of times per year
	RN.myFieldCrops["TOBACCO"]["lime"] 					= RN.limeApplications["TOBACCO"];		-- number of times per year
	RN.myFieldCrops["TOBACCO"]["plow"]					= 1 * RN.isPlowing["TOBACCO"];			-- number of times per year
	RN.myFieldCrops["TOBACCO"]["subsoil"]				= 0 * RN.isPlowing["TOBACCO"];			-- number of times per year
	RN.myFieldCrops["TOBACCO"]["tineharrow"] 			= 1 * (1- RN.isDirectSeeding["TOBACCO"]);			-- number of times per year
	RN.myFieldCrops["TOBACCO"]["discharrow"] 			= 0 * (1- RN.isDirectSeeding["TOBACCO"]);			-- number of times per year
	RN.myFieldCrops["TOBACCO"]["powerharrow"] 			= 0 * (1- RN.isDirectSeeding["TOBACCO"]);			-- number of times per year
	RN.myFieldCrops["TOBACCO"]["seed"] 					= 1;			-- number of times per year
	RN.myFieldCrops["TOBACCO"]["plant"] 				= 0;			-- number of times per year
	RN.myFieldCrops["TOBACCO"]["potatoplant"] 			= 0;			-- number of times per year
	RN.myFieldCrops["TOBACCO"]["solidfertilizer"] 		= RN.solidFertApplications["TOBACCO"];	-- number of times per year
	RN.myFieldCrops["TOBACCO"]["liquidfertilizer"] 		= RN.liquidFertApplications["TOBACCO"];	-- number of times per year
	RN.myFieldCrops["TOBACCO"]["spraychemicals"] 		= RN.herbicideApplications["TOBACCO"];	-- number of times per year
	RN.myFieldCrops["TOBACCO"]["rolling"] 				= 1 * (1- RN.isDirectSeeding["TOBACCO"]);			-- number of times per year
	RN.myFieldCrops["TOBACCO"]["mechanicalweeding"] 	= 0;			-- number of times per year
	RN.myFieldCrops["TOBACCO"]["cerealharvest"] 		= 1;			-- number of times per year
	RN.myFieldCrops["TOBACCO"]["rowharvest"] 			= 0;			-- number of times per year
	RN.myFieldCrops["TOBACCO"]["beetharvest"] 			= 0;			-- number of times per year
	RN.myFieldCrops["TOBACCO"]["potatoharvest"] 		= 0;			-- number of times per year
	RN.myFieldCrops["TOBACCO"]["forageharvest"] 		= 0;			-- number of times per year
	RN.myFieldCrops["TOBACCO"]["mowing"] 				= 0;			-- number of times per year
	RN.myFieldCrops["TOBACCO"]["windrow"] 				= 0;			-- number of times per year
	RN.myFieldCrops["TOBACCO"]["tedding"] 				= 0;			-- number of times per year
	RN.myFieldCrops["TOBACCO"]["bale"] 					= 0;			-- number of times per year
	RN.myFieldCrops["TOBACCO"]["balewrap"] 				= 0;			-- number of times per year
	RN.myFieldCrops["TOBACCO"]["balecollect"] 			= 0;			-- number of times per year

--	grassCrops = "ALFALFA CLOVER DRYLUZERNE GRASS INCARASE_GRASS LUCERNE LUZERNE SUDANGRASS";

	RN.myFieldCrops["ALFALFA"] = {};
	RN.myFieldCrops["ALFALFA"]["fields"]				= {};
	RN.myFieldCrops["ALFALFA"]["myFieldArea"]			= {};
	RN.myFieldCrops["ALFALFA"]["totalArea"] 			= 0;			-- ha, summing variable, do not change
	RN.myFieldCrops["ALFALFA"]["fruitName"] 			= "ALFALFA";
	RN.myFieldCrops["ALFALFA"]["fields"] 				= {21};			-- field numbers with this crop f. ex. {3, 4, 5}
	RN.myFieldCrops["ALFALFA"]["myFieldArea"] 			= {5.2};			-- hectare of each field, f. ex. {2.45, 3.20, 7.4}
	RN.myFieldCrops["ALFALFA"]["manure"] 				= RN.manureApplications["ALFALFA"];		-- number of times per year
	RN.myFieldCrops["ALFALFA"]["slurry"] 				= RN.slurryApplications["ALFALFA"];		-- number of times per year
	RN.myFieldCrops["ALFALFA"]["lime"] 					= RN.limeApplications["ALFALFA"];		-- number of times per year
	RN.myFieldCrops["ALFALFA"]["plow"]					= 1 * RN.isPlowing["ALFALFA"];			-- number of times per year
	RN.myFieldCrops["ALFALFA"]["subsoil"]				= 0 * RN.isPlowing["ALFALFA"];			-- number of times per year
	RN.myFieldCrops["ALFALFA"]["tineharrow"] 			= 1 * (1- RN.isDirectSeeding["ALFALFA"]);			-- number of times per year
	RN.myFieldCrops["ALFALFA"]["discharrow"] 			= 0 * (1- RN.isDirectSeeding["ALFALFA"]);			-- number of times per year
	RN.myFieldCrops["ALFALFA"]["powerharrow"] 			= 0 * (1- RN.isDirectSeeding["ALFALFA"]);			-- number of times per year
	RN.myFieldCrops["ALFALFA"]["seed"] 					= 1;			-- number of times per year
	RN.myFieldCrops["ALFALFA"]["plant"] 				= 0;			-- number of times per year
	RN.myFieldCrops["ALFALFA"]["potatoplant"] 			= 0;			-- number of times per year
	RN.myFieldCrops["ALFALFA"]["solidfertilizer"] 		= RN.solidFertApplications["ALFALFA"];	-- number of times per year
	RN.myFieldCrops["ALFALFA"]["liquidfertilizer"] 		= RN.liquidFertApplications["ALFALFA"];	-- number of times per year
	RN.myFieldCrops["ALFALFA"]["spraychemicals"] 		= RN.herbicideApplications["ALFALFA"];	-- number of times per year
	RN.myFieldCrops["ALFALFA"]["rolling"] 				= 1 * (1- RN.isDirectSeeding["ALFALFA"]);			-- number of times per year
	RN.myFieldCrops["ALFALFA"]["mechanicalweeding"] 	= 0;			-- number of times per year
	RN.myFieldCrops["ALFALFA"]["cerealharvest"] 		= 0;			-- number of times per year
	RN.myFieldCrops["ALFALFA"]["rowharvest"] 			= 0;			-- number of times per year
	RN.myFieldCrops["ALFALFA"]["beetharvest"] 			= 0;			-- number of times per year
	RN.myFieldCrops["ALFALFA"]["potatoharvest"] 		= 0;			-- number of times per year
	RN.myFieldCrops["ALFALFA"]["forageharvest"] 		= 0;			-- number of times per year
	RN.myFieldCrops["ALFALFA"]["mowing"] 				= 3;			-- number of times per year
	RN.myFieldCrops["ALFALFA"]["windrow"] 				= 3;			-- number of times per year
	RN.myFieldCrops["ALFALFA"]["tedding"] 				= 0;			-- number of times per year
	RN.myFieldCrops["ALFALFA"]["bale"] 					= 3;			-- number of times per year
	RN.myFieldCrops["ALFALFA"]["balewrap"] 				= 3;			-- number of times per year
	RN.myFieldCrops["ALFALFA"]["balecollect"] 			= 3;			-- number of times per year
	RN.myFieldCrops["ALFALFA"]["HAY"]					= 0;			-- number of times per year 
	RN.myFieldCrops["ALFALFA"]["SILAGE"]				= 3;			-- number of times per year 

	RN.myFieldCrops["CLOVER"] = {};
	RN.myFieldCrops["CLOVER"]["fields"]					= {};
	RN.myFieldCrops["CLOVER"]["myFieldArea"]			= {};
	RN.myFieldCrops["CLOVER"]["totalArea"] 				= 0;			-- ha, summing variable, do not change
	RN.myFieldCrops["CLOVER"]["fruitName"] 				= "CLOVER";
	RN.myFieldCrops["CLOVER"]["fields"] 				= {17};			-- field numbers with this crop f. ex. {3, 4, 5}
	RN.myFieldCrops["CLOVER"]["myFieldArea"] 			= {3.7};			-- hectare of each field, f. ex. {2.45, 3.20, 7.4}
	RN.myFieldCrops["CLOVER"]["manure"] 				= RN.manureApplications["CLOVER"];		-- number of times per year
	RN.myFieldCrops["CLOVER"]["slurry"] 				= RN.slurryApplications["CLOVER"];		-- number of times per year
	RN.myFieldCrops["CLOVER"]["lime"] 					= RN.limeApplications["CLOVER"];		-- number of times per year
	RN.myFieldCrops["CLOVER"]["plow"]					= 1 * RN.isPlowing["CLOVER"];			-- number of times per year
	RN.myFieldCrops["CLOVER"]["subsoil"]				= 0 * RN.isPlowing["CLOVER"];			-- number of times per year
	RN.myFieldCrops["CLOVER"]["tineharrow"] 			= 1 * (1- RN.isDirectSeeding["CLOVER"]);			-- number of times per year
	RN.myFieldCrops["CLOVER"]["discharrow"] 			= 0 * (1- RN.isDirectSeeding["CLOVER"]);			-- number of times per year
	RN.myFieldCrops["CLOVER"]["powerharrow"] 			= 0 * (1- RN.isDirectSeeding["CLOVER"]);			-- number of times per year
	RN.myFieldCrops["CLOVER"]["seed"] 					= 1;			-- number of times per year
	RN.myFieldCrops["CLOVER"]["plant"] 					= 0;			-- number of times per year
	RN.myFieldCrops["CLOVER"]["potatoplant"] 			= 0;			-- number of times per year
	RN.myFieldCrops["CLOVER"]["solidfertilizer"] 		= RN.solidFertApplications["CLOVER"];	-- number of times per year
	RN.myFieldCrops["CLOVER"]["liquidfertilizer"] 		= RN.liquidFertApplications["CLOVER"];	-- number of times per year
	RN.myFieldCrops["CLOVER"]["spraychemicals"] 		= RN.herbicideApplications["CLOVER"];	-- number of times per year
	RN.myFieldCrops["CLOVER"]["rolling"] 				= 1 * (1- RN.isDirectSeeding["CLOVER"]);			-- number of times per year
	RN.myFieldCrops["CLOVER"]["mechanicalweeding"] 		= 0;			-- number of times per year
	RN.myFieldCrops["CLOVER"]["cerealharvest"] 			= 0;			-- number of times per year
	RN.myFieldCrops["CLOVER"]["rowharvest"] 			= 0;			-- number of times per year
	RN.myFieldCrops["CLOVER"]["beetharvest"] 			= 0;			-- number of times per year
	RN.myFieldCrops["CLOVER"]["potatoharvest"] 			= 0;			-- number of times per year
	RN.myFieldCrops["CLOVER"]["forageharvest"] 			= 0;			-- number of times per year
	RN.myFieldCrops["CLOVER"]["mowing"] 				= 3;			-- number of times per year
	RN.myFieldCrops["CLOVER"]["windrow"] 				= 3;			-- number of times per year
	RN.myFieldCrops["CLOVER"]["tedding"] 				= 0;			-- number of times per year
	RN.myFieldCrops["CLOVER"]["bale"] 					= 3;			-- number of times per year
	RN.myFieldCrops["CLOVER"]["balewrap"] 				= 3;			-- number of times per year
	RN.myFieldCrops["CLOVER"]["balecollect"] 			= 3;			-- number of times per year
	RN.myFieldCrops["CLOVER"]["HAY"]					= 0;			-- number of times per year 
	RN.myFieldCrops["CLOVER"]["SILAGE"]					= 3;			-- number of times per year 

	RN.myFieldCrops["DRYLUZERNE"] = {};
	RN.myFieldCrops["DRYLUZERNE"]["fields"]				= {};
	RN.myFieldCrops["DRYLUZERNE"]["myFieldArea"]		= {};
	RN.myFieldCrops["DRYLUZERNE"]["totalArea"] 			= 0;			-- ha, summing variable, do not change
	RN.myFieldCrops["DRYLUZERNE"]["fruitName"] 			= "DRYLUZERNE";
	RN.myFieldCrops["DRYLUZERNE"]["fields"] 			= {5};			-- field numbers with this crop f. ex. {3, 4, 5}
	RN.myFieldCrops["DRYLUZERNE"]["myFieldArea"] 		= {0};			-- hectare of each field, f. ex. {2.45, 3.20, 7.4}
	RN.myFieldCrops["DRYLUZERNE"]["manure"] 			= RN.manureApplications["DRYLUZERNE"];		-- number of times per year
	RN.myFieldCrops["DRYLUZERNE"]["slurry"] 			= RN.slurryApplications["DRYLUZERNE"];		-- number of times per year
	RN.myFieldCrops["DRYLUZERNE"]["lime"] 				= RN.limeApplications["DRYLUZERNE"];		-- number of times per year
	RN.myFieldCrops["DRYLUZERNE"]["plow"]				= 1 * RN.isPlowing["DRYLUZERNE"];			-- number of times per year
	RN.myFieldCrops["DRYLUZERNE"]["subsoil"]			= 0 * RN.isPlowing["DRYLUZERNE"];			-- number of times per year
	RN.myFieldCrops["DRYLUZERNE"]["tineharrow"] 		= 1 * (1- RN.isDirectSeeding["DRYLUZERNE"]);			-- number of times per year
	RN.myFieldCrops["DRYLUZERNE"]["discharrow"] 		= 0 * (1- RN.isDirectSeeding["DRYLUZERNE"]);			-- number of times per year
	RN.myFieldCrops["DRYLUZERNE"]["powerharrow"] 		= 0 * (1- RN.isDirectSeeding["DRYLUZERNE"]);			-- number of times per year
	RN.myFieldCrops["DRYLUZERNE"]["seed"] 				= 1;			-- number of times per year
	RN.myFieldCrops["DRYLUZERNE"]["plant"] 				= 0;			-- number of times per year
	RN.myFieldCrops["DRYLUZERNE"]["potatoplant"] 		= 0;			-- number of times per year
	RN.myFieldCrops["DRYLUZERNE"]["solidfertilizer"] 	= RN.solidFertApplications["DRYLUZERNE"];	-- number of times per year
	RN.myFieldCrops["DRYLUZERNE"]["liquidfertilizer"] 	= RN.liquidFertApplications["DRYLUZERNE"];	-- number of times per year
	RN.myFieldCrops["DRYLUZERNE"]["spraychemicals"] 	= RN.herbicideApplications["DRYLUZERNE"];	-- number of times per year
	RN.myFieldCrops["DRYLUZERNE"]["rolling"] 			= 1 * (1- RN.isDirectSeeding["DRYLUZERNE"]);			-- number of times per year
	RN.myFieldCrops["DRYLUZERNE"]["mechanicalweeding"] 	= 0;			-- number of times per year
	RN.myFieldCrops["DRYLUZERNE"]["cerealharvest"] 		= 0;			-- number of times per year
	RN.myFieldCrops["DRYLUZERNE"]["rowharvest"] 		= 0;			-- number of times per year
	RN.myFieldCrops["DRYLUZERNE"]["beetharvest"] 		= 0;			-- number of times per year
	RN.myFieldCrops["DRYLUZERNE"]["potatoharvest"] 		= 0;			-- number of times per year
	RN.myFieldCrops["DRYLUZERNE"]["forageharvest"] 		= 0;			-- number of times per year
	RN.myFieldCrops["DRYLUZERNE"]["mowing"] 			= 3;			-- number of times per year
	RN.myFieldCrops["DRYLUZERNE"]["windrow"] 			= 3;			-- number of times per year
	RN.myFieldCrops["DRYLUZERNE"]["tedding"] 			= 0;			-- number of times per year
	RN.myFieldCrops["DRYLUZERNE"]["bale"] 				= 3;			-- number of times per year
	RN.myFieldCrops["DRYLUZERNE"]["balewrap"] 			= 3;			-- number of times per year
	RN.myFieldCrops["DRYLUZERNE"]["balecollect"] 		= 3;			-- number of times per year
	RN.myFieldCrops["DRYLUZERNE"]["HAY"]				= 0;			-- number of times per year 
	RN.myFieldCrops["DRYLUZERNE"]["SILAGE"]				= 3;			-- number of times per year 

	RN.myFieldCrops["GRASS"] = {};
	RN.myFieldCrops["GRASS"]["fields"]					= {};
	RN.myFieldCrops["GRASS"]["myFieldArea"]				= {};
	RN.myFieldCrops["GRASS"]["totalArea"] 				= 0;			-- ha, summing variable, do not change
	RN.myFieldCrops["GRASS"]["fruitName"] 				= "GRASS";
	RN.myFieldCrops["GRASS"]["fields"] 					= {20};			-- field numbers with this crop f. ex. {3, 4, 5}
	RN.myFieldCrops["GRASS"]["myFieldArea"] 			= {3.7};			-- hectare of each field, f. ex. {2.45, 3.20, 7.4}
	RN.myFieldCrops["GRASS"]["manure"] 					= RN.manureApplications["GRASS"];		-- number of times per year
	RN.myFieldCrops["GRASS"]["slurry"] 					= RN.slurryApplications["GRASS"];		-- number of times per year
	RN.myFieldCrops["GRASS"]["lime"] 					= RN.limeApplications["GRASS"];		-- number of times per year
	RN.myFieldCrops["GRASS"]["plow"]					= 1 * RN.isPlowing["GRASS"];			-- number of times per year
	RN.myFieldCrops["GRASS"]["subsoil"]					= 0 * RN.isPlowing["GRASS"];			-- number of times per year
	RN.myFieldCrops["GRASS"]["tineharrow"] 				= 1 * (1- RN.isDirectSeeding["GRASS"]);			-- number of times per year
	RN.myFieldCrops["GRASS"]["discharrow"] 				= 0 * (1- RN.isDirectSeeding["GRASS"]);			-- number of times per year
	RN.myFieldCrops["GRASS"]["powerharrow"] 			= 0 * (1- RN.isDirectSeeding["GRASS"]);			-- number of times per year
	RN.myFieldCrops["GRASS"]["seed"] 					= 1;			-- number of times per year
	RN.myFieldCrops["GRASS"]["plant"] 					= 0;			-- number of times per year
	RN.myFieldCrops["GRASS"]["potatoplant"] 			= 0;			-- number of times per year
	RN.myFieldCrops["GRASS"]["solidfertilizer"] 		= RN.solidFertApplications["GRASS"];	-- number of times per year
	RN.myFieldCrops["GRASS"]["liquidfertilizer"] 		= RN.liquidFertApplications["GRASS"];	-- number of times per year
	RN.myFieldCrops["GRASS"]["spraychemicals"] 			= RN.herbicideApplications["GRASS"];	-- number of times per year
	RN.myFieldCrops["GRASS"]["rolling"] 				= 1 * (1- RN.isDirectSeeding["GRASS"]);			-- number of times per year
	RN.myFieldCrops["GRASS"]["mechanicalweeding"] 		= 0;			-- number of times per year
	RN.myFieldCrops["GRASS"]["cerealharvest"] 			= 0;			-- number of times per year
	RN.myFieldCrops["GRASS"]["rowharvest"] 				= 0;			-- number of times per year
	RN.myFieldCrops["GRASS"]["beetharvest"] 			= 0;			-- number of times per year
	RN.myFieldCrops["GRASS"]["potatoharvest"] 			= 0;			-- number of times per year
	RN.myFieldCrops["GRASS"]["forageharvest"] 			= 0;			-- number of times per year
	RN.myFieldCrops["GRASS"]["mowing"] 					= 3;			-- number of times per year
	RN.myFieldCrops["GRASS"]["windrow"] 				= 3;			-- number of times per year
	RN.myFieldCrops["GRASS"]["tedding"] 				= 9;			-- number of times per year
	RN.myFieldCrops["GRASS"]["bale"] 					= 3;			-- number of times per year
	RN.myFieldCrops["GRASS"]["balewrap"] 				= 0;			-- number of times per year
	RN.myFieldCrops["GRASS"]["balecollect"] 			= 3;			-- number of times per year
	RN.myFieldCrops["GRASS"]["HAY"]						= 3;			-- number of times per year 
	RN.myFieldCrops["GRASS"]["SILAGE"]					= 0;			-- number of times per year 

	RN.myFieldCrops["FIELD_GRASS"] = {};
	RN.myFieldCrops["FIELD_GRASS"]["fields"]				= {};
	RN.myFieldCrops["FIELD_GRASS"]["myFieldArea"]			= {};
	RN.myFieldCrops["FIELD_GRASS"]["totalArea"] 			= 0;			-- ha, summing variable, do not change
	RN.myFieldCrops["FIELD_GRASS"]["fruitName"] 			= "FIELD_GRASS";
	RN.myFieldCrops["FIELD_GRASS"]["fields"] 				= {5};			-- field numbers with this crop f. ex. {3, 4, 5}
	RN.myFieldCrops["FIELD_GRASS"]["myFieldArea"] 			= {0};			-- hectare of each field, f. ex. {2.45, 3.20, 7.4}
	RN.myFieldCrops["FIELD_GRASS"]["manure"] 				= RN.manureApplications["FIELD_GRASS"];		-- number of times per year
	RN.myFieldCrops["FIELD_GRASS"]["slurry"] 				= RN.slurryApplications["FIELD_GRASS"];		-- number of times per year
	RN.myFieldCrops["FIELD_GRASS"]["lime"] 					= RN.limeApplications["FIELD_GRASS"];		-- number of times per year
	RN.myFieldCrops["FIELD_GRASS"]["plow"]					= 1 * RN.isPlowing["FIELD_GRASS"];			-- number of times per year
	RN.myFieldCrops["FIELD_GRASS"]["subsoil"]				= 0 * RN.isPlowing["FIELD_GRASS"];			-- number of times per year
	RN.myFieldCrops["FIELD_GRASS"]["tineharrow"] 			= 1 * (1- RN.isDirectSeeding["FIELD_GRASS"]);			-- number of times per year
	RN.myFieldCrops["FIELD_GRASS"]["discharrow"] 			= 0 * (1- RN.isDirectSeeding["FIELD_GRASS"]);			-- number of times per year
	RN.myFieldCrops["FIELD_GRASS"]["powerharrow"] 			= 0 * (1- RN.isDirectSeeding["FIELD_GRASS"]);			-- number of times per year
	RN.myFieldCrops["FIELD_GRASS"]["seed"] 					= 1;			-- number of times per year
	RN.myFieldCrops["FIELD_GRASS"]["plant"] 				= 0;			-- number of times per year
	RN.myFieldCrops["FIELD_GRASS"]["potatoplant"] 			= 0;			-- number of times per year
	RN.myFieldCrops["FIELD_GRASS"]["solidfertilizer"] 		= RN.solidFertApplications["FIELD_GRASS"];	-- number of times per year
	RN.myFieldCrops["FIELD_GRASS"]["liquidfertilizer"] 		= RN.liquidFertApplications["FIELD_GRASS"];	-- number of times per year
	RN.myFieldCrops["FIELD_GRASS"]["spraychemicals"] 		= RN.herbicideApplications["FIELD_GRASS"];	-- number of times per year
	RN.myFieldCrops["FIELD_GRASS"]["rolling"] 				= 1 * (1- RN.isDirectSeeding["FIELD_GRASS"]);			-- number of times per year
	RN.myFieldCrops["FIELD_GRASS"]["mechanicalweeding"] 	= 0;			-- number of times per year
	RN.myFieldCrops["FIELD_GRASS"]["cerealharvest"] 		= 0;			-- number of times per year
	RN.myFieldCrops["FIELD_GRASS"]["rowharvest"] 			= 0;			-- number of times per year
	RN.myFieldCrops["FIELD_GRASS"]["beetharvest"] 			= 0;			-- number of times per year
	RN.myFieldCrops["FIELD_GRASS"]["potatoharvest"] 		= 0;			-- number of times per year
	RN.myFieldCrops["FIELD_GRASS"]["forageharvest"] 		= 0;			-- number of times per year
	RN.myFieldCrops["FIELD_GRASS"]["mowing"] 				= 3;			-- number of times per year
	RN.myFieldCrops["FIELD_GRASS"]["windrow"] 				= 3;			-- number of times per year
	RN.myFieldCrops["FIELD_GRASS"]["tedding"] 				= 9;			-- number of times per year
	RN.myFieldCrops["FIELD_GRASS"]["bale"] 					= 3;			-- number of times per year
	RN.myFieldCrops["FIELD_GRASS"]["balewrap"] 				= 0;			-- number of times per year
	RN.myFieldCrops["FIELD_GRASS"]["balecollect"] 			= 3;			-- number of times per year
	RN.myFieldCrops["FIELD_GRASS"]["HAY"]					= 3;			-- number of times per year 
	RN.myFieldCrops["FIELD_GRASS"]["SILAGE"]				= 0;			-- number of times per year 

	RN.myFieldCrops["HORSEGRASS"] = {};
	RN.myFieldCrops["HORSEGRASS"]["fields"]					= {};
	RN.myFieldCrops["HORSEGRASS"]["myFieldArea"]			= {};
	RN.myFieldCrops["HORSEGRASS"]["totalArea"] 				= 0;			-- ha, summing variable, do not change
	RN.myFieldCrops["HORSEGRASS"]["fruitName"] 				= "HORSEGRASS";
	RN.myFieldCrops["HORSEGRASS"]["fields"] 				= {5};			-- field numbers with this crop f. ex. {3, 4, 5}
	RN.myFieldCrops["HORSEGRASS"]["myFieldArea"] 			= {0};			-- hectare of each field, f. ex. {2.45, 3.20, 7.4}
	RN.myFieldCrops["HORSEGRASS"]["manure"] 				= RN.manureApplications["HORSEGRASS"];		-- number of times per year
	RN.myFieldCrops["HORSEGRASS"]["slurry"] 				= RN.slurryApplications["HORSEGRASS"];		-- number of times per year
	RN.myFieldCrops["HORSEGRASS"]["lime"] 					= RN.limeApplications["HORSEGRASS"];		-- number of times per year
	RN.myFieldCrops["HORSEGRASS"]["plow"]					= 1 * RN.isPlowing["HORSEGRASS"];			-- number of times per year
	RN.myFieldCrops["HORSEGRASS"]["subsoil"]				= 0 * RN.isPlowing["HORSEGRASS"];			-- number of times per year
	RN.myFieldCrops["HORSEGRASS"]["tineharrow"] 			= 1 * (1- RN.isDirectSeeding["HORSEGRASS"]);			-- number of times per year
	RN.myFieldCrops["HORSEGRASS"]["discharrow"] 			= 0 * (1- RN.isDirectSeeding["HORSEGRASS"]);			-- number of times per year
	RN.myFieldCrops["HORSEGRASS"]["powerharrow"] 			= 0 * (1- RN.isDirectSeeding["HORSEGRASS"]);			-- number of times per year
	RN.myFieldCrops["HORSEGRASS"]["seed"] 					= 1;			-- number of times per year
	RN.myFieldCrops["HORSEGRASS"]["plant"] 					= 0;			-- number of times per year
	RN.myFieldCrops["HORSEGRASS"]["potatoplant"] 			= 0;			-- number of times per year
	RN.myFieldCrops["HORSEGRASS"]["solidfertilizer"] 		= RN.solidFertApplications["HORSEGRASS"];	-- number of times per year
	RN.myFieldCrops["HORSEGRASS"]["liquidfertilizer"] 		= RN.liquidFertApplications["HORSEGRASS"];	-- number of times per year
	RN.myFieldCrops["HORSEGRASS"]["spraychemicals"] 		= RN.herbicideApplications["HORSEGRASS"];	-- number of times per year
	RN.myFieldCrops["HORSEGRASS"]["rolling"] 				= 1 * (1- RN.isDirectSeeding["HORSEGRASS"]);			-- number of times per year
	RN.myFieldCrops["HORSEGRASS"]["mechanicalweeding"] 		= 0;			-- number of times per year
	RN.myFieldCrops["HORSEGRASS"]["cerealharvest"] 			= 0;			-- number of times per year
	RN.myFieldCrops["HORSEGRASS"]["rowharvest"] 			= 0;			-- number of times per year
	RN.myFieldCrops["HORSEGRASS"]["beetharvest"] 			= 0;			-- number of times per year
	RN.myFieldCrops["HORSEGRASS"]["potatoharvest"] 			= 0;			-- number of times per year
	RN.myFieldCrops["HORSEGRASS"]["forageharvest"] 			= 0;			-- number of times per year
	RN.myFieldCrops["HORSEGRASS"]["mowing"] 				= 3;			-- number of times per year
	RN.myFieldCrops["HORSEGRASS"]["windrow"] 				= 3;			-- number of times per year
	RN.myFieldCrops["HORSEGRASS"]["tedding"] 				= 9;			-- number of times per year
	RN.myFieldCrops["HORSEGRASS"]["bale"] 					= 3;			-- number of times per year
	RN.myFieldCrops["HORSEGRASS"]["balewrap"] 				= 0;			-- number of times per year
	RN.myFieldCrops["HORSEGRASS"]["balecollect"] 			= 3;			-- number of times per year
	RN.myFieldCrops["HORSEGRASS"]["HAY"]					= 3;			-- number of times per year 
	RN.myFieldCrops["HORSEGRASS"]["SILAGE"]					= 0;			-- number of times per year 
	
	RN.myFieldCrops["INCARASE_GRASS"] = {};
	RN.myFieldCrops["INCARASE_GRASS"]["fields"]				= {};
	RN.myFieldCrops["INCARASE_GRASS"]["myFieldArea"]		= {};
	RN.myFieldCrops["INCARASE_GRASS"]["totalArea"] 			= 0;			-- ha, summing variable, do not change
	RN.myFieldCrops["INCARASE_GRASS"]["fruitName"] 			= "INCARASE_GRASS";
	RN.myFieldCrops["INCARASE_GRASS"]["fields"] 			= {5};			-- field numbers with this crop f. ex. {3, 4, 5}
	RN.myFieldCrops["INCARASE_GRASS"]["myFieldArea"] 		= {0};			-- hectare of each field, f. ex. {2.45, 3.20, 7.4}
	RN.myFieldCrops["INCARASE_GRASS"]["manure"] 			= RN.manureApplications["INCARASE_GRASS"];		-- number of times per year
	RN.myFieldCrops["INCARASE_GRASS"]["slurry"] 			= RN.slurryApplications["INCARASE_GRASS"];		-- number of times per year
	RN.myFieldCrops["INCARASE_GRASS"]["lime"] 				= RN.limeApplications["INCARASE_GRASS"];		-- number of times per year
	RN.myFieldCrops["INCARASE_GRASS"]["plow"]				= 1 * RN.isPlowing["INCARASE_GRASS"];			-- number of times per year
	RN.myFieldCrops["INCARASE_GRASS"]["subsoil"]			= 0 * RN.isPlowing["INCARASE_GRASS"];			-- number of times per year
	RN.myFieldCrops["INCARASE_GRASS"]["tineharrow"] 		= 1 * (1- RN.isDirectSeeding["INCARASE_GRASS"]);			-- number of times per year
	RN.myFieldCrops["INCARASE_GRASS"]["discharrow"] 		= 0 * (1- RN.isDirectSeeding["INCARASE_GRASS"]);			-- number of times per year
	RN.myFieldCrops["INCARASE_GRASS"]["powerharrow"] 		= 0 * (1- RN.isDirectSeeding["INCARASE_GRASS"]);			-- number of times per year
	RN.myFieldCrops["INCARASE_GRASS"]["seed"] 				= 1;			-- number of times per year
	RN.myFieldCrops["INCARASE_GRASS"]["plant"] 				= 0;			-- number of times per year
	RN.myFieldCrops["INCARASE_GRASS"]["potatoplant"] 		= 0;			-- number of times per year
	RN.myFieldCrops["INCARASE_GRASS"]["solidfertilizer"] 	= RN.solidFertApplications["INCARASE_GRASS"];	-- number of times per year
	RN.myFieldCrops["INCARASE_GRASS"]["liquidfertilizer"] 	= RN.liquidFertApplications["INCARASE_GRASS"];	-- number of times per year
	RN.myFieldCrops["INCARASE_GRASS"]["spraychemicals"] 	= RN.herbicideApplications["INCARASE_GRASS"];	-- number of times per year
	RN.myFieldCrops["INCARASE_GRASS"]["rolling"] 			= 1 * (1- RN.isDirectSeeding["INCARASE_GRASS"]);			-- number of times per year
	RN.myFieldCrops["INCARASE_GRASS"]["mechanicalweeding"] 	= 0;			-- number of times per year
	RN.myFieldCrops["INCARASE_GRASS"]["cerealharvest"] 		= 2;			-- number of times per year
	RN.myFieldCrops["INCARASE_GRASS"]["rowharvest"] 		= 0;			-- number of times per year
	RN.myFieldCrops["INCARASE_GRASS"]["beetharvest"] 		= 0;			-- number of times per year
	RN.myFieldCrops["INCARASE_GRASS"]["potatoharvest"] 		= 0;			-- number of times per year
	RN.myFieldCrops["INCARASE_GRASS"]["forageharvest"] 		= 0;			-- number of times per year
	RN.myFieldCrops["INCARASE_GRASS"]["mowing"] 			= 0;			-- number of times per year
	RN.myFieldCrops["INCARASE_GRASS"]["windrow"] 			= 2;			-- number of times per year
	RN.myFieldCrops["INCARASE_GRASS"]["tedding"] 			= 2;			-- number of times per year
	RN.myFieldCrops["INCARASE_GRASS"]["bale"] 				= 2;			-- number of times per year
	RN.myFieldCrops["INCARASE_GRASS"]["balewrap"] 			= 0;			-- number of times per year
	RN.myFieldCrops["INCARASE_GRASS"]["balecollect"] 		= 2;			-- number of times per year
	RN.myFieldCrops["INCARASE_GRASS"]["HAY"]				= 2;			-- number of times per year 
	RN.myFieldCrops["INCARASE_GRASS"]["SILAGE"]				= 0;			-- number of times per year 

	RN.myFieldCrops["PASTUREGRASS"] = {};
	RN.myFieldCrops["PASTUREGRASS"]["fields"]				= {};
	RN.myFieldCrops["PASTUREGRASS"]["myFieldArea"]			= {};
	RN.myFieldCrops["PASTUREGRASS"]["totalArea"] 			= 0;			-- ha, summing variable, do not change
	RN.myFieldCrops["PASTUREGRASS"]["fruitName"] 			= "PASTUREGRASS";
	RN.myFieldCrops["PASTUREGRASS"]["fields"] 				= {5};			-- field numbers with this crop f. ex. {3, 4, 5}
	RN.myFieldCrops["PASTUREGRASS"]["myFieldArea"] 			= {0};		-- hectare of each field, f. ex. {2.45, 3.20, 7.4}
	RN.myFieldCrops["PASTUREGRASS"]["manure"] 				= RN.manureApplications["PASTUREGRASS"];		-- number of times per year
	RN.myFieldCrops["PASTUREGRASS"]["slurry"] 				= RN.slurryApplications["PASTUREGRASS"];		-- number of times per year
	RN.myFieldCrops["PASTUREGRASS"]["lime"] 				= RN.limeApplications["PASTUREGRASS"];		-- number of times per year
	RN.myFieldCrops["PASTUREGRASS"]["plow"]					= 1 * RN.isPlowing["PASTUREGRASS"];			-- number of times per year
	RN.myFieldCrops["PASTUREGRASS"]["subsoil"]				= 0 * RN.isPlowing["PASTUREGRASS"];			-- number of times per year
	RN.myFieldCrops["PASTUREGRASS"]["tineharrow"] 			= 1 * (1- RN.isDirectSeeding["PASTUREGRASS"]);			-- number of times per year
	RN.myFieldCrops["PASTUREGRASS"]["discharrow"] 			= 0 * (1- RN.isDirectSeeding["PASTUREGRASS"]);			-- number of times per year
	RN.myFieldCrops["PASTUREGRASS"]["powerharrow"] 			= 0 * (1- RN.isDirectSeeding["PASTUREGRASS"]);			-- number of times per year
	RN.myFieldCrops["PASTUREGRASS"]["seed"] 				= 1;			-- number of times per year
	RN.myFieldCrops["PASTUREGRASS"]["plant"] 				= 0;			-- number of times per year
	RN.myFieldCrops["PASTUREGRASS"]["potatoplant"] 			= 0;			-- number of times per year
	RN.myFieldCrops["PASTUREGRASS"]["solidfertilizer"] 		= RN.solidFertApplications["PASTUREGRASS"];	-- number of times per year
	RN.myFieldCrops["PASTUREGRASS"]["liquidfertilizer"] 	= RN.liquidFertApplications["PASTUREGRASS"];	-- number of times per year
	RN.myFieldCrops["PASTUREGRASS"]["spraychemicals"] 		= RN.herbicideApplications["PASTUREGRASS"];	-- number of times per year
	RN.myFieldCrops["PASTUREGRASS"]["rolling"] 				= 1 * (1- RN.isDirectSeeding["PASTUREGRASS"]);			-- number of times per year
	RN.myFieldCrops["PASTUREGRASS"]["mechanicalweeding"] 	= 0;			-- number of times per year
	RN.myFieldCrops["PASTUREGRASS"]["cerealharvest"] 		= 0;			-- number of times per year
	RN.myFieldCrops["PASTUREGRASS"]["rowharvest"] 			= 0;			-- number of times per year
	RN.myFieldCrops["PASTUREGRASS"]["beetharvest"] 			= 0;			-- number of times per year
	RN.myFieldCrops["PASTUREGRASS"]["potatoharvest"] 		= 0;			-- number of times per year
	RN.myFieldCrops["PASTUREGRASS"]["forageharvest"] 		= 0;			-- number of times per year
	RN.myFieldCrops["PASTUREGRASS"]["mowing"] 				= 3;			-- number of times per year
	RN.myFieldCrops["PASTUREGRASS"]["windrow"] 				= 3;			-- number of times per year
	RN.myFieldCrops["PASTUREGRASS"]["tedding"] 				= 9;			-- number of times per year
	RN.myFieldCrops["PASTUREGRASS"]["bale"] 				= 3;			-- number of times per year
	RN.myFieldCrops["PASTUREGRASS"]["balewrap"] 			= 0;			-- number of times per year
	RN.myFieldCrops["PASTUREGRASS"]["balecollect"] 			= 3;			-- number of times per year
	RN.myFieldCrops["PASTUREGRASS"]["HAY"]					= 3;			-- number of times per year 
	RN.myFieldCrops["PASTUREGRASS"]["SILAGE"]				= 0;			-- number of times per year 

	RN.myFieldCrops["LUCERNE"] = {};
	RN.myFieldCrops["LUCERNE"]["fields"]				= {};
	RN.myFieldCrops["LUCERNE"]["myFieldArea"]			= {};
	RN.myFieldCrops["LUCERNE"]["totalArea"] 			= 0;			-- ha, summing variable, do not change
	RN.myFieldCrops["LUCERNE"]["fruitName"] 			= "LUCERNE";
	RN.myFieldCrops["LUCERNE"]["fields"] 				= {5};			-- field numbers with this crop f. ex. {3, 4, 5}
	RN.myFieldCrops["LUCERNE"]["myFieldArea"] 			= {0};			-- hectare of each field, f. ex. {2.45, 3.20, 7.4}
	RN.myFieldCrops["LUCERNE"]["manure"] 				= RN.manureApplications["LUCERNE"];		-- number of times per year
	RN.myFieldCrops["LUCERNE"]["slurry"] 				= RN.slurryApplications["LUCERNE"];		-- number of times per year
	RN.myFieldCrops["LUCERNE"]["lime"] 					= RN.limeApplications["LUCERNE"];		-- number of times per year
	RN.myFieldCrops["LUCERNE"]["plow"]					= 1 * RN.isPlowing["LUCERNE"];			-- number of times per year
	RN.myFieldCrops["LUCERNE"]["subsoil"]				= 0 * RN.isPlowing["LUCERNE"];			-- number of times per year
	RN.myFieldCrops["LUCERNE"]["tineharrow"] 			= 1 * (1- RN.isDirectSeeding["LUCERNE"]);			-- number of times per year
	RN.myFieldCrops["LUCERNE"]["discharrow"] 			= 0 * (1- RN.isDirectSeeding["LUCERNE"]);			-- number of times per year
	RN.myFieldCrops["LUCERNE"]["powerharrow"] 			= 0 * (1- RN.isDirectSeeding["LUCERNE"]);			-- number of times per year
	RN.myFieldCrops["LUCERNE"]["seed"] 					= 1;			-- number of times per year
	RN.myFieldCrops["LUCERNE"]["plant"] 				= 0;			-- number of times per year
	RN.myFieldCrops["LUCERNE"]["potatoplant"] 			= 0;			-- number of times per year
	RN.myFieldCrops["LUCERNE"]["solidfertilizer"] 		= RN.solidFertApplications["LUCERNE"];	-- number of times per year
	RN.myFieldCrops["LUCERNE"]["liquidfertilizer"] 		= RN.liquidFertApplications["LUCERNE"];	-- number of times per year
	RN.myFieldCrops["LUCERNE"]["spraychemicals"] 		= RN.herbicideApplications["LUCERNE"];	-- number of times per year
	RN.myFieldCrops["LUCERNE"]["rolling"] 				= 1 * (1- RN.isDirectSeeding["LUCERNE"]);			-- number of times per year
	RN.myFieldCrops["LUCERNE"]["mechanicalweeding"] 	= 0;			-- number of times per year
	RN.myFieldCrops["LUCERNE"]["cerealharvest"] 		= 0;			-- number of times per year
	RN.myFieldCrops["LUCERNE"]["rowharvest"] 			= 0;			-- number of times per year
	RN.myFieldCrops["LUCERNE"]["beetharvest"] 			= 0;			-- number of times per year
	RN.myFieldCrops["LUCERNE"]["potatoharvest"] 		= 0;			-- number of times per year
	RN.myFieldCrops["LUCERNE"]["forageharvest"] 		= 0;			-- number of times per year
	RN.myFieldCrops["LUCERNE"]["mowing"] 				= 3;			-- number of times per year
	RN.myFieldCrops["LUCERNE"]["windrow"] 				= 3;			-- number of times per year
	RN.myFieldCrops["LUCERNE"]["tedding"] 				= 0;			-- number of times per year
	RN.myFieldCrops["LUCERNE"]["bale"] 					= 3;			-- number of times per year
	RN.myFieldCrops["LUCERNE"]["balewrap"] 				= 3;			-- number of times per year
	RN.myFieldCrops["LUCERNE"]["balecollect"] 			= 3;			-- number of times per year
	RN.myFieldCrops["LUCERNE"]["HAY"]					= 0;			-- number of times per year 
	RN.myFieldCrops["LUCERNE"]["SILAGE"]				= 3;			-- number of times per year 

	RN.myFieldCrops["LUZERNE"] = {};
	RN.myFieldCrops["LUZERNE"]["fields"]				= {};
	RN.myFieldCrops["LUZERNE"]["myFieldArea"]			= {};
	RN.myFieldCrops["LUZERNE"]["totalArea"] 			= 0;			-- ha, summing variable, do not change
	RN.myFieldCrops["LUZERNE"]["fruitName"] 			= "LUZERNE";
	RN.myFieldCrops["LUZERNE"]["fields"] 				= {5};			-- field numbers with this crop f. ex. {3, 4, 5}
	RN.myFieldCrops["LUZERNE"]["myFieldArea"] 			= {0};			-- hectare of each field, f. ex. {2.45, 3.20, 7.4}
	RN.myFieldCrops["LUZERNE"]["manure"] 				= RN.manureApplications["LUZERNE"];		-- number of times per year
	RN.myFieldCrops["LUZERNE"]["slurry"] 				= RN.slurryApplications["LUZERNE"];		-- number of times per year
	RN.myFieldCrops["LUZERNE"]["lime"] 					= RN.limeApplications["LUZERNE"];		-- number of times per year
	RN.myFieldCrops["LUZERNE"]["plow"]					= 1 * RN.isPlowing["LUZERNE"];			-- number of times per year
	RN.myFieldCrops["LUZERNE"]["subsoil"]				= 0 * RN.isPlowing["LUZERNE"];			-- number of times per year
	RN.myFieldCrops["LUZERNE"]["tineharrow"] 			= 1 * (1- RN.isDirectSeeding["LUZERNE"]);			-- number of times per year
	RN.myFieldCrops["LUZERNE"]["discharrow"] 			= 0 * (1- RN.isDirectSeeding["LUZERNE"]);			-- number of times per year
	RN.myFieldCrops["LUZERNE"]["powerharrow"] 			= 0 * (1- RN.isDirectSeeding["LUZERNE"]);			-- number of times per year
	RN.myFieldCrops["LUZERNE"]["seed"] 					= 1;			-- number of times per year
	RN.myFieldCrops["LUZERNE"]["plant"] 				= 0;			-- number of times per year
	RN.myFieldCrops["LUZERNE"]["potatoplant"] 			= 0;			-- number of times per year
	RN.myFieldCrops["LUZERNE"]["solidfertilizer"] 		= RN.solidFertApplications["LUZERNE"];	-- number of times per year
	RN.myFieldCrops["LUZERNE"]["liquidfertilizer"] 		= RN.liquidFertApplications["LUZERNE"];	-- number of times per year
	RN.myFieldCrops["LUZERNE"]["spraychemicals"] 		= RN.herbicideApplications["LUZERNE"];	-- number of times per year
	RN.myFieldCrops["LUZERNE"]["rolling"] 				= 1 * (1- RN.isDirectSeeding["LUZERNE"]);			-- number of times per year
	RN.myFieldCrops["LUZERNE"]["mechanicalweeding"] 	= 0;			-- number of times per year
	RN.myFieldCrops["LUZERNE"]["cerealharvest"] 		= 0;			-- number of times per year
	RN.myFieldCrops["LUZERNE"]["rowharvest"] 			= 0;			-- number of times per year
	RN.myFieldCrops["LUZERNE"]["beetharvest"] 			= 0;			-- number of times per year
	RN.myFieldCrops["LUZERNE"]["potatoharvest"] 		= 0;			-- number of times per year
	RN.myFieldCrops["LUZERNE"]["forageharvest"] 		= 0;			-- number of times per year
	RN.myFieldCrops["LUZERNE"]["mowing"] 				= 3;			-- number of times per year
	RN.myFieldCrops["LUZERNE"]["windrow"] 				= 3;			-- number of times per year
	RN.myFieldCrops["LUZERNE"]["tedding"] 				= 0;			-- number of times per year
	RN.myFieldCrops["LUZERNE"]["bale"] 					= 3;			-- number of times per year
	RN.myFieldCrops["LUZERNE"]["balewrap"] 				= 3;			-- number of times per year
	RN.myFieldCrops["LUZERNE"]["balecollect"] 			= 3;			-- number of times per year
	RN.myFieldCrops["LUZERNE"]["HAY"]					= 0;			-- number of times per year 
	RN.myFieldCrops["LUZERNE"]["SILAGE"]				= 3;			-- number of times per year 

	RN.myFieldCrops["SUDANGRASS"] = {};
	RN.myFieldCrops["SUDANGRASS"]["fields"]				= {};
	RN.myFieldCrops["SUDANGRASS"]["myFieldArea"]		= {};
	RN.myFieldCrops["SUDANGRASS"]["totalArea"] 			= 0;			-- ha, summing variable, do not change
	RN.myFieldCrops["SUDANGRASS"]["fruitName"] 			= "SUDANGRASS";
	RN.myFieldCrops["SUDANGRASS"]["fields"] 			= {5};			-- field numbers with this crop f. ex. {3, 4, 5}
	RN.myFieldCrops["SUDANGRASS"]["myFieldArea"] 		= {0};			-- hectare of each field, f. ex. {2.45, 3.20, 7.4}
	RN.myFieldCrops["SUDANGRASS"]["manure"] 			= RN.manureApplications["SUDANGRASS"];		-- number of times per year
	RN.myFieldCrops["SUDANGRASS"]["slurry"] 			= RN.slurryApplications["SUDANGRASS"];		-- number of times per year
	RN.myFieldCrops["SUDANGRASS"]["lime"] 				= RN.limeApplications["SUDANGRASS"];		-- number of times per year
	RN.myFieldCrops["SUDANGRASS"]["plow"]				= 1 * RN.isPlowing["SUDANGRASS"];			-- number of times per year
	RN.myFieldCrops["SUDANGRASS"]["subsoil"]			= 0 * RN.isPlowing["SUDANGRASS"];			-- number of times per year
	RN.myFieldCrops["SUDANGRASS"]["tineharrow"] 		= 1 * (1- RN.isDirectSeeding["SUDANGRASS"]);			-- number of times per year
	RN.myFieldCrops["SUDANGRASS"]["discharrow"] 		= 0 * (1- RN.isDirectSeeding["SUDANGRASS"]);			-- number of times per year
	RN.myFieldCrops["SUDANGRASS"]["powerharrow"] 		= 0 * (1- RN.isDirectSeeding["SUDANGRASS"]);			-- number of times per year
	RN.myFieldCrops["SUDANGRASS"]["seed"] 				= 1;			-- number of times per year
	RN.myFieldCrops["SUDANGRASS"]["plant"] 				= 0;			-- number of times per year
	RN.myFieldCrops["SUDANGRASS"]["potatoplant"] 		= 0;			-- number of times per year
	RN.myFieldCrops["SUDANGRASS"]["solidfertilizer"] 	= RN.solidFertApplications["SUDANGRASS"];	-- number of times per year
	RN.myFieldCrops["SUDANGRASS"]["liquidfertilizer"] 	= RN.liquidFertApplications["SUDANGRASS"];	-- number of times per year
	RN.myFieldCrops["SUDANGRASS"]["spraychemicals"] 	= RN.herbicideApplications["SUDANGRASS"];	-- number of times per year
	RN.myFieldCrops["SUDANGRASS"]["rolling"] 			= 1 * (1- RN.isDirectSeeding["SUDANGRASS"]);			-- number of times per year
	RN.myFieldCrops["SUDANGRASS"]["mechanicalweeding"] 	= 0;			-- number of times per year
	RN.myFieldCrops["SUDANGRASS"]["cerealharvest"] 		= 0;			-- number of times per year
	RN.myFieldCrops["SUDANGRASS"]["rowharvest"] 		= 0;			-- number of times per year
	RN.myFieldCrops["SUDANGRASS"]["beetharvest"] 		= 0;			-- number of times per year
	RN.myFieldCrops["SUDANGRASS"]["potatoharvest"] 		= 0;			-- number of times per year
	RN.myFieldCrops["SUDANGRASS"]["forageharvest"] 		= 1;			-- number of times per year
	RN.myFieldCrops["SUDANGRASS"]["mowing"] 			= 0;			-- number of times per year
	RN.myFieldCrops["SUDANGRASS"]["windrow"] 			= 0;			-- number of times per year
	RN.myFieldCrops["SUDANGRASS"]["tedding"] 			= 0;			-- number of times per year
	RN.myFieldCrops["SUDANGRASS"]["bale"] 				= 0;			-- number of times per year
	RN.myFieldCrops["SUDANGRASS"]["balewrap"] 			= 0;			-- number of times per year
	RN.myFieldCrops["SUDANGRASS"]["balecollect"] 		= 0;			-- number of times per year
	RN.myFieldCrops["SUDANGRASS"]["HAY"]				= 0;			-- number of times per year 
	RN.myFieldCrops["SUDANGRASS"]["SILAGE"]				= 0;			-- number of times per year 

	RN.myFieldCrops["OILSEEDRADISH"] = {};
	RN.myFieldCrops["OILSEEDRADISH"]["fields"]			= {};
	RN.myFieldCrops["OILSEEDRADISH"]["myFieldArea"]		= {};
	RN.myFieldCrops["OILSEEDRADISH"]["totalArea"] 		= 0;			-- ha, summing variable, do not change
	RN.myFieldCrops["OILSEEDRADISH"]["fruitName"] 		= "OILSEEDRADISH";
	RN.myFieldCrops["OILSEEDRADISH"]["fields"] 			= {5};			-- field numbers with this crop f. ex. {3, 4, 5}
	RN.myFieldCrops["OILSEEDRADISH"]["myFieldArea"] 	= {0};			-- hectare of each field, f. ex. {2.45, 3.20, 7.4}
	RN.myFieldCrops["OILSEEDRADISH"]["manure"] 			= RN.manureApplications["OILSEEDRADISH"];		-- number of times per year
	RN.myFieldCrops["OILSEEDRADISH"]["slurry"] 			= RN.slurryApplications["OILSEEDRADISH"];		-- number of times per year
	RN.myFieldCrops["OILSEEDRADISH"]["lime"] 			= RN.limeApplications["OILSEEDRADISH"];		-- number of times per year
	RN.myFieldCrops["OILSEEDRADISH"]["plow"]			= 1 * RN.isPlowing["OILSEEDRADISH"];			-- number of times per year
	RN.myFieldCrops["OILSEEDRADISH"]["subsoil"]			= 0 * RN.isPlowing["OILSEEDRADISH"];			-- number of times per year
	RN.myFieldCrops["OILSEEDRADISH"]["tineharrow"] 		= 1 * (1- RN.isDirectSeeding["OILSEEDRADISH"]);			-- number of times per year
	RN.myFieldCrops["OILSEEDRADISH"]["discharrow"] 		= 0 * (1- RN.isDirectSeeding["OILSEEDRADISH"]);			-- number of times per year
	RN.myFieldCrops["OILSEEDRADISH"]["powerharrow"] 	= 0 * (1- RN.isDirectSeeding["OILSEEDRADISH"]);			-- number of times per year
	RN.myFieldCrops["OILSEEDRADISH"]["seed"] 			= 1;			-- number of times per year
	RN.myFieldCrops["OILSEEDRADISH"]["plant"] 			= 0;			-- number of times per year
	RN.myFieldCrops["OILSEEDRADISH"]["potatoplant"] 	= 0;			-- number of times per year
	RN.myFieldCrops["OILSEEDRADISH"]["solidfertilizer"] = RN.solidFertApplications["OILSEEDRADISH"];	-- number of times per year
	RN.myFieldCrops["OILSEEDRADISH"]["liquidfertilizer"] = RN.liquidFertApplications["OILSEEDRADISH"];	-- number of times per year
	RN.myFieldCrops["OILSEEDRADISH"]["spraychemicals"] 	= RN.herbicideApplications["OILSEEDRADISH"];	-- number of times per year
	RN.myFieldCrops["OILSEEDRADISH"]["rolling"] 		= 1 * (1- RN.isDirectSeeding["OILSEEDRADISH"]);			-- number of times per year
	RN.myFieldCrops["OILSEEDRADISH"]["mechanicalweeding"] = 0;			-- number of times per year
	RN.myFieldCrops["OILSEEDRADISH"]["cerealharvest"] 	= 0;			-- number of times per year
	RN.myFieldCrops["OILSEEDRADISH"]["rowharvest"] 		= 0;			-- number of times per year
	RN.myFieldCrops["OILSEEDRADISH"]["beetharvest"] 	= 0;			-- number of times per year
	RN.myFieldCrops["OILSEEDRADISH"]["potatoharvest"] 	= 0;			-- number of times per year
	RN.myFieldCrops["OILSEEDRADISH"]["forageharvest"] 	= 0;			-- number of times per year
	RN.myFieldCrops["OILSEEDRADISH"]["mowing"] 			= 0;			-- number of times per year
	RN.myFieldCrops["OILSEEDRADISH"]["windrow"] 		= 0;			-- number of times per year
	RN.myFieldCrops["OILSEEDRADISH"]["tedding"] 		= 0;			-- number of times per year
	RN.myFieldCrops["OILSEEDRADISH"]["bale"] 			= 0;			-- number of times per year
	RN.myFieldCrops["OILSEEDRADISH"]["balewrap"] 		= 0;			-- number of times per year
	RN.myFieldCrops["OILSEEDRADISH"]["balecollect"] 	= 0;			-- number of times per year
	RN.myFieldCrops["OILSEEDRADISH"]["HAY"]				= 0;			-- number of times per year 
	RN.myFieldCrops["OILSEEDRADISH"]["SILAGE"]			= 0;			-- number of times per year 




	RN.fieldJobs = {"manure", "slurry", "lime", "plow", "subsoil", "tineharrow", "discharrow", "powerharrow", "seed", "plant",
					"potatoplant", "solidfertilizer", "liquidfertilizer", "spraychemicals", "rolling", "mechanicalweeding",
					"cerealharvest", "rowharvest", "beetharvest", "potatoharvest", "forageharvest", "mowing", "windrow",
					"tedding", "bale", "balewrap", "balecollect"};

	RN.myFieldCrops["SUM"] = {};

	for k = 1,#RN.fieldJobs do
		local jobName = RN.fieldJobs[k]
		RN.myFieldCrops["SUM"][jobName] = 0;		-- initialize summing varibles to zero
	end;


	for i,fruitName in ipairs(RN.sortedFruits) do

		if RN.myFieldCrops[fruitName] ~= nil then
--			print(fruitName);
			if fruitName == RN.myFieldCrops[fruitName]["fruitName"] then
				local sum = 0;
				for k = 1,#RN.myFieldCrops[fruitName]["myFieldArea"] do
					sum = sum + RN.myFieldCrops[fruitName]["myFieldArea"][k];
				end;
				RN.myFieldCrops[fruitName]["totalArea"] = sum;

				RN.myFieldCrops["totalFieldArea"] = RN.myFieldCrops["totalFieldArea"] + sum;

--				print(sum);
				myPrintFloat(fruitName, sum,textWidth," ha");
				for j = 1,#RN.fieldJobs do
					local jobName = RN.fieldJobs[j];
--					print("jobName : "..jobName);
--					print(RN.myFieldCrops[fruitName][jobName]);
					RN.myFieldCrops["SUM"][jobName] = RN.myFieldCrops["SUM"][jobName]
													+ RN.myFieldCrops[fruitName]["totalArea"] * RN.myFieldCrops[fruitName][jobName];
				end;

				for j = 1,#RN.myFieldCrops[fruitName]["fields"] do
					local fieldIndex = RN.myFieldCrops[fruitName]["fields"][j];
					RN.fieldFruits[fieldIndex] = fruitName;
--					print("Field : "..fieldIndex.." : "..fruitName);
				end;				
			end;
		end;
	end;
	print(" ");
	for j = 1,#RN.fieldJobs do
		local jobName = RN.fieldJobs[j];
		myPrintFloat(jobName, RN.myFieldCrops["SUM"][jobName],textWidth," ha");
	end;
	print(" ");
	myPrintFloat("Total crop area", RN.myFieldCrops["totalFieldArea"],textWidth," ha");
	print(" ");
--	print_r(RN.fieldFruits);

	print(" List of field crops defined in RealNumbersMyFieldCrops \n");
	
	for j,fruitName in pairs(RN.fieldFruits) do
		print("Field "..j.."  : "..RN.fieldFruits[j]);
	end;
	
	RNS.notRunYetRealNumbersMyFieldCrops = true;
	RNS.upStartRealNumbersMyFieldCrops = true;
end;

function RealNumbersMyFieldCrops:keyEvent(unicode, sym, modifier, isDown)
end;

function RealNumbersMyFieldCrops:update(dt)
--	local minute = g_currentMission.environment.currentMinute;

--[[
	local runMinute = minute % 10; -- remainder
	if runMinute ~= 9 then RNS.notRunYetRealNumbersMyFieldCrops = true; end;
	if runMinute == 9 or RNS.upStartRealNumbersMyFieldCrops then
		if RNS.notRunYetRealNumbersMyFieldCrops then

--			print("RealNumbersMyFieldCrops:update"); -- comment out when not debugging

		end;
		RNS.notRunYetRealNumbersMyFieldCrops = false;
		RNS.upStartRealNumbersMyFieldCrops = false;
	end;
]]--

end;
function RealNumbersMyFieldCrops:draw()
end;
function RealNumbersMyFieldCrops:deleteMap()
end;
function RealNumbersMyFieldCrops:mouseEvent(posX, posY, isDown, isUp, button)
end;

addModEventListener(RealNumbersMyFieldCrops);
